#!/bin/sh

# $1 : 󥿥ե
# $2 : LAN¦IPɥ쥹
# $3 : LAN¦ͥåȥޥ
# $4 : all

INTERFACE=$1
LANIP=$2
LANMASK=$3
SPEC=$4

#iptables Υѥ
IPTABLES=/sbin/iptables

# iptablesν٤٤Ƥ˴Ƥ鿷
# ΥץȤɲäƤ

if [ "$SPEC" = "all" ]; then
  ${IPTABLES} -t filter -F
  ${IPTABLES} -t filter -X
  ${IPTABLES} -t nat -F
  ${IPTABLES} -t filter -X
fi

# ѥåȥեǥ󥰤ͭ
echo 1 > /proc/sys/net/ipv4/ip_forward

# Pass MTU
_kernver=`uname -r`
if [ "X${_kernver%%-*}" = "X2.4.24" ]; then
  ${IPTABLES} -A FORWARD -o ${INTERFACE} -p tcp --tcp-flags SYN,RST SYN -j TCPMSS --clamp-mss-to-pmtu
fi

## 1023ְʾǳ(³׵դ)ݡ
# WWW
#${IPTABLES} -A INPUT -i ${INTERFACE} -p tcp --dport 80 -j ACCEPT
${IPTABLES} -A INPUT -i ${INTERFACE} -p TCP --dport 53 -j ACCEPT
${IPTABLES} -A INPUT -i ${INTERFACE} -p UDP --dport 53 -j ACCEPT
${IPTABLES} -A INPUT -i ${INTERFACE} -p TCP --sport 53 -j ACCEPT
${IPTABLES} -A INPUT -i ${INTERFACE} -p UDP --sport 53 -j ACCEPT


# ȯ롼ץХåץ饤١ȥɥ쥹ʥѥåȤ˴
${IPTABLES} -A INPUT -i ${INTERFACE} -s 127.0.0.0/8 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -s 127.0.0.0/8 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -s 10.0.0.0/8 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -s 10.0.0.0/8 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -s 172.16.0.0/12 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -s 172.16.0.0/12 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -s 192.168.0.0/16 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -s 192.168.0.0/16 -j DROP

# 褬롼ץХåץ饤١ȥɥ쥹ΥѥåȤ˴
${IPTABLES} -A INPUT -i ${INTERFACE} -d 127.0.0.0/8 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -d 127.0.0.0/8 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -d 10.0.0.0/8 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -d 10.0.0.0/8 -j DROP
#${IPTABLES} -A INPUT -i ${INTERFACE} -d 172.16.0.0.0/12 -j DROP
#${IPTABLES} -A OUTPUT -o ${INTERFACE} -d 172.16.0.0/12 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -d 192.168.0.0/16 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -d 192.168.0.0/16 -j DROP

# NetBIOS over TCP/IP ήХѥåȤ
# (TCP , UDP  137139 , 445 ˸ output Ĥ)
${IPTABLES} -A INPUT -i ${INTERFACE} -p tcp --dport 137:139 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -p udp --dport 137:139 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -p tcp --dport 445 -j DROP
${IPTABLES} -A INPUT -i ${INTERFACE} -p udp --dport 445 -j DROP
${IPTABLES} -A FORWARD -i ${INTERFACE} -p tcp --dport 137:139 -j DROP
${IPTABLES} -A FORWARD -i ${INTERFACE} -p udp --dport 137:139 -j DROP
${IPTABLES} -A FORWARD -i ${INTERFACE} -p tcp --dport 445 -j DROP
${IPTABLES} -A FORWARD -i ${INTERFACE} -p udp --dport 445 -j DROP

${IPTABLES} -A OUTPUT -o ${INTERFACE} -p tcp --dport 137:139 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -p udp --dport 137:139 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -p tcp --dport 445 -j DROP
${IPTABLES} -A OUTPUT -o ${INTERFACE} -p udp --dport 445 -j DROP

${IPTABLES} -A INPUT -i eth1 -p tcp --dport 137:139 -j DROP
${IPTABLES} -A INPUT -i eth1 -p udp --dport 137:139 -j DROP
${IPTABLES} -A INPUT -i eth1 -p tcp --dport 445 -j DROP
${IPTABLES} -A INPUT -i eth1 -p udp --dport 445 -j DROP
${IPTABLES} -A FORWARD -i eth1 -p tcp --dport 137:139 -j DROP
${IPTABLES} -A FORWARD -i eth1 -p udp --dport 137:139 -j DROP
${IPTABLES} -A FORWARD -i eth1 -p tcp --dport 445 -j DROP
${IPTABLES} -A FORWARD -i eth1 -p udp --dport 445 -j DROP

# 롼ץХåϵ
${IPTABLES} -A INPUT -i lo -j ACCEPT

# eth0ؤΥѥåȤϵ
#${IPTABLES} -A INPUT -i eth1 -s 172.26.145.0/24 -j ACCEPT
${IPTABLES} -A INPUT -i eth1 -s ${LANIP}/${LANMASK} -j ACCEPT

# ³ΩƤΤϵ
${IPTABLES} -A FORWARD -m state --state ESTABLISHED,RELATED -j ACCEPT -i ${INTERFACE} -o eth1
${IPTABLES} -A FORWARD -m state --state NEW,ESTABLISHED -j ACCEPT -i eth1 -o ${INTERFACE}

# IPޥ졼
#${IPTABLES} -A FORWARD -d 172.26.145.0/24 -j ACCEPT
#${IPTABLES} -A FORWARD -s 172.26.145.0/24 -j ACCEPT
#${IPTABLES} -t nat -A POSTROUTING -o ppp0 -s 172.26.145.0/24 -j MASQUERADE
#${IPTABLES} -t nat -A POSTROUTING -o eth0 -s 172.26.145.0/24 -j MASQUERADE
${IPTABLES} -t nat -A POSTROUTING -o ${INTERFACE} -s ${LANIP}/${LANMASK} -j MASQUERADE

#ݥꥷ
# ɤˤޥåʤΤϺǽŪˤ˥ޥå
${IPTABLES} -P FORWARD ACCEPT
${IPTABLES} -P INPUT ACCEPT
${IPTABLES} -P OUTPUT ACCEPT

# rp_filter ͭ
echo 1 > /proc/sys/net/ipv4/conf/ppp0/rp_filter

if [ -f /etc/rc.d/init.d/iptables ]; then
  /etc/rc.d/init.d/iptables save
fi