#!/bin/sh
#
# 2005.02.22
# S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2
#  LEDѹ

PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
POSTGRES_HOME=/usr/local/pgsql
PGLIB=${POSTGRES_HOME}/lib
PGDATA=${POSTGRES_HOME}/data
export PGLIB PGDATA

FTOP=/mnt/usr/BACKUP

SUDO=/usr/bin/sudo
IBSLED=/etc/ibsbat/ibsuserled.bat
IBSLED2=/mnt/usr/BACKUP/ibsled_test
IBSLED2OPT="-p 2 -t 1"

. /etc/ibsbat/ibs.subr

if [ -z "${LD_LIBRARY_PATH}" ]; then
  LD_LIBRARY_PATH=${PGLIB}
else
  LD_LIBRARY_PATH=${PGLIB}:${LD_LIBRARY_PATH}
fi

if [ -z "$1" -o -z "$2" ]; then
  exit 1
fi

# S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2
if [ -x ${IBSLED2} ]; then
  ${IBSLED2} ${IBSLED2OPT} -v ${IBSLED_INFO_INTER}
else
  ${SUDO} ${IBSLED} info inter
fi

su - ibsuser -c "${POSTGRES_HOME}/bin/pg_dump -c $1 > $2"
if [ $? = 0 ]; then
  _base=`basename $2`
  _endno=${_base##PGDUMPto.}

  #ǥ쥯ȥѹ
  _ftop=${2%/*}
  if [ ! -d "$_ftop" ]; then
    _ftop=${FTOP}
  fi
  cd ${_ftop}

  _pg_dump_done=pg_dump_done.$_endno
  touch $_pg_dump_done

  for i in PGDUMPto.*
  do
    _doneno=${i##PGDUMPto.}
    if [ $_doneno -ne $_endno ]; then
      rm -f ${i}
    fi
  done

  for i in pg_dump_done.*
  do
    _doneno=${i##pg_dump_done.}
    if [ $_doneno -ne $_endno ]; then
      rm -f ${i}
    fi
  done

  for i in cfile.*
  do
    _cendno=${i##cfile.}
    if [ $_cendno -le $_endno ]; then
      rm -f ${i}
    fi
  done
fi

# S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2
if [ -x ${IBSLED2} ]; then
  ${IBSLED2} ${IBSLED2OPT} -v ${IBSLED_INFO_OFF}
else
  ${SUDO} ${IBSLED} info off
fi

exit $?
