#
# 2004.02.25
#
BEGIN{
    FS="=";
}

/^index/{
    conf_f = "/etc/ppp/pppoe" $2 ".conf";
    printf"%s:%s\n",$1,$2;
    printf"%s\n",conf_f;
#  if ( $0 == /^index/ )
#    next

    printf "PPPOE_CONF_VERSION=%s\n",pppoe_conf_version > conf_f
    printf "ETH='eth0'\n" >> conf_f;
    # DEVICE=ǻꤷ̾Τϡip-up.local/ip-down.localǻѤ롣
    printf "DEVICE=ppp%s\n", $2 >> conf_f;
    printf "LINUX_PLUGIN=/usr/lib/pppd/2.4.2/rp-pppoe.so\n" >> conf_f;

    printf "DEMAND=no\n" >> conf_f;
    printf "CONNECT_TIMEOUT=30\n" >> conf_f;
#    printf "CONNECT_TIMEOUT=10\n" >> conf_f;
    printf "CONNECT_POLL=2\n" >> conf_f;
    printf "ACNAME=\n" >> conf_f;
    printf "SERVICENAME=\n" >> conf_f;
    printf "PING=\".\"\n" >> conf_f;
    printf "CF_BASE=`basename $CONFIG`\n" >> conf_f;
    printf "PIDFILE=\"/var/run/$CF_BASE-adsl.pid\"\n" >> conf_f;
    printf "SYNCHRONOUS=no\n" >> conf_f;
    printf "LCP_INTERVAL=20\n" >> conf_f;
    printf "LCP_FAILURE=3\n" >> conf_f;
    printf "PPPOE_TIMEOUT=80\n" >> conf_f;
#    printf "LCP_FAILURE=10\n" >> conf_f;
#    printf "PPPOE_TIMEOUT=220\n" >> conf_f;
    printf "FIREWALL=NONE\n" >> conf_f;
    # 2005.03.12 mtu˰ư
#    printf "PPPOE_EXTRA=\"\"\n" >> conf_f;
#    printf "PPPD_EXTRA=\"\"\n" >> conf_f;
}

/^[^index]/{
}
/^table_number/{
    printf "#%s\n", $0 >> conf_f;
}
/^entry_name/{
    printf "#%s\n", $0 >> conf_f;
}
/^user_name/{
    printf "USER=\'%s\'\n",$2 >> conf_f;
}
/^password/{
    printf "#password=\'%s\'\n",$2 >> conf_f;
}
/^certification/{
    printf "#%s\n", $0 >> conf_f;
}
/^default_gateway/{
    if ( $2 == "on" ) {
	printf "DEFAULTROUTE=yes\n" >> conf_f;
    }
    else {
	printf "DEFAULTROUTE=no\n" >> conf_f;
    }
}
/^mtu/{
#    printf "CLAMPMSS=%d\n", $2 - 42 >> conf_f;
    printf "CLAMPMSS=%d\n", $2 - 40 >> conf_f;
    # 2005.03.12
    #  ǥեȤѹ
    if ( $2 != "" ) {
      printf "PPPD_EXTRA=\"mtu %d\"\n", $2 >> conf_f;
      printf "PPPOE_EXTRA=\"mtu %d\"\n", $2 >> conf_f;
    }
}

/^unnumbered/{
    printf "#%s\n", $0 >> conf_f;
}
/^appoint_dns/{
    if ( $2 == "manual" ) {
	printf "DNSTYPE=SPECIFY\n" >> conf_f;
	printf "PEERDNS=yes\n" >> conf_f;
    }
    if ( $2 == "auto" ) {
	printf "DNSTYPE=SERVER\n" >> conf_f;
	printf "PEERDNS=yes\n" >> conf_f;
    }
}
/^primary_dns/{
    printf "DNS1=%s\n", $2 >> conf_f;
}
/^secondary_dns/{
    printf "DNS2=%s\n", $2 >> conf_f;
}
/^auto_connection/{
  if ( $2 == "on" ) {
      printf "#auto_connection=%s\n",$2 >> conf_f;
  }
  else {
      printf "#auto_connection=off\n" >> conf_f;
  }
}
