#!/bin/sh
#
# /etc/ibsbat/syslog_fw.bat饳뤵
#
# ե०ɽ
# (1)ɽ
#   1 disp
#   :
#       0: ｪλ()
#       1: ʾ彪λ(ե뤬̵եΥ0)
# (2)ꥢ
#   1  clear
#   # 2006.04.21
#   2  messages/fw/(none)
#       0: λ
# (3)¸
#   1  save
#       0: λ
#
# (4)ɽ
#    1 reload
#       0: λ
#
#  syslogˤϤϡEUCǤ뤬
#  ɽSHIFT-JISѴ
#
#

_DBGON=
[ -f /tmp/dbgecho ] && _DBGON=1

MAXLINE=1000
MAXSIZE=70
LOGFILE=/var/log/fw.log
TMPFILE=/tmp/fw.log
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
LOGROTATE=/usr/sbin/logrotate
LOGROTATE_CONF=/etc/ibsbat/logrotate_fw.conf

FLOGDIR=/mnt/usr/BACKUP
FLOGFILE=${FLOGDIR}/fw.log

#2006.04.17
MAXMSGSIZE=300
TMPMSG=/tmp/messages.log
LOGMSG=/var/log/messages
FLOGMSG=${FLOGDIR}/messages

#2006.04.20
MAXMESIZE=50
TMPME=/tmp/me.log
LOGME=/var/log/me.log
FLOGME=${FLOGDIR}/me.log

DBGECHO()
{
	[ ! -z $_DBGON ] && echo "$1"
}

syslog_fw_sub_syslog()
{
	logger -p kern.info -t $CMDBAT $1
}

####
# 2006.04.17
syslog_msg_save()
{
	local _kblock=0
	cp -f /dev/null ${TMPMSG}
	_logmsg="${LOGMSG}.2.gz ${LOGMSG}.1.gz"
	for i in $_logmsg; do
		syslog_fw_sub_syslog "zcat ${i}"
		[ -f "${i}" ] && zcat "${i}" >> ${TMPMSG} || syslog_fw_sub_syslog "Not found ${i}"
	done
	syslog_fw_sub_syslog "cat ${LOGMSG}"
	[ -f "${LOGMSG}" ] && cat "${LOGMSG}" >> ${TMPMSG} || syslog_fw_sub_syslog "Not found ${LOGMSG}"

	# 2006.04.23 
	#_kblock=`ls -s ${TMPMSG} | awk '{printf"%s\n",$1}'`
	_kblock=`ls -l ${TMPMSG} | awk '{printf"%s\n",$5}'`
	_kblock=$(( $_kblock / 1024 ))
	if [ -n "$_kblock" -a $_kblock -le ${MAXMSGSIZE} ]; then
		syslog_fw_sub_syslog "${TMPMSG} is small ${MAXMSGSIZE}k"
		cp -fp ${TMPMSG} ${FLOGMSG}
	else
		syslog_fw_sub_syslog "${TMPMSG} is bigger ${MAXMSGSIZE}k. Trying copy ${MAXLINE}"
		tail -${MAXLINE} ${TMPMSG} > ${FLOGMSG}
	fi
}

syslog_msg_reload()
{
	cp -f /dev/null ${LOGMSG}
	chmod 600 ${LOGMSG}

	_logmsg="${FLOGMSG}.2.gz ${FLOGMSG}.1.gz"
	for i in $_logmsg; do
		syslog_fw_sub_syslog "reload ${i}"
		[ -f "${i}" ] && zcat "${i}" >> ${LOGMSG} || syslog_fw_sub_syslog "Not found ${i}"
	done
	syslog_fw_sub_syslog "cat ${FLOGMSG}"
	[ -f "${FLOGMSG}" ] && cat "${FLOGMSG}" >> ${LOGMSG} || syslog_fw_sub_syslog "Not found ${FLOGMSG}"
}

####
# 2006.04.20
syslog_me_save()
{
	cp -f /dev/null ${TMPME}
	_logmsg="${LOGME}.2.gz ${LOGME}.1.gz"
	for i in $_logmsg; do
		syslog_fw_sub_syslog "zcat ${i}"
		[ -f "${i}" ] && zcat "${i}" >> ${TMPME} || syslog_fw_sub_syslog "Not found ${i}"
	done
	syslog_fw_sub_syslog "cat ${LOGME}"
	[ -f "${LOGME}" ] && cat "${LOGME}" >> ${TMPME} || syslog_fw_sub_syslog "Not found ${LOGME}"

	# 2006.04.23
	#_kblock=`ls -s ${TMPME} | awk '{printf"%s\n",$1}'`
	_kblock=`ls -l ${TMPME} | awk '{printf"%s\n",$5}'`
	_kblock=$(( $_kblock / 1024 ))
	if [ -n "$_kblock" -a $_kblock -le ${MAXMESIZE} ]; then
		syslog_fw_sub_syslog "${TMPME} is small ${MAXMESIZE}k"
		cp -fp ${TMPME} ${FLOGME}
	else
		syslog_fw_sub_syslog "${TMPME} is bigger ${MAXMESIZE}k. Trying copy ${MAXLINE}"
		tail -${MAXLINE} ${TMPME} > ${FLOGME}
	fi
}

syslog_me_reload()
{
	cp -f /dev/null ${LOGME}
	chmod 600 ${LOGME}

	_logmsg="${FLOGME}.2.gz ${FLOGME}.1.gz"
	for i in $_logmsg; do
		syslog_fw_sub_syslog "reload ${i}"
		[ -f "${i}" ] && zcat "${i}" >> ${LOGME} || syslog_fw_sub_syslog "Not found ${i}"
	done
	syslog_fw_sub_syslog "cat ${FLOGME}"
	[ -f "${FLOGME}" ] && cat "${FLOGME}" >> ${LOGME} || syslog_fw_sub_syslog "Not found ${FLOGME}"
}


##############################
CMDBAT=`basename $0`
LOCKFILE=/var/lock/${CMDBAT}.lock

ln -s $0 ${LOCKFILE}
if [ $? != 0 ]; then
	syslog_fw_sub_syslog "Already executing $CMDBAT"
	exit 1
fi
trap "rm -f ${LOCKFILE}" EXIT



_spec=$1
[ -z "$_spec" ] && exit 1

case $_spec in
	disp)
		[ ! -f "${LOGFILE}" ] && exit 1

		[ ! -s "${LOGFILE}" -a ! -s "${LOGFILE}.1.gz" -a ! -s "${LOGFILE}.2.gz" ] && exit 1

		_melog=${LOGFILE}
		if [ -f "${LOGFILE}.2.gz" -o -f "${LOGFILE}.1.gz" ]; then
			cp -f /dev/null ${TMPFILE}
			[ -f "${LOGFILE}.2.gz" ] && zcat ${LOGFILE}.2.gz >> ${TMPFILE}
			[ -f "${LOGFILE}.1.gz" ] && zcat ${LOGFILE}.1.gz >> ${TMPFILE}
			[ -f "${LOGFILE}" ] &&       cat ${LOGFILE}      >> ${TMPFILE}
			_melog=${TMPFILE}
		else
			_melog=${LOGFILE}
		fi

		#Ϥɤ
		#grep -v -e sudo -e TTY ${_melog} | \
		# awk '{printf"%s %s %s ",$1,$2,$3; if ( $5 == "last" ) {printf"ǸΥåη֤%d\n",$8;} else {for (j=6;j<=NF;j++) printf"%s ",$j;printf"\n";}}' | \
		#    nkf -s
		# 2005.11.16 ɽե륿ѤΥ
		grep autoupdate ${_melog} | \
			awk '{printf"%s %s %s ",$1,$2,$3; {for (j=7;j<=NF;j++) printf"%s ",$j;printf"\n";}}' | \
			nkf -s
		RETVAL=0
		[ -f "${TMPFILE}" ] && rm -f ${TMPFILE}
		;;
	clear)
		# 2006.04.21
		_arg2=$2
		
		/etc/rc.d/init.d/syslog stop

		# 2006.04.21 
		#${LOGROTATE} -f ${LOGROTATE_CONF} > /dev/null 2>&1
		#RETVAL=0
		if [ "X$_arg2" = "Xfw" -o "X$_arg2" = "X" ]; then
			[ -f "${LOGFILE}" ] && rm -f ${LOGFILE}
			for i in `ls ${LOGFILE}.*.gz`; do
				[ -f "$i" ] && rm -f $i
			done
			[ -f "${FLOGFILE}" ] && rm -f ${FLOGFILE}
			for i in `ls ${FLOGFILE}.*.gz`; do
				[ -f "$i" ] && rm -f $i
			done
		fi

		# 2006.04.21
		# 2006.05.20
		if [ "X$_arg2" = "Xmessages" -o "X$_arg2" = "X" ]; then
			# 2006.04.19 messages
			[ -f "${LOGMSG}" ] && rm -f ${LOGMSG}
			for i in `ls ${LOGMSG}.*.gz`; do
				[ -f "$i" ] && rm -f $i
			done
			[ -f "${FLOGMSG}" ] && rm -f ${FLOGMSG}
			for i in `ls ${FLOGMSG}.*.gz`; do
				[ -f "$i" ] && rm -f $i
			done
		fi
		/etc/rc.d/init.d/syslog start
		;;
	save)
		/etc/rc.d/init.d/syslog stop
		RETVAL=0
		cp -f /dev/null ${TMPFILE}
		if [ -f "${LOGFILE}.2.gz" ]; then
			zcat "${LOGFILE}.2.gz" >> ${TMPFILE}
		fi
		if [ -f "${LOGFILE}.1.gz" ]; then
			zcat "${LOGFILE}.1.gz" >> ${TMPFILE}
		fi
		if [ -f "${LOGFILE}" ]; then
			cat "${LOGFILE}" >> ${TMPFILE}
		fi
		#2006.04.17
		syslog_msg_save
		#2006.04.20
		syslog_me_save

		/etc/rc.d/init.d/syslog start

		# 2006.04.23
		#_kblock=`ls -s ${TMPFILE} | awk '{printf"%s\n",$1}'`
		_kblock=`ls -l ${TMPFILE} | awk '{printf"%s\n",$5}'`
		_kblock=$(( $_kblock / 1024 ))
		DBGECHO "${TMPFILE} _kblock is $_kblock"
		if [ $_kblock -le ${MAXSIZE} ] ; then
			echo "save ${TMPFILE} to ${FLOGFILE}"
			cp -fp ${TMPFILE} ${FLOGFILE}
			RETVAL=$?
		else
			RETVAL=1
		fi
		if [ "$RETVAL" != "0" ]; then
			echo "${LOGFILE} copy failed"
			echo "trying save ${TMPFILE} to ${FLOGFILE} : tail -${MAXLINE}"
			# 2006.01.27 㳲νʤΤǡautoupdateΤ߸롣
			grep -e 'autoupdate' -e 'ibssysupdate' ${TMPFILE} |tail -${MAXLINE} > ${FLOGFILE}
		fi
		[ -f ${FLOGFILE}.1.gz ] && rm -f ${FLOGFILE}.1.gz
		[ -f ${FLOGFILE}.2.gz ] && rm -f ${FLOGFILE}.2.gz

		;;
	reload)
		# 2005.12.13 եĤˤޤȤreload
		# *.1.gz¸ߤСŸ
		cp -f /dev/null ${LOGFILE}
		chmod 600 ${LOGFILE}
		[ -f "${FLOGFILE}.2.gz" ] && zcat ${FLOGFILE}.2.gz >>  ${LOGFILE} && chmod 600 ${LOGFILE}
		[ -f "${FLOGFILE}.1.gz" ] && zcat ${FLOGFILE}.1.gz >>  ${LOGFILE} && chmod 600 ${LOGFILE}
		[ -f "${FLOGFILE}" ]      &&  cat ${FLOGFILE}      >> ${LOGFILE} && chmod 600 ${LOGFILE}
		[ -f "${LOGFILE}.2.gz" ] && rm -f ${LOGFILE}.2.gz
		[ -f "${LOGFILE}.1.gz" ] && rm -f ${LOGFILE}.1.gz
		# ŸΥΥå
		# 2006.04.23
		#[ -f ${LOGFILE} ] && _kblock=`ls -s ${LOGFILE} | awk '{printf"%s\n",$1}'` || _kblock=0
		[ -f ${LOGFILE} ] && _kblock=`ls -l ${LOGFILE} | awk '{printf"%s\n",$5}'` || _kblock=0
		_kblock=$(( $_kblock / 1024 ))
		#if [ -f ${LOGFILE} ]; then
		#  _kblock=`ls -s ${LOGFILE} | awk '{printf"%s\n",$1}'`
		if [ $_kblock -ge ${MAXSIZE} ]; then
			[ -f ${LOGFILE}.1.gz ] && mv ${LOGFILE}.1.gz ${LOGFILE}.2.gz
			gzip -f -S .1.gz ${LOGFILE} > /dev/null 2>&1
		fi
		#[ -f "${FLOGFILE}" ] && cat ${FLOGFILE} >> ${LOGFILE} && chmod 600 ${LOGFILE}

		[ ! -f ${LOGFILE} ] && touch ${LOGFILE} && chmod 600 ${LOGFILE}
		#fi
		# 2006.04.17
		syslog_msg_reload
		# 2006.04.20
		syslog_me_reload
		;;
	*)
		RETVAL=1
		;;
esac
exit $RETVAL
