#!/bin/sh
#
# $B%?!<%2%C%HMQ(B
#  savelist1$B$NFbMF$rJ]B8(B
#
# 2004.05.21
FLASHTOP=/mnt/IBS/router
FLASH_ROUTER=${FLASHTOP}/router_flash

. /etc/ibsbat/ibs.subr
#. /etc/ibsbat/ibsflash.conf

#TAR=/usr/local/bin/tar
#TAROPT_W="--block-compress -c -z -b 128 -f"

#LIST0=/etc/ibsbat/savelist1
#LIST1=/etc/ibsbat/savelist2
#LIST2=/etc/ibsbat/savelist_app

#DDOPT="bs=64k seek=1 count=1"
#DEST=/dev/flash8

CMDBAT=`basename $0`

target_env1_syslog()
{
	logger -p kern.info -t $CMDBAT $1
}

set_hostentry()
{
	_dir=/etc
	_bkfile="${_dir}"/hosts.bak
	_file="${_dir}"/hosts
	_iffile="${_dir}"/ifconfig.tlp1
	_found=0

	mv $_file $_bkfile
	read _dmy1 _newip _dmy2 < $_iffile
	while read _ip _hosts ; do
		if [ "$_hosts" = "ibs-soho" ]; then
		#echo "old $_ip $_hosts"
		#echo "new $_newip  $_hosts"
			echo "$_newip  $_hosts" >> $_file
			_found=1
		else
			echo "$_ip $_hosts" >>$_file
		fi
	done < $_bkfile

	if [ "$_found" = "0" ];then
		echo "$_newip    ibs-soho" >> $_file
	fi
}


if ! check_ppcibs ; then
	exit 0
fi

# for NetBSD
if ostype_is_netbsd ; then
	set_hostentry

	cd /
	${TAR} ${TAROPT_W} - `cat ${IBSFLASH_ENV1_LIST}` | dd of=${IBSFLASH_ENV1_DEST} ${IBSFLASH_ENV1_DDOPT}
fi

# for Linux
if ostype_is_linux ; then
	led_info_inter
	ln -s /mnt/usr ${IBS_MOUNT_USR_RW_LOCK}
	if [ $? != 0 ]; then
		target_env1_syslog "Already executing flash writing."
		exit 30
	fi

	trap "rm -f ${IBS_MOUNT_USR_RW_LOCK}" EXIT


	target_env1_syslog "flash save start"
	cd /

	for _file in `cat ${IBSFLASH_ENV1_LIST_LINUX}`; do
		if [ -e "$_file" ]; then
			etc_save_list="$etc_save_list  $_file"
		fi
	done
	for _file in `cat ${IBSFLASH_ENV1a_LIST_LINUX}`; do
		if [ -e "$_file" ]; then
			etcenv_save_list="$etcenv_save_list $_file"
		fi
	done
	
	## 2004.05.21
	#if [ ! -f ${FLASH_ROUTER} ]; then
	flash_rw_mount

	# 2005.11.08 For V3
	if [ -f /etc/thisver ]; then
		[ -f /mnt/IBS/current_exec_path ] && CUR_EXEC_PATH=`cat /mnt/IBS/current_exec_path`
		# 2005.11.25 $B%U%!%$%k$,0c$&(B!!
		#TAR_ETC=${CUR_EXEC_PATH}/etc.tar.gz
		TAR_ETC=${CUR_EXEC_PATH}/etc3.tar.gz
		MD5_ETC=${CUR_EXEC_PATH}/md5.etc
		echo "Use ${TAR_ETC}"
	fi

	#tar czf ${TAR_ETC} -C / `cat ${IBSFLASH_ENV1_LIST_LINUX}` > /dev/null 2>&1
	# 2006.04.05 sumi
	target_env1_syslog "Saving only ${TAR_ETCENV}..."
	#tar czf ${TAR_ETC} -C / `echo ${etc_save_list}` > /dev/null 2>&1
	#if [ $? != 0 ]; then
	#  target_env1_syslog "Error:write ${TAR_ETC}"
	#fi
	# 2006.04.05 sumi $B$3$3$^$G(B
	#tar czf ${TAR_ETCENV} -C / `cat ${IBSFLASH_ENV1a_LIST_LINUX}` > /dev/null 2>&1
	tar czf ${TAR_ETCENV} -C / `echo ${etcenv_save_list}` > /dev/null 2>&1
	if [ $? != 0 ]; then
		target_env1_syslog "Error:write ${TAR_ETCENV}"
	else
		target_env1_syslog "Saved only ${TAR_ETCENV}"
	fi
	# 2006.04.05 sumi
	#md5sum ${TAR_ETC} > ${MD5_ETC}
	if [ -z "${MD5_ETCENV}" ]; then
		MD5_ETCENV=/mnt/IBS/md5.etcenv
	fi
	target_env1_syslog "Updating md5 ${TAR_ETCENV}"
	md5sum ${TAR_ETCENV} > ${MD5_ETCENV}
	[ $? = 0 ] && target_env1_syslog "Updated md5 ${TAR_ETCENV}" || target_env1_syslog "Update error md5 ${TAR_ETCENV}"
	# 2006.04.05 sumi $B$3$3$^$G(B

	sync;sync
	flash_ro_mount

	flash_rw_mount_usr
	cp -p ${TAR_ETCENV} ${TAR_ETCENV_BAK} > /dev/null 2>&1
	flash_rw_mount_usr

	target_env1_syslog "flash save done."
	if [ -e "${IBS_MOUNT_USR_RW_LOCK}" ]; then
		rm -f "${IBS_MOUNT_USR_RW_LOCK}"
	fi
	led_info_off
	exit 0
fi
