# 2005/02/22
sub check_ftp
{
my($ftp_server) = $_[0];
if($ftp_server =~ /^(\d+)\.(\d+)\.(\d+)\.(\d+)$/){
return &check_ipaddress_ipv4($ftp_server);
}
else{
return &check_host_address($ftp_server);
}
}
sub get_ftp_info
{
my($when) = $_[0];
my($backup);
my($ftp);
my($usr);
my($pass);
my($file);
my(%return_hash);
my($path) = "$ROUTER_DATA/auto_upload/ftp_info";
if("error" eq &lock_file("LOCK", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "ftp_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
if("error" eq &open_file("PATH", "$path$backup", "r")){
my($alert_message) = $RETURN_CODE{"202"};
%return_hash = (
"return" => "error",
"error_contents" => "ftp_open",
"alert_message" => $alert_message
);
close(LOCK);
return %return_hash;
}
my(@tmp) = <PATH>;
close(PATH);
foreach(@tmp){
if(/^\s*(?:ftp=)(\S*)/){
$ftp = $1;
}
elsif(/^\s*(?:usr=)(\S*)/){
$usr = $1;
}
elsif(/^\s*(?:pass=)(\S*)/){
$pass = $1;
}
elsif(/^\s*(?:file=)(\S*)/){
$file = $1;
}
else{
}
}
%return_hash = (
"return" => "success",
"ftp" => $ftp,
"usr" => $usr,
"pass" => $pass,
"file" => $file
);
close(LOCK);
return %return_hash;
}
sub set_ftp_info
{
my($ftp) = $_[0];
my($usr) = $_[1];
my($pass) = $_[2];
my($file) = $_[3];
my(%return_hash);
my($path) = "$ROUTER_DATA/auto_upload/ftp_info";
if("error" eq &lock_file("LOCK", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "ftp_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
if("error" eq &open_file("TMP", "$path.ibs-soho.tmp", "w")){
my($alert_message) = $RETURN_CODE{"203"};
%return_hash = (
"return" => "error",
"error_contents" => "ftp_tmp_open",
"alert_message" => $alert_message
);
close(LOCK);
return %return_hash;
}
print TMP "ftp=$ftp\n";
print TMP "usr=$usr\n";
print TMP "pass=$pass\n";
print TMP "file=$file\n";
print TMP "\n";
close(TMP);
rename("$path", "$path.ibs-soho.backup");
rename("$path.ibs-soho.tmp", "$path");
%return_hash = (
"return" => "success"
);
close(LOCK);
return %return_hash;
}
sub do_ftpupload
{
my($ftp) = $_[0];
my($usr) = $_[1];
my($pass) = $_[2];
my($key) = $_[3];
my($file) = $_[4];
my($error_flag);
my($alert_message);
my($id_org) = $<;
$< = 0;
open FTPUPLOAD, "/bin/sh /etc/ibsbat/ftpupload.bat $ftp $usr $pass $key $file 2>&1|";
print "<pre>\n";
while(<FTPUPLOAD>){
if(/connection_error/){
$error_flag = "on";
$alert_message = "uFTPT[ovڑɎs܂B\\nݒemFB";
last;
}
elsif(/not_file_error/){
$error_flag = "on";
$alert_message = "w肳ꂽt@C݂͑܂łB\\nݒemFB";
last;
}
elsif(/file_download_error/){
$error_flag = "on";
$alert_message = "ut@Cv_E[hɎs܂B\\nݒemFB";
last;
}
elsif(/file_upload_error/){
$error_flag = "on";
$alert_message = "ut@CvAbv[hɎs܂B\\nݒemFB";
last;
}
else{
}
print;
}
print "</pre>\n";
close(FTP_UPLOAD);
$< = $id_org;
if("on" eq $error_flag){
my(%return_hash) = (
"return" => "error",
"error_contents" => "ftpupload_bat_error",
"alert_message" => $alert_message
);
return %return_hash;
}
else{
my(%return_hash) = (
"return" => "success"
);
return %return_hash;
}
}
1;
