# 2006/05/01
sub get_dhcpc
{
my($state);
my($return_ipaddress);
my($wan_ipaddress);
my($wan_mask);
my($dhcpc_ipaddress);
my($dhcpc_mask);
my(%return_hash);
my(%return_get_wan_address_state) = &get_wan_address_state();
if("error" eq $return_get_wan_address_state{"return"}){
%return_hash = (
"return" => "error",
"error_contents" => $return_get_wan_address_state{"error_contents"},
"alert_message" => $return_get_wan_address_state{"alert_message"}
);
return %return_hash;
}
else{
$state = $return_get_wan_address_state{"ip"}
}
if( !("scas_west_dhcp" eq $state) ){
%return_hash = (
"return" => "success",
"state" => "ng"
);
return %return_hash;
}
if(-e "/home/ibsuser/public_html/Admin/Sys_setup/Router/ipaddress_of_wan/reboot"){
%return_hash = (
"return" => "success",
"state" => "reboot"
);
return %return_hash;
}
my($dhcpc_pid) = `/bin/cat /var/run/dhcpcd-eth0.pid`;
my(%return_get_ipaddress_by_command) = &get_ipaddress_by_command("eth0");
if("error" eq $return_get_ipaddress_by_command{"return"}){
%return_hash = (
"return" => "error",
"error_contents" => $return_get_ipaddress_by_command{"error_contents"},
"alert_message" => $return_get_ipaddress_by_command{"alert_message"}
);
return %return_hash;
}
else{
$wan_ipaddress = $return_get_ipaddress_by_command{"ipaddress_ipv4"};
$wan_mask = $return_get_ipaddress_by_command{"subnetmask"};
if($wan_mask =~ /./){
$wan_mask = &change_hexa_to_decimal($wan_mask);
$wan_mask = &change_subnetmask($wan_mask);
$wan_ipaddress = $wan_ipaddress . "/" . $wan_mask;
}
}
my(@tmp) = `/bin/cat /etc/dhcpcd/dhcpcd-eth0.info`;
foreach(@tmp){
if(/^\s*(?:IPADDR)=([\d\.]+)\s*$/){
$dhcpc_ipaddress = $1;
}
elsif(/^\s*(?:NETMASK)=([\d\.]+)\s*$/){
$dhcpc_mask = $1;
$dhcpc_mask = &change_subnetmask($dhcpc_mask);
}
else{
next;
}
}
if( ($dhcpc_ipaddress =~ /./) && ($dhcpc_mask =~ /./) ){
$dhcpc_ipaddress = $dhcpc_ipaddress . "/" . $dhcpc_mask;
}
if($dhcpc_pid =~ /^\d+$/){
if( ($wan_ipaddress eq $dhcpc_ipaddress) && ($wan_ipaddress =~ /./) && ($dhcpc_ipaddress =~ /./) ){
$state = "ok";
$return_ipaddress = $dhcpc_ipaddress;
}
else{
$state = "boot";
}
}
else{
if( ($wan_ipaddress eq $dhcpc_ipaddress) && ($wan_ipaddress =~ /./) && ($dhcpc_ipaddress =~ /./) ){
$state = "infinity";
$return_ipaddress = $dhcpc_ipaddress;
}
else{
$state = "error";
}
}
%return_hash = (
"return" => "success",
"state" => $state,
"ipaddress" => $return_ipaddress
);
return %return_hash;
}
sub renew_dhcpc
{
my(%return_hash);
my($id_org) = $<;
$< = 0;
system("/bin/sh /etc/ibsbat/dhcpcd.bat >/dev/null 2>&1");
$< = $id_org;
}
1;
