# 2006/04/08
sub get_lan_info
{
my($lan_link);
my($lan_ipaddress);
my($lan_subnetmask);
my(%return_hash);
my(@tmp) = `/sbin/ifconfig eth1`;
foreach(@tmp){
if(/^\s*(?:inet)\s+(?:addr:)([\d\.]+)\s+(?:Bcast:)([\d\.]+)\s+(?:Mask:)([\d\.]+)/){
$lan_ipaddress = $1;
$lan_subnetmask = &change_subnetmask($3);
}
elsif(/^\s+(UP)/){
$lan_link = "up";
}
else{
next;
}
}
%return_hash = (
"return" => "success",
"lan_link" => $lan_link,
"lan_ipaddress" => $lan_ipaddress,
"lan_subnetmask" => $lan_subnetmask
);
return %return_hash;
}
sub get_wan_info
{
my($wan_state_pppoe) = $_[0];
my($wan_state_ip) = $_[1];
my($wan_link);
my($wan_ipaddress);
my($wan_subnetmask);
my(@pppoe_link);
my(@pppoe_ipaddress);
my(@pppoe_subnetmask);
my(%return_hash);
if("on" eq $wan_state_pppoe){
my($loop_cnt);
for($loop_cnt = 0; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++){
my(@tmp) = `/bin/sh /etc/ibsbat/pppoe.bat status $loop_cnt`;
foreach(@tmp){
if(/^\s*(?:inet)\s+(?:addr:)([\d\.]+)\s+(?:P-t-P:)([\d\.]+)\s+(?:Mask:)([\d\.]+)/){
$pppoe_ipaddress[$loop_cnt] = $1;
$pppoe_subnetmask[$loop_cnt] = &change_subnetmask($3);
}
elsif(/^\s+(UP)/){
$pppoe_link[$loop_cnt] = "up";
}
else{
next;
}
}
}
}
if( ("normal" eq $wan_state_ip) || ("ecas" eq $wan_state_ip) || ("scas_east" eq $wan_state_ip) || ("scas_west_dhcp" eq $wan_state_ip) || ("scas_west_ip" eq $wan_state_ip) || ("ctu_west_dhcp" eq $wan_state_ip) || ("ctu_west_ip" eq $wan_state_ip) ){
my(@tmp) = `/sbin/ifconfig eth0`;
foreach(@tmp){
if(/^\s*(?:inet)\s+(?:addr:)([\d\.]+)\s+(?:Bcast:)([\d\.]+)\s+(?:Mask:)([\d\.]+)/){
$wan_ipaddress = $1;
$wan_subnetmask = &change_subnetmask($3);
}
elsif(/^\s+(UP)/){
$wan_link = "up";
}
else{
next
}
}
}
%return_hash = (
"return" => "success",
"wan_link" => $wan_link,
"wan_ipaddress" => $wan_ipaddress,
"wan_subnetmask" => $wan_subnetmask,
"pppoe_link" => join("\#IBS-SOHO\#", @pppoe_link),
"pppoe_ipaddress" => join("\#IBS-SOHO\#", @pppoe_ipaddress),
"pppoe_subnetmask" => join("\#IBS-SOHO\#", @pppoe_subnetmask)
);
return %return_hash;
}
1;
