# 2006/04/12
sub get_routing_table
{
my($default_ipaddress);
my($default_route);
my(@ipaddress);
my(@netmask);
my(@route);
my(@route_ipaddress);
my(@hop);
my(@static_ipaddress);
my(@static_netmask);
my(@static_route);
my(@static_route_ipaddress);
my(@static_hop);
my(@ipaddress_work);
my(@netmask_work);
my(@route_work);
my(@route_ipaddress_work);
my(@hop_work);
my(@static_ipaddress_tmp);
my(@static_subnetmask_tmp);
my(@static_route_ipaddress_tmp);
my(%return_hash);
my($loop_cnt);
my(%pppoe_table);
for($loop_cnt = 0; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++){
my(@tmp) = `/bin/sh /etc/ibsbat/pppoe.bat status $loop_cnt`;
foreach(@tmp){
if(/^\s*(ppp\d+)/){
$pppoe_table{$1} = $loop_cnt;
}
}
}
my(%return_get_static_table) = &get_static_table("now");
if("error" eq $return_get_static_table{"return"}){
%return_hash = (
"return" => "error",
"error_contents" => $return_get_static_table{"error_contents"},
"alert_message" => $return_get_static_table{"alert_message"}
);
return %return_hash;
}
else{
@static_ipaddress_tmp = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_ipaddress"});
@static_subnetmask_tmp = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_subnetmask"});
@static_route_ipaddress_tmp = split(/\#IBS-SOHO\#/, $return_get_static_table{static_route_ipaddress});
}
my(@tmp) = `ip route ls`;
foreach(@tmp){
if(/(?:default)\s+(?:via)\s+([\d\.]+)\s+(?:dev)\s+(\S+)/){
$default_ipaddress = $1;
$default_route = $2;
}
elsif(/([\d\.]+)(?:\/?)(\d*)\s+(?:dev)\s+(\S+)\s+(?:proto)\s+(?:kernel)\s+(?:scope)\s+(?:link)\s+(?:src)\s+([\d\.]+)/){
push(@ipaddress_work, $1);
push(@netmask_work, $2);
push(@route_work, $3);
push(@route_ipaddress_work, "");
push(@hop_work, "");
}
elsif(/([\d\.]+)(?:\/?)(\d*)\s+(?:dev)\s+(\S+)\s+(?:scope)\s+(?:link)\s+(?:metric)\s+(\d+)/){
push(@ipaddress_work, $1);
push(@netmask_work, $2);
push(@route_work, $3);
push(@route_ipaddress_work, "");
push(@hop_work, $4);
}
elsif(/([\d\.]+)(?:\/?)(\d*)\s+(?:dev)\s+(\S+)\s+(?:scope)\s+(?:link)/){
push(@ipaddress_work, $1);
push(@netmask_work, $2);
push(@route_work, $3);
push(@route_ipaddress_work, "");
push(@hop_work, "");
}
elsif(/([\d\.]+)(?:\/?)(\d*)\s+(?:via)\s+([\d\.]+)\s+(?:dev)\s+(\S+)\s+(?:metric)\s+(\d+)/){
push(@ipaddress_work, $1);
push(@netmask_work, $2);
push(@route_ipaddress_work, $3);
push(@route_work, $4);
push(@hop_work, $5);
}
elsif(/([\d\.]+)(?:\/?)(\d*)\s+(?:via)\s+([\d\.]+)\s+(?:dev)\s+(\S+)/){
push(@ipaddress_work, $1);
push(@netmask_work, $2);
push(@route_ipaddress_work, $3);
push(@route_work, $4);
push(@hop_work, "");
}
else{
}
}
if($default_route =~ /./){
if($pppoe_table{$default_route} =~ /./){
my($disp_cnt) = $pppoe_table{$default_route} + 1;
$default_route = "PPPoE No.$disp_cnt";
}
elsif("eth0" eq $default_route){
$default_route = "WAN";
}
elsif("eth1" eq $default_route){
$default_route = "LAN";
}
else{
$default_route = "PPPoE";
}
}
foreach(@route_work){
my($route_work) = $_;
if(/./){
if($pppoe_table{$route_work} =~ /./){
my($disp_cnt) = $pppoe_table{$route_work} + 1;
$_ = "PPPoE No.$disp_cnt";
}
elsif("eth0" eq $route_work){
$_ = "WAN";
}
elsif("eth1" eq $route_work){
$_ = "LAN";
}
else{
# 2006/04/12
$_ = "lo";
}
}
}
while(1){
my($static_push_flg) = "off";
my($ipaddress_work) = shift(@ipaddress_work);
my($netmask_work) =shift(@netmask_work);
my($route_work) =shift(@route_work);
my($route_ipaddress_work) = shift(@route_ipaddress_work);
my($hop_work) = shift(@hop_work);
unless($ipaddress_work =~ /./){
last;
}
my(@static_ipaddress_tmp_tmp) = @static_ipaddress_tmp;
my(@static_subnetmask_tmp_tmp) = @static_subnetmask_tmp;
my(@static_route_ipaddress_tmp_tmp) = @static_route_ipaddress_tmp;
my($static_loop) = 0;
while(1){
if(16 == $static_loop){
last;
}
else{
$static_loop++;
}
my($static_ipaddress_tmp_tmp) = shift(@static_ipaddress_tmp_tmp);
my($static_subnetmask_tmp_tmp) = shift(@static_subnetmask_tmp_tmp);
my($static_route_ipaddress_tmp_tmp) = shift(@static_route_ipaddress_tmp_tmp);
if(32 == $static_subnetmask_tmp_tmp){
$static_subnetmask_tmp_tmp = "";
}
if( ($static_ipaddress_tmp_tmp eq $ipaddress_work) && ($static_subnetmask_tmp_tmp eq $netmask_work) ){
push(@static_ipaddress, $ipaddress_work);
push(@static_netmask, $netmask_work);
if($static_route_ipaddress_tmp_tmp =~ /./){
push(@static_route, "");
}
else{
push(@static_route, $route_work);
}
if($static_route_ipaddress_tmp_tmp =~ /./){
push(@static_route_ipaddress, $route_ipaddress_work);
}
else{
push(@static_route_ipaddress, "");
}
push(@static_hop, $hop_work);
$static_push_flg = "on";
last;
}
}
if("off" eq $static_push_flg){
push(@ipaddress, $ipaddress_work);
push(@netmask, $netmask_work);
push(@route, $route_work);
push(@route_ipaddress, $route_ipaddress_work);
push(@hop, $hop_work);
}
}
my($static_ipaddress) = join("\#IBS-SOHO\#", @static_ipaddress);
my($static_netmask) = join("\#IBS-SOHO\#", @static_netmask);
my($static_route) = join("\#IBS-SOHO\#", @static_route);
my($static_route_ipaddress) = join("\#IBS-SOHO\#", @static_route_ipaddress);
my($static_hop) = join("\#IBS-SOHO\#", @static_hop);
my($ipaddress) = join("\#IBS-SOHO\#", @ipaddress);
my($netmask) = join("\#IBS-SOHO\#", @netmask);
my($route) = join("\#IBS-SOHO\#", @route);
my($route_ipaddress) = join("\#IBS-SOHO\#", @route_ipaddress);
my($hop) = join("\#IBS-SOHO\#", @hop);
%return_hash = (
"default_ipaddress" => $default_ipaddress,
"default_route" => $default_route,
"static_ipaddress" => $static_ipaddress,
"static_netmask" => $static_netmask,
"static_route" => $static_route,
"static_route_ipaddress" => $static_route_ipaddress,
"static_hop" => $static_hop,
"ipaddress" => $ipaddress,
"netmask" => $netmask,
"route" => $route,
"route_ipaddress" => $route_ipaddress,
"hop" => $hop,
);
return %return_hash;
}
1;
