# 2006/03/07
sub get_log
{
my($key) = $_[0];
my(@date);
my(@time);
my(@service);
my(@log);
my(%return_hash);
my($path) = "/var/log/messages";
my($path1) = "/var/log/messages.1.gz";
my($path2) = "/var/log/messages.2.gz";
my($tmp) = "/tmp/messages.bs-soho.tmp";
if("error" eq &lock_file("LOCK", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "log_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
my($id_org) = $<;
$< = 0;
if( (-e $path2) && (-e $path1) && (-e $path) ){
system("/bin/gunzip -c $path2 $path1 > $tmp");
}
elsif( (-e $path1) && (-e $path) ){
system("/bin/gunzip -c $path1 > $tmp");
}
else{
}
my(@nkf) = `/usr/bin/nkf -s $tmp $path`;
unlink("$tmp");
foreach(@nkf){
if(/sumi@/){
next;
}
elsif(/^\s*(\S+)\s+(\d+)\s+([\d:]+)\s+(?:ibs-soho)\s+(\S*:)\s+(.+)\s*$/){
my($month_tmp) = $1;
my($date_tmp) = $2;
my($time_tmp) = $3;
my($service_tmp) = $4;
my($log_tmp) = $5;
$service_tmp =~ s/ibs/[X7000]/ig;
$log_tmp =~ s/ibs/[X7000]/ig;
$log_tmp =~ s/sumi/[X7000]/ig;
$date_tmp = sprintf("%02d", $date_tmp);
$month_tmp = &change_month($month_tmp);
if($key =~ /./){
if( ($service_tmp =~ /$key/i) || ($log_tmp =~ /$key/i) ){
push(@date, "$month_tmp/$date_tmp");
push(@time, $time_tmp);
push(@service, $service_tmp);
push(@log, $log_tmp);
}
else{
next;
}
}
else{
push(@date, "$month_tmp/$date_tmp");
push(@time, $time_tmp);
push(@service, $service_tmp);
push(@log, $log_tmp);
}
}
else{
next;
}
}
%return_hash = (
"return" => "success",
"date" => join("\#IBS-SOHO\#", @date),
"time" => join("\#IBS-SOHO\#", @time),
"service" => join("\#IBS-SOHO\#", @service),
"log" => join("\#IBS-SOHO\#", @log)
);
$< = $id_org;
close(LOCK);
return %return_hash;
}
sub change_month
{
my($month) = $_[0];
my($return_month);
SWITCH:{
if("Jan" eq $month){$return_month = "01"; last SWITCH;}
if("Feb" eq $month){$return_month = "02"; last SWITCH;}
if("Mar" eq $month){$return_month = "03"; last SWITCH;}
if("Apr" eq $month){$return_month = "04"; last SWITCH;}
if("May" eq $month){$return_month = "05"; last SWITCH;}
if("Jun" eq $month){$return_month = "06"; last SWITCH;}
if("Jul" eq $month){$return_month = "07"; last SWITCH;}
if("Aug" eq $month){$return_month = "08"; last SWITCH;}
if("Sep" eq $month){$return_month = "09"; last SWITCH;}
if("Oct" eq $month){$return_month = "10"; last SWITCH;}
if("Nov" eq $month){$return_month = "11"; last SWITCH;}
if("Dec" eq $month){$return_month = "12"; last SWITCH;}
}
return $return_month;
}
1;
