#! /usr/local/bin/perl -U
# 2006/05/02
do "../common-lib.pl";
do "../ipaddress_of_lan/ipaddress_of_lan-lib.pl";
do "../ipaddress_of_wan/ipaddress_of_wan-lib.pl";
do "../routing/routing-lib.pl";
do "../dns/dns-lib.pl";
do "../nat/nat-lib.pl";
do "../filtering/filtering-lib.pl";
do "../httpd/httpd-lib.pl";
do "../ftpd/service-lib.pl";
do "../upnp/upnp-lib.pl";
do "../mail/mail-lib.pl";
&ReadParse();
my($back_flag) = "off";
my($lan_interface_name);
my($wan_interface_name);
my(%return_get_interface_name);
my($get_interface_name_error_info);
my($alert_message);
my($loop_cnt);
my($disp_cnt);
my($loop_cnt2);
my($disp_cnt2);
my($lan_ipaddress);
my($lan_subnetmask);
my($lan_ipaddress_file);
my($lan_subnetmask_file);
my(%return_get_ipaddress_by_command);
my(%return_get_ipaddress_by_file);
my($get_ipaddress_by_command_error_info);
my($get_ipaddress_by_file_error_info);
my($wan_state_pppoe);
my($wan_state_ip);
my($wan_ipaddress);
my($wan_subnetmask);
my($wan_upnpc);
my(@table_number);
my(@entry_name);
my(@user_name);
my(@password);
my(@certification);
my(@default_gateway);
my(@mtu);
my(@unnumbered);
my(@appoint_dns);
my(@primary_dns);
my(@secondary_dns);
my(@auto_connection);
my($ip_tell);
my($ip_tell_default_gw);
my($autoup);
my(%return_get_wan_state);
my(%return_get_wan_ipaddress);
my(%return_get_pppoe_table);
my(%return_get_ip_tell);
my(%return_get_autoup);
my($get_wan_state_error_info);
my($get_wan_ipaddress_error_info);
my($get_pppoe_table_error_info);
my($get_ip_tell_error_info);
my($get_autoup_error_info);
my($default_route);
my($default_route_entry_name);
my($default_route_ipaddress);
my($default_route_hop);
my(@static_table_number);
my(@static_ipaddress);
my(@static_subnetmask);
my(@static_route);
my(@static_route_entry_name);
my(@static_route_ipaddress);
my(@static_hop);
my($dynamic_route);
my($routing_info);
my(@policy_table_number);
my(@policy_dst_ipaddress);
my(@policy_src_ipaddress);
my(@policy_port);
my(@policy_route);
my(@policy_route_entry_name);
my(@policy_route_ipaddress);
my(@policy_hop);
my(%return_get_default_route);
my(%return_get_static_table);
my(%return_get_rip);
my(%return_get_policy_table);
my($get_default_route_error_info);
my($get_static_table_error_info);
my($get_rip_error_info);
my($get_policy_table_error_info);
my($dhcp_server_state);
my($dhcp_server_quota_ipaddress1);
my($dhcp_server_quota_ipaddress2);
my($dhcp_server_notice_gateway);
my($dhcp_server_lease_time);
my($dhcp_server_notice_dns);
my($dhcp_server_notice_dns_auto);
my($dhcp_server_primary_dns);
my($dhcp_server_secondary_dns);
my($dhcp_server_primary_wins);
my($dhcp_server_secondary_wins);
my(@dhcp_static_number);
my(@dhcp_static_ipaddress);
my(@dhcp_static_mac_address);
my(@dhcp_static_host_name);
my(%return_get_dhcp_server);
my(%return_get_dhcp_server_state);
my(%return_get_static_dhcp);
my($get_dhcp_server_error_info);
my($get_dhcp_server_state_error_info);
my($get_static_dhcp_error_info);
my($refer_dns);
my($provider_entry);
my($primary_dns);
my($secondary_dns);
my(@dns_table_number);
my(@dns_table_domain);
my(@dns_table_appoint);
my(@dns_table_dns_server);
my(@dns_table_domain_routing);
my(@host_table_number);
my(@host_table_host);
my(@host_table_ipaddress);
my(%return_get_dns);
my(%return_get_dns_table);
my(%return_get_host_table);
my($get_dns_error_info);
my($get_dns_table_error_info);
my($get_host_table_error_info);
my(@nat_type);
my(@nat_out_ipaddress1);
my(@nat_out_ipaddress2);
my(@nat_in_ipaddress);
my(@nat_in_ipaddress_ip);
my($ip_nat_type);
my($ip_nat_out_ipaddress1);
my($ip_nat_out_ipaddress2);
my($ip_nat_in_ipaddress);
my($ip_nat_in_ipaddress_ip);
my($dhcp_nat_type);
my($dhcp_nat_in_ipaddress);
my($dhcp_nat_in_ipaddress_ip);
my(@nat_table_number);
my(@nat_table_global_ip);
my(@nat_table_local_ip);
my(@natp_table_number);
my(@natp_table_protocol);
my(@natp_table_port);
my(@natp_table_ipaddress);
my(%return_get_nat);
my(%return_get_nat_table);
my(%return_get_natp_table);
my($get_nat_error_info);
my($get_nat_table_error_info);
my($get_natp_table_error_info);
my(@filtering_table_number);
my(@filtering_set);
my(@filtering_set_pppoe);
my(@filtering_set_lan);
my(@filtering_set_wan);
my(@filtering_set_dhcp);
my(@filtering_direction);
my(@filtering_action);
my(@filtering_dst_ipaddress);
my(@filtering_dst_subnetmask);
my(@filtering_dst_range);
my(@filtering_dst_port);
my(@filtering_src_ipaddress);
my(@filtering_src_subnetmask);
my(@filtering_src_range);
my(@filtering_src_port);
my(@filtering_and_or);
my(@filtering_protocol);
my(@filtering_appoint_protocol);
my(@filtering_tcp_flag_urg);
my(@filtering_tcp_flag_ack);
my(@filtering_tcp_flag_psh);
my(@filtering_tcp_flag_rst);
my(@filtering_tcp_flag_syn_fin);
my(@filtering_log);
my(%return_get_filtering_table);
my($return_get_filtering_set_pppoe);
my(%return_get_filtering_set_lan);
my(%return_get_filtering_set_wan);
my(%return_get_filtering_set_dhcp);
my($get_filtering_table_error_info);
my($get_filtering_set_pppoe_error_info);
my($get_filtering_set_lan_error_info);
my($get_filtering_set_wan_error_info);
my($get_filtering_set_dhcp_error_info);
my($httpd_access_lan);
my($httpd_access_wan);
my($httpd_access_ip);
my($httpd_allow_hosts);
my(%return_get_httpd_access);
my($get_httpd_access_error_info);
my($ftpd_access_lan);
my($ftpd_access_wan);
my($ftpd_access_ip);
my($ftpd_allow_hosts);
my(%return_get_ftpd_access);
my($get_ftpd_access_error_info);
my($upnp_set_number);
my(%return_get_upnp);
my($get_upnp_error_info);
my($mail_server);
my($mailaddress);
my($pop_before_smtp);
my($receive_mail_server);
my($mail_account);
my($mail_account_pass);
my(%return_get_mail);
my($get_mail_error_info);
if("off" eq $back_flag){
$lan_interface_name = "eth1";
$wan_interface_name = "eth0";
}
if("off" eq $back_flag){
%return_get_ipaddress_by_command = &get_ipaddress_by_command($lan_interface_name);
if("error" eq $return_get_ipaddress_by_command{"return"}){
$get_ipaddress_by_command_error_info = $return_get_ipaddress_by_command{"error_contents"};
$alert_message = "uLANv擾G[\\n" . $return_get_ipaddress_by_command{"alert_message"};
$back_flag = "on";
}
else{
$lan_ipaddress = $return_get_ipaddress_by_command{"ipaddress_ipv4"};
$lan_subnetmask = $return_get_ipaddress_by_command{"subnetmask"};
$lan_subnetmask = &change_hexa_to_decimal($lan_subnetmask);
$lan_subnetmask = &change_subnetmask($lan_subnetmask);
}
}
if("off" eq $back_flag){
%return_get_ipaddress_by_file = &get_ipaddress_by_file("now", $lan_interface_name);
if("error" eq $return_get_ipaddress_by_file{"return"}){
$get_ipaddress_by_file_error_info = $return_get_ipaddress_by_file{"error_contents"};
$alert_message = "uLANv擾G[\\n" . $return_get_ipaddress_by_file{"alert_message"};
$back_flag = "on";
}
else{
$lan_ipaddress_file = $return_get_ipaddress_by_file{"ipaddress_ipv4"};
$lan_subnetmask_file = $return_get_ipaddress_by_file{"subnetmask"};
$lan_subnetmask_file = &change_subnetmask($lan_subnetmask_file);
}
}
if("off" eq $back_flag){
%return_get_wan_state = &get_wan_state("now");
if("error" eq $return_get_wan_state{"return"}){
$get_wan_state_error_info = $return_get_wan_state{"error_contents"};
$alert_message = "uWANv擾G[\\n" . $return_get_wan_state{"alert_message"};
$back_flag = "on";
}
else{
$wan_state_pppoe = $return_get_wan_state{"pppoe"};
$wan_state_ip = $return_get_wan_state{"ip"};
$wan_upnpc = $return_get_wan_state{"upnpc"};
}
}
if("off" eq $back_flag){
if( ("normal" eq $wan_state_ip) || ("ecas" eq $wan_state_ip) || ("scas_west_ip") || ("ctu_west_ip") ){
%return_get_wan_ipaddress = &get_ipaddress_by_file("now", $wan_interface_name);
if("error" eq $return_get_wan_ipaddress{"return"}){
$get_wan_ipaddress_error_info = $return_get_wan_ipaddress{"error_contents"};
$alert_message = "uWANv擾G[\\n" . $return_get_wan_ipaddress{"alert_message"};
$back_flag = "on";
}
else{
$wan_ipaddress = $return_get_wan_ipaddress{"ipaddress_ipv4"};
$wan_subnetmask = $return_get_wan_ipaddress{"subnetmask"};
$wan_subnetmask = &change_subnetmask($wan_subnetmask);
}
}
}
if("off" eq $back_flag){
if("on" eq $wan_state_pppoe){
%return_get_pppoe_table = &get_pppoe_table("now");
if("error" eq $return_get_pppoe_table{"return"}){
$get_pppoe_table_error_info = $return_get_pppoe_table{"error_contents"};
$alert_message = "uWNv擾G[\\n" . $return_get_pppoe_table{"alert_message"};
$back_flag = "on";
}
else{
@table_number = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"table_number"});
@entry_name = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"entry_name"});
@user_name = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"user_name"});
@password = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"password"});
@certification = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"certification"});
@default_gateway = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"default_gateway"});
@mtu = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"mtu"});
@unnumbered = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"unnumbered"});
@appoint_dns = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"appoint_dns"});
@primary_dns = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"primary_dns"});
@secondary_dns = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"secondary_dns"});
@auto_connection = split(/\#IBS-SOHO\#/, $return_get_pppoe_table{"auto_connection"});
foreach(@password){
if($_ =~ /./){
$_ = "*";
}
}
}
}
}
if("off" eq $back_flag){
%return_get_ip_tell = &get_ip_tell();
if("error" eq $return_get_ip_tell{"return"}){
$get_ip_tell_error_info = $return_get_ip_tell{"error_contnets"};
$alert_message = "uWANv擾G[\\n" . $return_get_ip_tell{"alert_message"};
$back_flag = "on";
}
else{
$ip_tell = $return_get_ip_tell{"ip_tell"};
$ip_tell_default_gw = $return_get_ip_tell{"ip_tell_default_gw"};
}
}
if("off" eq $back_flag){
%return_get_autoup = &get_autoup();
if("error" eq $return_get_autoup{"return"}){
$get_autoup_error_info = $return_get_autoup{"error_contnets"};
$alert_message = "uWANv擾G[\\n" . $return_get_autoup{"alert_message"};
$back_flag = "on";
}
else{
$autoup = $return_get_autoup{"autoup"};
}
}
if("off" eq $back_flag){
%return_get_default_route = &get_default_route("now");
if("error" eq $return_get_default_route{"return"}){
$get_default_route_error_info = $return_get_default_route{"error_contents"};
$alert_message = "u[eBOv擾G[\\n" . $return_get_default_route{"alert_message"};
$back_flag = "on";
}
else{
$default_route = $return_get_default_route{"default_route"};
$default_route_entry_name = $return_get_default_route{"default_route_entry_name"};
$default_route_ipaddress = $return_get_default_route{"default_route_ipaddress"};
$default_route_hop = $return_get_default_route{"default_route_hop"};
}
}
if("off" eq $back_flag){
%return_get_static_table = &get_static_table("now");
if("error" eq $return_get_static_table{"return"}){
$get_static_table_error_info = $return_get_static_table{"error_contents"};
$alert_message = "u[eBOv擾G[\\n" . $return_get_static_table{"alert_message"};
$back_flag = "on";
}
else{
@static_table_number = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_table_number"});
@static_ipaddress = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_ipaddress"});
@static_subnetmask = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_subnetmask"});
@static_route = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_route"});
@static_route_entry_name = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_route_entry_name"});
@static_route_ipaddress = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_route_ipaddress"});
@static_hop = split(/\#IBS-SOHO\#/, $return_get_static_table{"static_hop"});
}
}
if("off" eq $back_flag){
%return_get_rip = &get_rip("now");
if("error" eq $return_get_rip{"return"}){
$get_rip_error_info = $return_get_rip{"error_contents"};
$alert_message = "u[eBOv擾G[\\n" . $return_get_rip{"alert_message"};
$back_flag = "on";
}
else{
$dynamic_route = $return_get_rip{"dynamic_route"};
$routing_info = $return_get_rip{"routing_info"};
}
}
if("off" eq $back_flag){
%return_get_policy_table = &get_policy_table("now");
if("error" eq $return_get_policy_table{"return"}){
$get_policy_table_error_info = $return_get_policy_table{"error_contents"};
$alert_message = "u[eBOv擾G[\\n" . $return_get_policy_table{"alert_messsage"};
$back_flag = "on";
}
else{
@policy_table_number = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_table_number"});
@policy_dst_ipaddress = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_dst_ipaddress"});
@policy_src_ipaddress = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_src_ipaddress"});
@policy_port = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_port"});
@policy_route = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_route"});
@policy_route_entry_name = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_route_entry_name"});
@policy_route_ipaddress = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_route_ipaddress"});
@policy_hop = split(/\#IBS-SOHO\#/, $return_get_policy_table{"policy_hop"});
}
}
if("off" eq $back_flag){
%return_get_dhcp_server_state = &get_dhcp_server_state("now", $lan_interface_name);
if("error" eq $return_get_dhcp_server_state{"return"}){
$get_dhcp_server_state_error_info = $return_get_dhcp_server_state{"error_contents"};
$alert_message = "uDHCPSv擾G[\\n" . $return_get_dhcp_server_state{"alert_message"};
$back_flag = "on";
}
else{
if("start" eq $return_get_dhcp_server_state{"dhcp_server_state"}){
$dhcp_server_state = "on";
}
else{
$dhcp_server_state = "off";
}
}
}
if("off" eq $back_flag){
%return_get_dhcp_server = &get_dhcp_server("now");
if("error" eq $return_get_dhcp_server{"return"}){
$get_dhcp_server_error_info = $return_get_dhcp_server{"error_contents"};
$alert_message = "uDHCPSv擾G[\\n" . $return_get_dhcp_server{"alert_message"};
$back_flag = "on";
}
else{
$dhcp_server_quota_ipaddress1 = $return_get_dhcp_server{"quota_ipaddress1"};
$dhcp_server_quota_ipaddress2 = $return_get_dhcp_server{"quota_ipaddress2"};
$dhcp_server_notice_gateway = $return_get_dhcp_server{"notice_gateway"};
$dhcp_server_lease_time = $return_get_dhcp_server{"lease_time"};
if("no" eq $return_get_dhcp_server{"notice_dns"}){
$dhcp_server_notice_dns = "no";
}
elsif("proxy" eq $return_get_dhcp_server{"notice_dns"}){
$dhcp_server_notice_dns = "proxy";
}
elsif("auto" eq $return_get_dhcp_server{"notice_dns"}){
$dhcp_server_notice_dns = "auto";
my($loop_cnt);
for($loop_cnt = 0; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++){
if("pppoe$loop_cnt" eq $return_get_dhcp_server{"notice_dns_auto"}){
$dhcp_server_notice_dns_auto = "$loop_cnt";
last;
}
}
}
elsif("ip" eq $return_get_dhcp_server{"notice_dns"}){
$dhcp_server_notice_dns = "ip";
}
$dhcp_server_primary_dns = $return_get_dhcp_server{"primary_dns"};
$dhcp_server_secondary_dns = $return_get_dhcp_server{"secondary_dns"};
$dhcp_server_primary_wins = $return_get_dhcp_server{"primary_wins"};
$dhcp_server_secondary_wins = $return_get_dhcp_server{"secondary_wins"};
}
}
if("off" eq $back_flag){
%return_get_static_dhcp = &get_static_dhcp("now");
if("error" eq $return_get_static_dhcp{"return"}){
$get_static_dhcp_error_info = $return_get_static_dhcp{"error_contents"};
$alert_message = "uDHCPSv擾G[\\n" . $return_get_static_dhcp{"alert_message"};
$back_flag = "on";
}
else{
@dhcp_static_number = split/\#IBS-SOHO\#/, $return_get_static_dhcp{"number"};
@dhcp_static_ipaddress = split/\#IBS-SOHO\#/, $return_get_static_dhcp{"ipaddress"};
@dhcp_static_mac_address = split/\#IBS-SOHO\#/, $return_get_static_dhcp{"mac_address"};
@dhcp_static_host_name = split/\#IBS-SOHO\#/, $return_get_static_dhcp{"host_name"};
}
}
if("off" eq $back_flag){
%return_get_dns = &get_dns("now");
if("error" eq $return_get_dns{"return"}){
$get_dns_error_info = $return_get_dns{"error_contents"};
$alert_message = "uDNSv擾G[\\n" . $return_get_dns{"alert_message"};
$back_flag = "on";
}
else{
if("manual" eq $return_get_dns{"refer_dns"}){
$refer_dns = "manual";
}
elsif("provider" eq $return_get_dns{"refer_dns"}){
$refer_dns = "provider";
}
if("provider" eq $refer_dns){
$provider_entry = $return_get_dns{"provider_entry"};
}
$primary_dns = $return_get_dns{"primary_dns"};
$secondary_dns = $return_get_dns{"secondary_dns"};
}
}
if("off" eq $back_flag){
%return_get_dns_table = &get_dns_table("now");
if("error" eq $return_get_dns_table{"return"}){
$get_dns_table_error_info = $return_get_dns_table{"error_contents"};
$alert_message = "uDNSv擾G[\\n" . $return_get_dns_table{"alert_message"};
$back_flag = "on";
}
else{
@dns_table_number = split(/\#IBS-SOHO\#/, $return_get_dns_table{"dns_table_number"});
@dns_table_domain = split(/\#IBS-SOHO\#/, $return_get_dns_table{"dns_table_domain"});
@dns_table_appoint = split(/\#IBS-SOHO\#/, $return_get_dns_table{"dns_table_appoint"});
@dns_table_dns_server = split(/\#IBS-SOHO\#/, $return_get_dns_table{"dns_table_dns_server"});
@dns_table_domain_routing = split(/\#IBS-SOHO\#/, $return_get_dns_table{"dns_table_domain_routing"});
}
}
if("off" eq $back_flag){
%return_get_host_table = &get_host_table("now");
if("error" eq $return_get_host_table{"return"}){
$get_host_table_error_info = $return_get_host_table{"error_contents"};
$alert_message = "uDNSv擾G[\\n" . $return_get_host_table{"alert_message"};
$back_flag = "on";
}
else{
@host_table_number = split(/\#IBS-SOHO\#/, $return_get_host_table{"host_table_number"});
@host_table_host = split(/\#IBS-SOHO\#/, $return_get_host_table{"host_table_host"});
@host_table_ipaddress = split(/\#IBS-SOHO\#/, $return_get_host_table{"host_table_ipaddress"});
}
}
if("off" eq $back_flag){
%return_get_nat = &get_nat("now");
if("error" eq $return_get_nat{"return"}){
$get_nat_error_info = $return_get_nat{"error_contents"};
$alert_message = "uNATv擾G[\\n" . $return_get_nat{"alert_message"};
$back_flag = "on";
}
else{
@nat_type = split(/\#IBS-SOHO\#/, $return_get_nat{"nat_type"});
@nat_out_ipaddress1 = split(/\#IBS-SOHO\#/, $return_get_nat{"nat_out_ipaddress1"});
@nat_out_ipaddress2 = split(/\#IBS-SOHO\#/, $return_get_nat{"nat_out_ipaddress2"});
@nat_in_ipaddress = split(/\#IBS-SOHO\#/, $return_get_nat{"nat_in_ipaddress"});
@nat_in_ipaddress_ip = split(/\#IBS-SOHO\#/, $return_get_nat{"nat_in_ipaddress_ip"});
$ip_nat_type = $return_get_nat{"ip_nat_type"};
$ip_nat_out_ipaddress1 = $return_get_nat{"ip_nat_out_ipaddress1"};
$ip_nat_out_ipaddress2 = $return_get_nat{"ip_nat_out_ipaddress2"};
$ip_nat_in_ipaddress = $return_get_nat{"ip_nat_in_ipaddress"};
$ip_nat_in_ipaddress_ip = $return_get_nat{"ip_nat_in_ipaddress_ip"};
$dhcp_nat_type = $return_get_nat{"dhcp_nat_type"};
$dhcp_nat_in_ipaddress = $return_get_nat{"dhcp_nat_in_ipaddress"};
$dhcp_nat_in_ipaddress_ip = $return_get_nat{"dhcp_nat_in_ipaddress_ip"};
}
}
if("off" eq $back_flag){
%return_get_nat_table = &get_nat_table("now");
if("error" eq $return_get_nat_table{"return"}){
$get_nat_table_error_info = $return_get_nat_table{"error_contents"};
$alert_message = "uNATv擾G[\\n" . $return_get_nat_table{"alert_message"};
$back_flag = "on";
}
else{
@nat_table_number = split(/\#IBS-SOHO\#/, $return_get_nat_table{"nat_table_number"});
@nat_table_global_ip = split(/\#IBS-SOHO\#/, $return_get_nat_table{"nat_table_global_ip"});
@nat_table_local_ip = split(/\#IBS-SOHO\#/, $return_get_nat_table{"nat_table_local_ip"});
}
}
if("off" eq $back_flag){
%return_get_natp_table = &get_natp_table("now");
if("error" eq $return_get_natp_table{"return"}){
$get_natp_table_error_info = $return_get_natp_table{"error_contents"};
$alert_message = "uNATv擾G[\\n" . $return_get_natp_table{"alert_message"};
$back_flag = "on";
}
else{
@natp_table_number = split(/\#IBS-SOHO\#/, $return_get_natp_table{"natp_table_number"});
@natp_table_protocol = split(/\#IBS-SOHO\#/, $return_get_natp_table{"natp_table_protocol"});
@natp_table_port = split(/\#IBS-SOHO\#/, $return_get_natp_table{"natp_table_port"});
@natp_table_ipaddress = split(/\#IBS-SOHO\#/, $return_get_natp_table{"natp_table_ipaddress"});
}
}
if("off" eq $back_flag){
%return_get_filtering_table = &get_filtering_table("now");
if("error" eq $return_get_filtering_table{"return"}){
$get_filtering_table_error_info = $return_get_filtering_table{"error_contents"};
$alert_message = "utB^Ov擾G[\\n" . $return_get_filtering_table{"alert_message"};
$back_flag = "on";
}
else{
@filtering_table_number = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_table_number"});
@filtering_direction = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_direction"});
@filtering_action = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_action"});
@filtering_dst_ipaddress = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_dst_ipaddress"});
@filtering_dst_subnetmask = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_dst_subnetmask"});
@filtering_dst_range = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_dst_range"});
@filtering_dst_port = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_dst_port"});
@filtering_src_ipaddress = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_src_ipaddress"});
@filtering_src_subnetmask = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_src_subnetmask"});
@filtering_src_range = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_src_range"});
@filtering_src_port = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_src_port"});
@filtering_and_or = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_and_or"});
@filtering_protocol = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_protocol"});
@filtering_appoint_protocol = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_appoint_protocol"});
@filtering_tcp_flag_urg = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_tcp_flag_urg"});
@filtering_tcp_flag_ack = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_tcp_flag_ack"});
@filtering_tcp_flag_psh = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_tcp_flag_psh"});
@filtering_tcp_flag_rst = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_tcp_flag_rst"});
@filtering_tcp_flag_syn_fin = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_tcp_flag_syn_fin"});
@filtering_log = split(/\#IBS-SOHO\#/, $return_get_filtering_table{"filtering_log"});
}
}
if("off" eq $back_flag){
$return_get_filtering_set_pppoe = &get_filtering_set_pppoe("now");
if($return_get_filtering_set_pppoe =~ /error_(\S+)/){
my($error_contents) = $1;
if("lock" eq $error_contents){
$get_filtering_set_pppoe_error_info = "filtering_set_pppoe_lock";
$alert_message = "utB^Ov擾G[\\n" . $RETURN_CODE{"200"};
}
else{
$get_filtering_set_pppoe_error_info = "filterng_set_pppoe_open";
$alert_message = "utB^Ov擾G[\\n" . $RETURN_CODE{"202"};
}
$back_flag = "on";
}
else{
my($pppoe_cnt);
my($table_cnt);
for($pppoe_cnt = 0; $pppoe_cnt < $MAX_PPPOE_ENTRY; $pppoe_cnt++){
for($table_cnt = 0; $table_cnt < $MAX_FILTERING_ENTRY; $table_cnt++){
$filtering_set_pppoe[$pppoe_cnt][$table_cnt] = @$return_get_filtering_set_pppoe[$pppoe_cnt]->[$table_cnt];
}
}
}
}
if("off" eq $back_flag){
%return_get_filtering_set_lan = &get_filtering_set_other("now", "lan");
if("error" eq $return_get_filtering_set_lan{"return"}){
$get_filtering_set_lan_error_info = $return_get_filtering_set_lan{"error_contents"};
$alert_message = "utB^Ov擾G[\\n" . $return_get_filtering_set_lan{"alert_message"};
$back_flag = "on";
}
else{
@filtering_set_lan = split(/\#IBS-SOHO\#/, $return_get_filtering_set_lan{"filtering_set"});
}
}
if("off" eq $back_flag){
%return_get_filtering_set_wan = &get_filtering_set_other("now", "wan");
if("error" eq $return_get_filtering_set_wan{"return"}){
$get_filtering_set_wan_error_info = $return_get_filtering_set_wan{"error_contents"};
$alert_message = "utB^Ov擾G[\\n" . $return_get_filtering_set_wan{"alert_message"};
$back_flag = "on";
}
else{
@filtering_set_wan = split(/\#IBS-SOHO\#/, $return_get_filtering_set_wan{"filtering_set"});
}
}
if("off" eq $back_flag){
%return_get_httpd_access = &get_service_access_of_httpd("now");
if("error" eq $return_get_httpd_access{"return"}){
$get_httpd_access_error_info = $return_get_httpd_access{"error_info"};
$alert_message = "uHTTPDv擾G[\\n" . $return_get_httpd_access{"alert_message"};
$back_flag = "on";
}
else{
$httpd_access_lan = $return_get_httpd_access{"httpd_access_lan"};
$httpd_access_wan = $return_get_httpd_access{"httpd_access_wan"};
$httpd_access_ip = $return_get_httpd_access{"httpd_access_ip"};
$httpd_allow_hosts = $return_get_httpd_access{"allow_hosts"};
}
}
if("off" eq $back_flag){
%return_get_ftpd_access = &get_service_access("now", "ftpd");
if("error" eq $return_get_ftpd_access{"return"}){
$get_ftpd_access_error_info = $return_get_ftpd_access{"error_info"};
$alert_message = "uFTPDv擾G[\\n" . $return_get_ftpd_access{"alert_message"};
$back_flag = "on";
}
else{
$ftpd_access_lan = $return_get_ftpd_access{"service_access_lan"};
$ftpd_access_wan = $return_get_ftpd_access{"service_access_wan"};
$ftpd_access_ip = $return_get_ftpd_access{"service_access_ip"};
$ftpd_allow_hosts = $return_get_ftpd_access{"service_hosts"};
}
}
if("off" eq $back_flag){
%return_get_upnp = &get_upnp("now");
if("error" eq $return_get_upnp{"return"}){
$get_upnp_error_info = $return_get_upnp{"error_contents"};
$alert_message = "uUPnPv擾G[\\n" . $return_get_upnp{"alert_message"};
$back_flag = "on";
}
else{
$upnp_set_number = $return_get_upnp{"upnp_set_number"};
}
}
if("off" eq $back_flag){
%return_get_mail = &get_mail("now");
if("error" eq $return_get_mail{"return"}){
$get_mail_error_info = $return_get_mail{"error_contents"};
$alert_message = "u[v擾G[\\n" . $return_get_mail{"alert_message"};
$back_flag = "on";
}
else{
$mail_server = $return_get_mail{"mail_server"};
$mailaddress = $return_get_mail{"mailaddress"};
$pop_before_smtp = $return_get_mail{"pop_before_smtp"};
$receive_mail_server = $return_get_mail{"receive_mail_server"};
$mail_account = $return_get_mail{"mail_account"};
$mail_account_pass = $return_get_mail{"mail_account_pass"};
}
}
my(%layout_value) = &get_layout_value();
my($body_background) = $layout_value{"body_background"};
my($caption_font) = $layout_value{"caption_font"};
my($explanation_font) = $layout_value{"explanation_font"};
my($note_color) = $layout_value{"note_color"};
my($table_size) = $layout_value{"table_size"};
my($setup_item_color_of_table) = $layout_value{"setup_item_color_of_table"};
my($setup_value_color_of_table) = $layout_value{"setup_value_color_of_table"};
my($note_color_of_table) = $layout_value{"note_color_of_table"};
my($table_border) = $layout_value{"table_border"};
my($table_cellspacing) = $layout_value{"table_cellspacing"};
my($table_cellpadding) = $layout_value{"table_cellpadding"};
my($table_bordercolor) = $layout_value{"table_bordercolor"};
my($table_bordercolorlight) = $layout_value{"table_bordercolorlight"};
my($table_bordercolordark) = $layout_value{"table_bordercolordark"};
my($setup_item_size_of_table) = $layout_value{"setup_item_size_of_table"};
my($setup_value_size_of_table) = $layout_value{"setup_value_size_of_table"};
my($note_size_of_table) = $layout_value{"note_size_of_table"};
my($caution_color) = $layout_value{"caution_color"};
print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Content-type: text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv = \"Content-Type\" content = \"text/html; charset = shift_jis\">\n";
print "<meta http-equiv = \"Content-Script-Type\" content = \"text/javascript\">\n";
print "<title></title>\n";
print "<script language = \"JavaScript\">\n";
print "<!--\n";
print "function result_print(){\n";
if("on" eq $back_flag){
print "alert(\"$alert_message\");\n";
print "x = 0;\n";
print "if(navigator.appName.charAt(0) == \"N\"){\n";
print "x = 1;\n";
print "}\n";
print "if(history.length == x){\n";
print "location.replace(\"./index.cgi\");\n";
print "}\n";
print "else{\n";
print "history.back();\n";
print "}\n";
}
print "}\n";
print "//-->\n";
print "</script>\n";
print "</head>\n";
print "<body background = \"$body_background\" onLoad = \"result_print()\">\n";
if("on" eq $TEST_MODE){
if($get_interface_name_error_info =~ /./){
print "get_interface_name_error_info = $get_interface_name_error_info<br />\n";
}
if($get_ipaddress_by_command_error_info =~ /./){
print "get_ipaddress_by_command_error_info = $get_ipaddress_by_command_error_info<br />\n";
}
if($get_ipaddress_by_file_error_info =~ /./){
print "get_ipaddress_by_file_error_info = $get_ipaddress_by_file_error_info<br />\n";
}
if($get_ip_tell_error_info =~ /./){
print "get_ip_tell_error_info = $get_ip_tell_error_info<br />\n";
}
if($get_autoup_error_info =~ /./){
print "get_autoup_error_info = $get_autoup_error_info<br />\n";
}
if($get_wan_state_error_info =~ /./){
print "get_wan_state_error_info = $get_wan_state_error_info<br />\n";
}
if($get_wan_ipaddress_error_info =~ /./){
print "get_wan_ipaddress_error_info = $get_wan_ipaddress_error_info<br />\n";
}
if($get_pppoe_table_error_info =~ /./){
print "get_pppoe_table_error_info = $get_pppoe_table_error_info<br />\n";
}
if($get_default_route_error_info =~ /./){
print "get_default_route_error_info = $get_default_route_error_info<br />\n";
}
if($get_static_table_error_info =~ /./){
print "get_static_table_error_info = $get_static_table_error_info<br />\n";
}
if($get_rip_error_info =~ /./){
print "get_rip_error_info = $get_rip_error_info<br />\n";
}
if($get_policy_table_error_info =~ /./){
print "get_policy_table_error_info = $get_policy_table_error_info<br />\n";
}
if($get_dhcp_server_error_info =~ /./){
print "get_dhcp_server_error_info = $get_dhcp_server_error_info<br />\n";
}
if($get_dhcp_server_state_error_info =~ /./){
print "get_dhcp_server_state_error_info = $get_dhcp_server_state_error_info<br />\n";
}
if($get_static_dhcp_error_info =~ /./){
print "get_static_dhcp_error_info = $get_static_dhcp_error_info<br />\n";
}
if($get_nat_error_info =~ /./){
print "get_nat_error_info = $get_nat_error_info<br />\n";
}
if($get_nat_table_error_info =~ /./){
print "get_nat_table_error_info = $get_nat_table_error_info<br />\n";
}
if($get_natp_table_error_info =~ /./){
print "get_natp_table_error_info = $get_natp_table_error_info<br />\n";
}
if($get_filtering_table_error_info =~ /./){
print "get_filtering_table_error_info = $get_filtering_table_error_info<br />\n";
}
if($get_filtering_set_pppoe_error_info =~ /./){
print "get_filtering_set_pppoe_error_info = $get_filtering_set_pppoe_error_info<br />\n";
}
if($get_filtering_set_lan_error_info =~ /./){
print "get_filtering_set_lan_error_info = $get_filtering_set_lan_error_info<br />\n";
}
if($get_filtering_set_wan_error_info =~ /./){
print "get_filtering_set_wan_error_info = $get_filtering_set_wan_error_info<br />\n";
}
if($get_filtering_set_dhcp_error_info =~ /./){
print "get_filtering_set_dhcp_error_info = $get_filtering_set_dhcp_error_info<br />\n";
}
if($get_httpd_access_error_info =~ /./){
print "get_httpd_access_error_info = $get_httpd_access_error_info<br />\n";
}
if($get_ftpd_access_error_info =~ /./){
print "get_ftpd_access_error_info = $get_ftpd_access_error_info<br />\n";
}
if($get_upnp_error_info =~ /./){
print "get_upnp_error_info = $get_upnp_error_info<br />\n";
}
if($get_mail_error_info =~ /./){
print "get_mail_error_info = $get_mail_error_info<br />\n";
}
}
print "<font size = \"$caption_font\">\n";
print "<b>eiX</b>  <b>[^ݒꗗ\\</b>\n";
print "</font>\n";
print "<br />\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
print "<br />\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "LANݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "LANݒ(NL)\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($lan_ipaddress_file =~ /./){
print "<font size = \"2\">\n";
print "$lan_ipaddress_file\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "lbg}XN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($lan_subnetmask_file =~ /./){
print "<font size = \"2\">\n";
print "$lan_subnetmask_file\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "LANݒ(^p)\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($lan_ipaddress =~ /./){
print "<font size = \"2\">\n";
print "$lan_ipaddress\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "lbg}XN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($lan_subnetmask =~ /./){
print "<font size = \"2\">\n";
print "$lan_subnetmask\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "WANڑݒ聡\n";
print "</font>\n";
if( !( ("normal" eq $wan_state_ip) || ("ecas" eq $wan_state_ip) || ("scas_east" eq $wan_state_ip) || ("scas_west_dhcp" eq $wan_state_ip) || ("scas_west_ip" eq $wan_state_ip) || ("ctu_west_dhcp" eq $wan_state_ip) || ("ctu_west_ip" eq $wan_state_ip) ) && ("off" eq $wan_state_pppoe) ){
print "<br />\n";
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "<b>WANڑݒ́Ao^Ă܂B</b>\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
}
else{
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
if( ("normal" eq $wan_state_ip) || ("ecas" eq $wan_state_ip) || ("scas_west_ip" eq $wan_state_ip) || ("ctu_west_ip" eq $wan_state_ip) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
if("normal" eq $wan_state_ip){
print "ŒIPAhX\n";
}
elsif("ecas" eq $wan_state_ip){
print "ЂdbrWlX^Cv\n";
}
elsif("scas_west_ip" eq $wan_state_ip){
print "ЂdbItBX^Cv(NTT{)\n";
}
elsif("ctu_west_ip" eq $wan_state_ip){
print "v~A\n";
}
else{
print "ŒIPAhX\n";
}
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($wan_ipaddress =~ /./){
print "<font size = \"2\">\n";
print "$wan_ipaddress\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "lbg}XN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($wan_subnetmask =~ /./){
print "<font size = \"2\">\n";
print "$wan_subnetmask\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
if("ctu_west_ip" eq $wan_state_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "<br />\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "UPnPNCAg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if("on" eq $wan_upnpc){
print "gp\n";
}
else{
print "gpȂ\n";
}
print "</td>\n";
print "</tr>\n";
}
}
elsif("scas_east" eq $wan_state_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ЂdbItBX^Cv(NTT{)\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "<br />\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<br />\n";
print "</td>\n";
print "</tr>\n";
}
elsif("scas_west_dhcp" eq $wan_state_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ЂdbItBX^Cv(NTT{)\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DHCPNCAg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<br />\n";
print "</td>\n";
print "</tr>\n";
}
elsif("ctu_west_dhcp" eq $wan_state_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "v~A\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DHCPNCAg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<br />\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "<br />\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "UPnPNCAg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if("on" eq $wan_upnpc){
print "gp\n";
}
else{
print "gpȂ\n";
}
print "</td>\n";
print "</tr>\n";
}
if("on" eq $wan_state_pppoe){
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "PPPoE No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ڑ於\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($entry_name[$loop_cnt] =~ /./){
$entry_name[$loop_cnt] = &sanitize($entry_name[$loop_cnt]);
print "<font size = \"2\">\n";
print "$entry_name[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "Fؕ@\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("pap" eq $certification[$loop_cnt]){
print "PAP\n";
}
elsif("chap" eq $certification[$loop_cnt]){
print "CHAP\n";
}
else{
print "Ȃ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if(
( ("pap" eq $certification[$loop_cnt]) || ("chap" eq $certification[$loop_cnt]) ) &&
($user_name[$loop_cnt] =~ /./)
){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ڑ[U\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($user_name[$loop_cnt] =~ /./){
if($user_name[$loop_cnt] =~ /^(\S{0,32})(\S{0,32})(\S{0,32})(\S{0,32})$/){
my($name1) = $1;
my($name2) = $2;
my($name3) = $3;
my($name4) = $4;
if($name1 =~ /./){
$name1 = &sanitize($name1);
$user_name[$loop_cnt] = $name1;
}
if($name2 =~ /./){
$name2 = &sanitize($name2);
$user_name[$loop_cnt] = $user_name[$loop_cnt] . "<br />" . $name2;
}
if($name3 =~ /./){
$name3 = &sanitize($name3);
$user_name[$loop_cnt] = $user_name[$loop_cnt] . "<br />" . $name3;
}
if($name4 =~ /./){
$name4 = &sanitize($name4);
$user_name[$loop_cnt] = $user_name[$loop_cnt] . "<br />" . $name4;
}
print "<font size = \"2\">\n";
print "$user_name[$loop_cnt]\n";
print "</font>\n";
}
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if(
( ("pap" eq $certification[$loop_cnt]) || ("chap" eq $certification[$loop_cnt]) ) &&
($password[$loop_cnt] =~ /./)
){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ڑpX[h\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$password[$loop_cnt]\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ftHgQ[gEFCw\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $default_gateway[$loop_cnt]){
print "ftHgQ[gEFCƂĎgp\n";
}
else{
print "ftHgQ[gEFCƂĎgpȂ";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "MTUݒ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($mtu[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$mtu[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "Unnumberedw\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $unnumbered[$loop_cnt]){
print "Unnumberedgp\n";
}
else{
print "UnnumberedgpȂ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("manual" eq $appoint_dns[$loop_cnt]){
print "AhXw\n";
}
else{
print "\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if( ("manual" eq $appoint_dns[$loop_cnt]) && ($primary_dns[$loop_cnt] =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "vC}DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($primary_dns[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$primary_dns[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if( ("manual" eq $appoint_dns[$loop_cnt]) && ($secondary_dns[$loop_cnt] =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ZJ_DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($secondary_dns[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$secondary_dns[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ڑ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $auto_connection[$loop_cnt]){
print "\n";
}
else{
print "Ȃ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
}
}
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "t@[EFAXVpC^tF[X\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("no" eq $autoup){
print "gpȂ\n";
}
elsif("lan" eq $autoup){
print "LAN\n";
}
elsif("wan" eq $autoup){
print "ŒIPAhX\n";
}
elsif($autoup =~ /^\d+$/){
my($autoup_tmp) = $autoup + 1;
print "PPPoE No.$autoup_tmp\n";
}
elsif( ("scas_east" eq $autoup) || ("scas_west_dhcp" eq $autoup) || ("scas_west_ip" eq $autoup) ){
print "ЂdbItBX^Cv\n";
}
elsif( ("ctu_dhcp" eq $autoup) || ("ctu_ip" eq $autoup) ){
print "CTUoR\n";
}
else{
print "gpȂ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPdbpvoC_\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("wan" eq $ip_tell){
print "ŒIPAhX\n";
}
elsif("ecas" eq $ip_tell){
print "ЂdbrWlX^Cv\n";
}
elsif($ip_tell =~ /^\d+$/){
my($ip_tell_tmp) = $ip_tell + 1;
print "PPPoE No.$ip_tell_tmp\n";
}
elsif("scas_east" eq $ip_tell){
print "ЂdbItBX^Cv(NTT{)\n";
}
elsif( ("scas_west_dhcp" eq $ip_tell) || ("scas_west_ip" eq $ip_tell) ){
print "ЂdbItBX^Cv(NTT{)\n";
}
elsif( ("ctu_dhcp" eq $ip_tell) || ("ctu_ip" eq $ip_tell) ){
print "v~A\n";
}
else{
print "gpȂ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if( ("ecas" eq $ip_tell) && ($ip_tell_default_gw =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPdbpftHgQ[gEFC\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$ip_tell_default_gw\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "[eBOݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ftHg[gݒ\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("provider" eq $default_route){
print "WANڑݒ(PPPoE)\n";
}
else{
print "w\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if( ("ip" eq $default_route) && ($default_route_ipaddress =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "wIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$default_route_ipaddress\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if( ("ip" eq $default_route) && ($default_route_hop =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "zbv\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$default_route_hop\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_STATIC_ROUTE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $static_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "X^eBbN[g No.$disp_cnt\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($static_ipaddress[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$static_ipaddress[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "lbg}XN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($static_subnetmask[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$static_subnetmask[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "oH\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("ip" eq $static_route[$loop_cnt]){
print "IPAhX\n";
}
elsif("lan" eq $static_route[$loop_cnt]){
print "LANC^tF[X\n";
}
elsif("provider" eq $static_route[$loop_cnt]){
print "WANڑGg\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("provider" eq $static_route[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "WANڑGg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($static_route_entry_name[$loop_cnt] =~ /./){
if("wan" eq $static_route_entry_name[$loop_cnt]){
print "ŒIPAhXEDHCPNCAg\n";
}
else{
my($static_route_disp) = $static_route_entry_name[$loop_cnt] + 1;
print "PPPoE No.$static_route_disp\n";
}
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("ip" eq $static_route[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "oHIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($static_route_ipaddress[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$static_route_ipaddress[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if("ip" eq $static_route[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "zbv\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($static_hop[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$static_hop[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "RIPݒ\n";
print "</td>\n";
print "<td wdth = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "_Ci~bN[eBO\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $dynamic_route){
print "L\n";
}
else{
print "\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[eBO񑗏o\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $routing_info){
print "\n";
}
else{
print "Ȃ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_POLICY_ROUTING_TABLE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $policy_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "|V[[eBOe[u No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
if($policy_dst_ipaddress[$loop_cnt] =~ /./){
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "MAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$policy_dst_ipaddress[$loop_cnt]\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if( ($policy_dst_ipaddress[$loop_cnt] =~ /./) && ($policy_src_ipaddress[$loop_cnt] =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
}
if($policy_src_ipaddress[$loop_cnt] =~ /./){
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "MAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$policy_src_ipaddress[$loop_cnt]\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if( ( ($policy_dst_ipaddress[$loop_cnt] =~ /./) || ($policy_src_ipaddress[$loop_cnt] =~ /./) ) && ($policy_port[$loop_cnt] =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
}
if($policy_port[$loop_cnt] =~ /./){
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "|[gԍ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$policy_port[$loop_cnt]\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "oHݒ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("ip" eq $policy_route[$loop_cnt]){
print "w\n";
}
elsif("provider" eq $policy_route[$loop_cnt]){
print "WANڑGg\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("provider" eq $policy_route[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "WANڑGgGg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($policy_route_entry_name[$loop_cnt] =~ /./){
if("wan" eq $policy_route_entry_name[$loop_cnt]){
print "ŒIPAhXEDHCPNCAg\n";
}
else{
my($disp) = $policy_route_entry_name[$loop_cnt] + 1;
print "PPPoE No.$disp\n";
}
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("ip" eq $policy_route[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "oHIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($policy_route_ipaddress[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$policy_route_ipaddress[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if("ip" eq $policy_route[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "zbv\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($policy_hop[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$policy_hop[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "DHCPT[oݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DHCPT[oݒ\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DHCPT[o@\\\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"\">\n";
print "<font size = \"2\">\n";
if("on" eq $dhcp_server_state){
print "gp\n";
}
else{
print "gpȂ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("on" eq $dhcp_server_state){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "tIPAhX͈\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if( ($dhcp_server_quota_ipaddress1 =~ /./) && ($dhcp_server_quota_ipaddress2 =~ /./) ){
print "<font size = \"2\">\n";
print "$dhcp_server_quota_ipaddress1 - $dhcp_server_quota_ipaddress2\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[X\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($dhcp_server_lease_time =~ /./){
if(0 == $dhcp_server_lease_time){
print "\n";
}
else{
print "$dhcp_server_lease_time\n";
}
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ftHgQ[gEFC\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dhcp_server_notice_gateway =~ /./){
print "<font size = \"2\">\n";
print "$dhcp_server_notice_gateway\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ʒmDNSAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("no" eq $dhcp_server_notice_dns){
print "ʒm\n";
}
elsif("proxy" eq $dhcp_server_notice_dns){
print "Proxy\n";
}
elsif("auto" eq $dhcp_server_notice_dns){
print "voC_GgI\n";
}
elsif("ip" eq $dhcp_server_notice_dns){
print "w\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("auto" eq $dhcp_server_notice_dns){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "voC_Gg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dhcp_server_notice_dns_auto =~ /./){
if("dhcp" eq $dhcp_server_notice_dns_auto){
}
else{
my($disp) = ($dhcp_server_notice_dns_auto + 1);
print "<font size = \"2\">\n";
print "PPPoE No.$disp\n";
print "</font>\n";
}
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if("ip" eq $dhcp_server_notice_dns){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "vC}DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dhcp_server_primary_dns =~ /./){
print "<font size = \"2\">\n";
print "$dhcp_server_primary_dns\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if( ("ip" eq $dhcp_server_notice_dns) && ($dhcp_server_secondary_dns =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ZJ_DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$dhcp_server_secondary_dns\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if($dhcp_server_primary_wins =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "vC}WINST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$dhcp_server_primary_wins\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if($dhcp_server_secondary_wins =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ZJ_WINST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$dhcp_server_secondary_wins\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
}
if("on" eq $dhcp_server_state){
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_DHCP_TABLE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $dhcp_static_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DHCPte[u No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dhcp_static_ipaddress[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$dhcp_static_ipaddress[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "MACAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dhcp_static_mac_address[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$dhcp_static_mac_address[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
if($dhcp_static_host_name[$loop_cnt] =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ʒmzXg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
$dhcp_static_host_name[$loop_cnt] = &sanitize($dhcp_static_host_name[$loop_cnt]);
print "$dhcp_static_host_name[$loop_cnt]\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
}
}
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "DNSݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th width = \"\" align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DNSݒ\n";
print "<font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "⍇T[oݒ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($refer_dns =~ /./){
if("manual" eq $refer_dns){
print "蓮\n";
}
elsif("provider" eq $refer_dns){
print "\n";
}
else{
print "<br />\n";
}
}
else{
$refer_dns = "manual";
print "蓮\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("provider" eq $refer_dns){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "voC_Gg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($provider_entry =~ /./){
if("dhcp" eq $provider_entry){
}
else{
my($disp) = ($provider_entry + 1);
print "<font size = \"2\">\n";
print "PPPoE No.$disp\n";
print "</font>\n";
}
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if("manual" eq $refer_dns){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "vC}DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($primary_dns =~ /./){
print "<font size = \"2\">\n";
print "$primary_dns\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if( ("manual" eq $refer_dns) && ($secondary_dns =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ZJ_DNST[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$secondary_dns\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_DNS_ROUTING_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $dns_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "DNS[eBOݒ No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "hC\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dns_table_domain[$loop_cnt] =~ /./){
if($dns_table_domain[$loop_cnt] =~ /(\S{0,32})(\S{0,31})/){
my($domain1) = $1;
my($domain2) = $2;
if($domain1 =~ /./){
$domain1 = &sanitize($domain1);
$dns_table_domain[$loop_cnt] = $domain1;
}
if($domain2 =~ /./){
$domain2 = &sanitize($domain2);
$dns_table_domain[$loop_cnt] = $dns_table_domain[$loop_cnt] . "<br />" . $domain2;
}
}
print "<font size = \"2\">\n";
print "$dns_table_domain[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" norap>\n";
print "<font size = \"2\">\n";
print "⍇DNS\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("ip" eq $dns_table_appoint[$loop_cnt]){
print "AhXw\n";
}
elsif($dns_table_appoint[$loop_cnt] =~ /^\d+$/){
my($disp) = ($dns_table_appoint[$loop_cnt] + 1);
print "PPPoE No.$disp\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("ip" eq $dns_table_appoint[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "⍇DNSAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($dns_table_dns_server[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$dns_table_dns_server[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
}
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_HOST_TABLE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $host_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "zXge[u No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "zXg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($host_table_host[$loop_cnt] =~ /./){
$host_table_host[$loop_cnt] = &sanitize($host_table_host[$loop_cnt]);
print "<font size = \"2\">\n";
print "$host_table_host[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($host_table_ipaddress[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$host_table_ipaddress[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "NATIP}XJ[hݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th width = \"\" align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++, $disp_cnt++){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "PPPoEڑ No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ϊ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($nat_type[$loop_cnt] =~ /./){
if("no" eq $nat_type[$loop_cnt]){
print "Ȃ\n";
}
elsif("nat" eq $nat_type[$loop_cnt]){
print "NAT\n";
}
elsif("natp_auto" eq $nat_type[$loop_cnt]){
print "IP}XJ[h\n";
}
else{
print "<br />\n";
}
}
else{
$nat_type[$loop_cnt] = "natp_auto";
print "IP}XJ[h\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("nat" eq $nat_type[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "WANAhX͈\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if( ($nat_out_ipaddress1[$loop_cnt] =~ /./) && ($nat_out_ipaddress2[$loop_cnt] =~ /./) ){
print "<font size = \"2\">\n";
print "$nat_out_ipaddress1[$loop_cnt]-$nat_out_ipaddress2[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if("no" ne $nat_type[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "LANAhX͈\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($nat_in_ipaddress[$loop_cnt] =~ /./){
if("all" eq $nat_in_ipaddress[$loop_cnt]){
print "SĂΏ\n";
}
elsif("lan" eq $nat_in_ipaddress[$loop_cnt]){
print "LANC^tF[X̃lbg[NAhX͈͂Ώ\n";
}
elsif("ip" eq $nat_in_ipaddress[$loop_cnt]){
print "wAhXΏ\n";
}
else{
print "<br />\n";
}
}
else{
$nat_in_ipaddress[$loop_cnt] = "all";
print "SĂΏ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if( ("no" ne $nat_type[$loop_cnt]) && ("ip" eq $nat_in_ipaddress[$loop_cnt]) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "wAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($nat_in_ipaddress_ip[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$nat_in_ipaddress_ip[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ŒIPAhXEDHCPNCAg\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ϊ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($ip_nat_type =~ /./){
if("no" eq $ip_nat_type){
print "Ȃ\n";
}
elsif("nat" eq $ip_nat_type){
print "NAT\n";
}
elsif("natp_auto" eq $ip_nat_type){
print "IP}XJ[h\n";
}
else{
print "<br />\n";
}
}
else{
$ip_nat_type = "natp_auto";
print "IP}XJ[h\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if("nat" eq $ip_nat_type){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "WANAhX͈\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if( ($ip_nat_out_ipaddress1 =~ /./) && ($ip_nat_out_ipaddress2 =~ /./) ){
print "<font size = \"2\">\n";
print "$ip_nat_out_ipaddress1-$ip_nat_out_ipaddress2\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if("no" ne $ip_nat_type){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "LANAhX͈\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($ip_nat_in_ipaddress =~ /./){
if("all" eq $ip_nat_in_ipaddress){
print "SĂΏ\n";
}
elsif("lan" eq $ip_nat_in_ipaddress){
print "LANC^tF[X̃lbg[NAhX͈͂Ώ\n";
}
elsif("ip" eq $ip_nat_in_ipaddress){
print "wAhXΏ\n";
}
else{
print "<br />\n";
}
}
else{
$ip_nat_in_ipaddress = "all";
print "SĂΏ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if( ("no" ne $ip_nat_type) && ("ip" eq $ip_nat_in_ipaddress) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "wAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($ip_nat_in_ipaddress_ip =~ /./){
print "<font size = \"2\">\n";
print "$ip_nat_in_ipaddress_ip\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_STATIC_NAT_TABLE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $nat_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ÓINATe[u No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "O[oIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($nat_table_global_ip[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$nat_table_global_ip[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "<tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[JIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($nat_table_local_ip[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$nat_table_local_ip[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "<tr>\n";
}
}
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_STATIC_NAPT_TABLE_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $natp_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" norap>\n";
print "<font size = \"2\">\n";
print "ÓIIP}XJ[he[u No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "vgR\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("tcp" eq $natp_table_protocol[$loop_cnt]){
print "TCP\n";
}
elsif("udp" eq $natp_table_protocol[$loop_cnt]){
print "UDP\n";
}
elsif("both" eq $natp_table_protocol[$loop_cnt]){
print "\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" norap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "|[g\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($natp_table_port[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$natp_table_port[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" norap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($natp_table_ipaddress[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$natp_table_ipaddress[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "IPpPbgtB^Oݒ聡\n";
print "</font>\n";
my($filtering_empty) = "on";
for($loop_cnt = 0; $loop_cnt < $MAX_FILTERING_ENTRY; $loop_cnt++){
if("on" eq $filtering_table_number[$loop_cnt]){
$filtering_empty = "off";
last;
}
}
if("on" eq $filtering_empty){
print "<br />\n";
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "<b>IPpPbgtB^Oݒ́Ao^Ă܂B</b>\n";
print "</font>\n";
}
else{
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
for($loop_cnt = 0, $disp_cnt = 1; $loop_cnt < $MAX_FILTERING_ENTRY; $loop_cnt++, $disp_cnt++){
if("on" eq $filtering_table_number[$loop_cnt]){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPpPbgtB^Oe[u No.$disp_cnt\n";
print "</font>\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("in" eq $filtering_direction[$loop_cnt]){
print "\n";
}
elsif("out" eq $filtering_direction[$loop_cnt]){
print "o\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $filtering_action[$loop_cnt]){
print "Ւf\n";
}
elsif("off" eq $filtering_action[$loop_cnt]){
print "\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "MIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($filtering_dst_ipaddress[$loop_cnt] =~ /./){
print "$filtering_dst_ipaddress[$loop_cnt]\n";
}
else{
print "w薳\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if($filtering_dst_ipaddress[$loop_cnt] =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "Mlbg}XN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($filtering_dst_subnetmask[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$filtering_dst_subnetmask[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if($filtering_dst_port[$loop_cnt] =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "M͈͑I\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("equal" eq $filtering_dst_range[$loop_cnt]){
print ": =\n";
}
elsif("small" eq $filtering_dst_range[$loop_cnt]){
print "菬: \n";
}
elsif("large" eq $filtering_dst_range[$loop_cnt]){
print "傫: \n";
}
elsif("range" eq $filtering_dst_range[$loop_cnt]){
print "͈:  \n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "M|[gԍ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($filtering_dst_port[$loop_cnt] =~ /./){
print "$filtering_dst_port[$loop_cnt]\n";
}
else{
print "w薳\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "MIPAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($filtering_src_ipaddress[$loop_cnt] =~ /./){
print "$filtering_src_ipaddress[$loop_cnt]\n";
}
else{
print "w薳\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if($filtering_src_ipaddress[$loop_cnt] =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "Mlbg}XN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($filtering_src_subnetmask[$loop_cnt] =~ /./){
print "<font size = \"2\">\n";
print "$filtering_src_subnetmask[$loop_cnt]\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
if($filtering_src_port[$loop_cnt] =~ /./){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "M͈͑I\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("equal" eq $filtering_src_range[$loop_cnt]){
print ": =\n";
}
elsif("small" eq $filtering_src_range[$loop_cnt]){
print "菬: \n";
}
elsif("large" eq $filtering_src_range[$loop_cnt]){
print "傫: \n";
}
elsif("range" eq $filtering_src_range[$loop_cnt]){
print "͈:  \n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "M|[gԍ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($filtering_src_port[$loop_cnt] =~ /./){
print "$filtering_src_port[$loop_cnt]\n";
}
else{
print "w薳\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "AND/OR\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("and" eq $filtering_and_or[$loop_cnt]){
print "AND\n";
}
elsif("or" eq $filtering_and_or[$loop_cnt]){
print "OR\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "vgR\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("no" eq $filtering_protocol[$loop_cnt]){
print "w薳\n";
}
elsif("tcp" eq $filtering_protocol[$loop_cnt]){
print "TCP\n";
}
elsif("udp" eq $filtering_protocol[$loop_cnt]){
print "UDP\n";
}
elsif("icmp" eq $filtering_protocol[$loop_cnt]){
print "ICMP\n";
}
elsif("other" eq $filtering_protocol[$loop_cnt]){
if($filtering_appoint_protocol[$loop_cnt] =~ /./){
print "$filtering_appoint_protocol[$loop_cnt]\n";
}
else{
print "<br />\n";
}
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "TCPtO\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $filtering_tcp_flag_urg[$loop_cnt]){
print "URG \n";
}
if("on" eq $filtering_tcp_flag_ack[$loop_cnt]){
print "ACK \n";
}
if("on" eq $filtering_tcp_flag_psh[$loop_cnt]){
print "PSH \n";
}
if("on" eq $filtering_tcp_flag_rst[$loop_cnt]){
print "RST \n";
}
if("on" eq $filtering_tcp_flag_syn_fin[$loop_cnt]){
print "SYN/FIN \n";
}
print "</font>\n";
print "<br />\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "O\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $filtering_log[$loop_cnt]){
print "\n";
}
elsif("off" eq $filtering_log[$loop_cnt]){
print "Ȃ\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "KpC^tF[X\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $filtering_set_lan[$loop_cnt]){
print "LAN \n";
}
for($loop_cnt2 = 0, $disp_cnt2 = 1; $loop_cnt2 < $MAX_PPPOE_ENTRY; $loop_cnt2++, $disp_cnt2++){
if("on" eq $filtering_set_pppoe[$loop_cnt2][$loop_cnt]){
print "PPPoE No.$disp_cnt2 \n";
}
}
if("on" eq $filtering_set_wan[$loop_cnt]){
print "ŒIPAhXEDHCPNCAg\n";
}
print "</font>\n";
print "<br />\n";
print "</td>\n";
print "</tr>\n";
}
}
print "</table>\n";
}
print "<p />\n";
print "<font size = \"2\">\n";
print "HTTPT[rX̗pzXgݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
if("on" eq $httpd_access_lan){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "pzXg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "LANlbg[Nł΋\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("on" eq $httpd_access_wan){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "WANlbg[Nł΋\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("on" eq $httpd_access_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "w肵IPAhX\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("on" eq $httpd_access_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhXw\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($httpd_allow_hosts =~ /./){
print "<font size = \"2\">\n";
print "$httpd_allow_hosts\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "FTPT[rX̗pzXgݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
if("on" eq $ftpd_access_lan){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "pzXg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "LANlbg[Nł΋\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("on" eq $ftpd_access_wan){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "WANlbg[Nł΋\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("on" eq $ftpd_access_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "w肵IPAhX\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
if("on" eq $ftpd_access_ip){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "IPAhXw\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($ftpd_allow_hosts =~ /./){
print "<font size = \"2\">\n";
print "$ftpd_allow_hosts\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "UPnPݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "ڑ\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($upnp_set_number =~ /./){
if("no" eq $upnp_set_number){
print "Ȃ\n";
}
else{
my($tmp) = $upnp_set_number + 1;
print "PPPoE No.$tmp\n";
}
}
else{
print "Ȃ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "</table>\n";
print "<p />\n";
print "<font size = \"2\">\n";
print "[ʒmݒ聡\n";
print "</font>\n";
print "<br />\n";
print "<br />\n";
print "<table width = \"100%\">\n";
print "<tr>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ區\n";
print "</th>\n";
print "<th width = \"200\" nowrap align = \"left\">\n";
print "ݒ荀\n";
print "</th>\n";
print "<th align = \"left\">\n";
print "ݒl\n";
print "</th>\n";
print "</tr>\n";
if( !($mail_server =~ /./) && !($mailaddress =~ /./) ){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[ʒm@\\\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "gpȂ\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
else{
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[ʒm@\\\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "gp\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "M[T[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($mail_server =~ /^(\S{0,32})(\S{0,31})$/){
my($mail_server1) = $1;
my($mail_server2) = $2;
if($mail_server1 =~ /./){
$mail_server1 = &sanitize($mail_server1);
$mail_server = $mail_server1;
}
if($mail_server2 =~ /./){
$mail_server2 = &sanitize($mail_server2);
$mail_server = $mail_server . "<br />" . $mail_server2;
}
}
print "$mail_server\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[AhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($mailaddress =~ /^(\S{0,32})(\S{0,32})(\S{0,32})(\S{0,32})$/){
my($mailaddress1) = $1;
my($mailaddress2) = $2;
my($mailaddress3) = $3;
my($mailaddress4) = $4;
if($mailaddress1 =~ /./){
$mailaddress1 = &sanitize($mailaddress1);
$mailaddress = $mailaddress1;
}
if($mailaddress2 =~ /./){
$mailaddress2 = &sanitize($mailaddress2);
$mailaddress = $mailaddress . "<br />" . $mailaddress2;
}
if($mailaddress3 =~ /./){
$mailaddress3 = &sanitize($mailaddress3);
$mailaddress = $mailaddress . "<br />" . $mailaddress3;
}
if($mailaddress4 =~ /./){
$mailaddress4 = &sanitize($mailaddress4);
$mailaddress = $mailaddress . "<br />" . $mailaddress4;
}
}
print "$mailaddress\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "POP before SMTP\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if("on" eq $pop_before_smtp){
print "POP before SMTPgp\n";
}
else{
print "POP before SMTPgpȂ\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
if ("on" eq $pop_before_smtp){
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[AJEg\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($mail_account =~ /./){
$mail_account = &sanitize($mail_account);
print "<font size = \"2\">\n";
print "$mail_account\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "[AJEgpX[h\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($mail_account_pass =~ /./){
print "<font size = \"2\">\n";
print "*\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td width = \"200\" nowrap>\n";
print "<br />\n";
print "</td>\n";
print "<td width = \"200\" nowrap>\n";
print "<font size = \"2\">\n";
print "POPT[oAhX\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
if($receive_mail_server =~ /./){
if($receive_mail_server =~ /^(\S{0,32})(\S{0,32})$/){
my($receive_mail_server1) = $1;
my($receive_mail_server2) = $2;
if($receive_mail_server1 =~ /./){
$receive_mail_server1 = &sanitize($receive_mail_server1);
$receive_mail_server = $receive_mail_server1;
}
if($receive_mail_server2 =~ /./){
$receive_mail_server2 = &sanitize($receive_mail_server2);
$receive_mail_server = $receive_mail_server . "<br />" . $receive_mail_server2;
}
}
print "<font size = \"2\">\n";
print "$receive_mail_server\n";
print "</font>\n";
}
else{
print "<br />\n";
}
print "</td>\n";
print "</tr>\n";
}
}
print "</table>\n";
print "<p />\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
print "</body>\n";
print "</html>\n";
