#! /usr/local/bin/perl -U
use strict;
my($DIR);
my($INTERFACE) = "eth0";
my($INVALID) = ".ibs-soho.invalid";
my($MAX_PPPOE_ENTRY) = 5;
my($ip_tell_file);
my($pppoe_file);
my($wan_state_file);
my($base_file);
my($ifconfig_file);
my($error_flag) = "off";
my($loop_cnt);
my($id) = $<;
$< = 0;
$DIR = "/etc/ibsbat/Router/ipaddress_of_wan/";
$wan_state_file = $DIR . "wan_state.txt";
$ip_tell_file = $DIR . "ip_tell.txt";
$pppoe_file = $DIR . "pppoe_table.txt";
$base_file = $DIR . "base.txt";
$ifconfig_file = "/etc/sysconfig/network-scripts/ifcfg-" . $INTERFACE;
my($wan_set);
my($wan_set_pppoe);
my($wan_set_ip);
my($index);
my(@pppoe_entry);
my(@pppoe_entry_name);
my(@pppoe_certification);
my(@pppoe_user_name);
my(@pppoe_password);
my(@pppoe_default_gw);
my(@pppoe_mtu);
my(@pppoe_unnumbered);
my(@pppoe_dns);
my(@pppoe_primary_dns);
my(@pppoe_secondary_dns);
my(@pppoe_connection);
my(@pppoe_boot);
my($ip_entry);
my($ip_entyr_name);
my($ip_ipaddress);
my($ip_subnetmask);
my($ip_boot);
my($ip_tell);
my($ip_tell_default_gw);
if("off" eq $error_flag){
if(open WAN_STATE, "<$wan_state_file"){
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
my(@wan_state_tmp) = <WAN_STATE>;
close(WAN_STATE);
foreach(@wan_state_tmp){
if(/^\s*(?:wan_set_info=)(\S*)/){
$wan_set = $1;
last;
}
}
if("pppoe" eq $wan_set){
$wan_set_pppoe = "on";
$wan_set_ip = "off";
}
else{
$wan_set_pppoe = "off";
$wan_set_ip = "normal";
}
}
if("off" eq $error_flag){
if(open WAN_STATE, ">$wan_state_file"){
print WAN_STATE "pppoe=$wan_set_pppoe\n";
print WAN_STATE "ip=$wan_set_ip\n";
close(WAN_STATE);
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
if(open IP_TELL, "<$ip_tell_file"){
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
my(@ip_tell_tmp) =<IP_TELL>;
close(IP_TELL);
foreach(@ip_tell_tmp){
if(/^\s*(?:ip_tell=)(\S*)/){
$ip_tell = $1;
last;
}
}
if( !($ip_tell =~ /./) ){
$ip_tell = "no";
}
}
if("off" eq $error_flag){
if(open IP_TELL, ">$ip_tell_file"){
print IP_TELL "ip_tell=$ip_tell\n";
print IP_TELL "ip_tell_default_gw=$ip_tell_default_gw\n";
close(IP_TELL);
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
if(open PPPOE, "<$pppoe_file"){
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
my(@pppoe_tmp) = <PPPOE>;
close(PPPOE);
foreach(@pppoe_tmp){
if(/^\s*(?:index=)(\S*)/){
$index = $1;
}
elsif(/^\s*(?:table_number=)(\S*)/){
$pppoe_entry[$index] = $1;
}
elsif(/^\s*(?:entry_name=)(\S*)/){
$pppoe_entry_name[$index] = $1;
}
elsif(/^\s*(?:certification=)(\S*)/){
$pppoe_certification[$index] = $1;
}
elsif(/^\s*(?:user_name=)(\S*)/){
$pppoe_user_name[$index] = $1;
}
elsif(/^\s*(?:password=)(.*)/){
$pppoe_password[$index] = $1;
}
elsif(/^\s*(?:default_gateway=)(\S*)/){
$pppoe_default_gw[$index] = $1;
}
elsif(/^\s*(?:mtu=)(\S*)/){
$pppoe_mtu[$index] = $1;
}
elsif(/^\s*(?:unnumbered=)(\S*)/){
$pppoe_unnumbered[$index] = $1;
}
elsif(/^\s*(?:appoint_dns=)(\S*)/){
$pppoe_dns[$index] = $1;
}
elsif(/^\s*(?:primary_dns=)(\S*)/){
$pppoe_primary_dns[$index] = $1;
}
elsif(/^\s*(?:secondary_dns=)(\S*)/){
$pppoe_secondary_dns[$index] = $1;
}
elsif(/^\s*(?:auto_connection=)(\S*)/){
$pppoe_connection[$index] = $1;
}
else{
next;
}
}
}
if("off" eq $error_flag){
if(open PPPOE, ">$pppoe_file"){
for($loop_cnt = 0; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++){
if( ("on" eq $pppoe_entry[$loop_cnt]) && ("on" eq $wan_set_pppoe) ){
print PPPOE "index=$loop_cnt\n";
print PPPOE "table_number=$pppoe_entry[$loop_cnt]\n";
print PPPOE "entry_name=$pppoe_entry_name[$loop_cnt]\n";
print PPPOE "certification=$pppoe_certification[$loop_cnt]\n";
print PPPOE "user_name=$pppoe_user_name[$loop_cnt]\n";
print PPPOE "password=$pppoe_password[$loop_cnt]\n";
print PPPOE "default_gateway=$pppoe_default_gw[$loop_cnt]\n";
print PPPOE "mtu=$pppoe_mtu[$loop_cnt]\n";
print PPPOE "unnumbered=$pppoe_unnumbered[$loop_cnt]\n";
print PPPOE "appoint_dns=$pppoe_dns[$loop_cnt]\n";
print PPPOE "primary_dns=$pppoe_primary_dns[$loop_cnt]\n";
print PPPOE "secondary_dns=$pppoe_secondary_dns[$loop_cnt]\n";
print PPPOE "auto_connection=$pppoe_connection[$loop_cnt]\n";
print PPPOE "\n";
}
}
close(PPPOE);
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
if( ("off" eq $wan_set_ip) && (-e "$ifconfig_file") ){
unlink ("$ifconfig_file");
}
if( ("on" eq $wan_set_pppoe) && (-e "$ifconfig_file.ibs-soho.invalid") ){
$ifconfig_file .= ".ibs-soho.invalid";
}
if(open IFCONFIG, "<$ifconfig_file"){
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
my(@ifconfig_tmp) = <IFCONFIG>;
close(IFCONFIG);
foreach(@ifconfig_tmp){
if($_ =~ /^\s*(\#?)\s*(?:IPADDR=)([\d\.]+)/){
$ip_ipaddress = $2;
}
elsif($_ =~ /^\s*(\#?)\s*(?:NETMASK=)([\d\.]+)/){
$ip_subnetmask = $2;
}
else{
next;
}
}
}
if("off" eq $error_flag){
if( !(open BASE, ">$base_file") ){
$error_flag = "on";
}
else{
for($loop_cnt = 0; $loop_cnt < $MAX_PPPOE_ENTRY; $loop_cnt++){
if("on" eq $pppoe_entry[$loop_cnt]){
print BASE "index=$loop_cnt\n";
print BASE "table_number=$pppoe_entry[$loop_cnt]\n";
print BASE "entry_name=$pppoe_entry_name[$loop_cnt]\n";
print BASE "certification=$pppoe_certification[$loop_cnt]\n";
print BASE "user_name=$pppoe_user_name[$loop_cnt]\n";
print BASE "password=$pppoe_password[$loop_cnt]\n";
print BASE "default_gateway=$pppoe_default_gw[$loop_cnt]\n";
print BASE "mtu=$pppoe_mtu[$loop_cnt]\n";
print BASE "unnumbered=$pppoe_unnumbered[$loop_cnt]\n";
print BASE "appoint_dns=$pppoe_dns[$loop_cnt]\n";
print BASE "primary_dns=$pppoe_primary_dns[$loop_cnt]\n";
print BASE "secondary_dns=$pppoe_secondary_dns[$loop_cnt]\n";
print BASE "auto_connection=$pppoe_connection[$loop_cnt]\n";
if("on" eq $wan_set_pppoe){
print BASE "pppoe_boot=on\n";
}
else{
print BASE "pppoe_boot=off\n";
}
print BASE "\n";
}
}
if( ($ip_ipaddress =~ /./) && ($ip_subnetmask =~ /./) ){
print BASE "ip_entry=normal\n";
print BASE "ip_entry_name=IPoE\n";
print BASE "ip_ipaddress=$ip_ipaddress\n";
print BASE "ip_subnetmask=$ip_subnetmask\n";
if("normal" eq $wan_set_ip){
print BASE "ip_boot=on\n";
}
else{
print BASE "ip_boot=off\n";
}
print BASE "\n";
}
print BASE "ip_tell=$ip_tell\n";
print BASE "ip_tell_default_gw=$ip_tell_default_gw\n";
print "\n";
close(BASE);
system("/bin/chgrp ibsuser $base_file");
}
}
$< = $id;
if("off" eq $error_flag){
exit 0;
}
else{
exit 1;
}
