#! /usr/local/bin/perl -U
use strict;
my($DIR);
my($default_file);
my($error_flag) = "off";
my($id) = $<;
$< = 0;
$DIR = "/etc/ibsbat/Router/routing/";
$default_file = $DIR . "default_route.txt";
my($default_route);
my($default_route_entry_name);
my($default_route_ipaddress);
my($default_route_hop);
if("off" eq $error_flag){
if(open DEFAULT_ROUTE, "<$default_file"){
}
else{
$error_flag = "on";
}
}
if("off" eq $error_flag){
my(@default_tmp) = <DEFAULT_ROUTE>;
close(DEFAULT_ROUTE);
foreach(@default_tmp){
if(/^\s*(?:default_route=)(\S*)/){
$default_route = $1;
}
elsif(/^\s*(?:default_route_entry_name=)(\S*)/){
$default_route_entry_name = $1;
}
elsif(/^\s*(?:default_route_ipaddress=)(\S*)/){
$default_route_ipaddress = $1;
}
elsif(/^\s*(?:default_route_hop=)(\S*)/){
$default_route_hop = $1;
}
else{
next;
}
}
if("wan" eq $default_route){
$default_route = "provider";
}
}
if("off" eq $error_flag){
if(open DEFAULT_ROUTE, ">$default_file"){
print DEFAULT_ROUTE "default_route=$default_route\n";
print DEFAULT_ROUTE "default_route_entry_name=$default_route_entry_name\n";
print DEFAULT_ROUTE "default_route_ipaddress=$default_route_ipaddress\n";
print DEFAULT_ROUTE "default_route_hop=$default_route_hop\n";
close(DEFAULT_ROUTE);
}
else{
$error_flag = "on";
}
}
$< = $id;
if("off" eq $error_flag){
exit 0;
}
else{
exit 1;
}
