#!/bin/sh

# dhcpd.conf
create_dhcpd()
{
    echo "creating dhcpd.conf ...."
    cat >> /etc/dhcpd.conf <<\EOF
# dhcpd.conf
#
allow unknown-clients;
#option domain-name "";

#ibs-soho-domain-name-servers	#proxy
#option domain-name-servers	;	#ibs-soho-domain-name-servers-ip
option domain-name-servers	192.168.1.1;	#ibs-soho-domain-name-servers-proxy
#option domain-name-servers	;	#ibs-soho-domain-name-servers-auto

default-lease-time	259200;
max-lease-time		259200;
ddns-update-style	none;
#log-facility local4;

#option netbios-name-servers	;

subnet 192.168.1.0 netmask 255.255.255.0 {
option routers 192.168.1.1;
option subnetmask 255.255.255.0;
range 192.168.1.10 192.168.1.99;
#option broadcast-address;
#option netbios-name-servers	;
}
EOF
    echo "created dhcpd.conf"
}

####################
# main
####################
create_dhcpd
