#! /usr/local/bin/perl
use strict;
do "/home/ibsuser/public_html/Admin/Sys_setup/Router/common-lib.pl";
my($dhcpd_conf_path) = "/etc/dhcpd.conf";
my(@tmp);
my($id_org) = $<;
$< = 0;
if("error" eq &lock_file("DHCPD_CONF_LOCK", $dhcpd_conf_path)){
$< = $id_org;
exit(1);
}
if("error" eq &open_file("DHCPD_CONF_PATH", "$dhcpd_conf_path", "r")){
$< = $id_org;
close(DHCPD_CONF_LOCK);
exit(1);
}
@tmp = <DHCPD_CONF_PATH>;
close(DHCPD_CONF_PATH);
if("error" eq &open_file("TMP", "$dhcpd_conf_path.ibs-soho.tmp", "w")){
$< = $id_org;
close(DHCPD_CONF_LOCK);
exit(1);
}
foreach(@tmp){
if($_ =~ /^\s*(?:\#?)\s*(?:option)\s+(?:domain-name-servers)\s*([\d\.\,\s]*);\s+(?:\#ibs-soho-domain-name-servers-auto)\s+(?:\#)(\S+)/){
#$_ = "\#option domain-name-servers\t$1;\t\#ibs-soho-domain-name-servers-auto\t\#$2\n";
$_ = "\#option domain-name-servers\t;\t\#ibs-soho-domain-name-servers-auto\t\#$2\n";
}
print TMP;
}
close(TMP);
rename("$dhcpd_conf_path", "$dhcpd_conf_path.ibs-soho.backup");
rename("$dhcpd_conf_path.ibs-soho.tmp", "$dhcpd_conf_path");
$< = $id_org;
close(DHCPD_CONF_LOCK);
exit(0);
