#! /usr/local/bin/perl
use strict;
do "/home/ibsuser/public_html/Admin/Sys_setup/Router/common-lib.pl";
my($primary_dns) = shift @ARGV;
my($secondary_dns) = shift @ARGV;
my($write_dns);
my($reboot_flg) = "off";
my($dhcpd_flg) = "off";
my(@tmp);
my($reboot_path) = "/home/ibsuser/public_html/Admin/Sys_setup/Router/ipaddress_of_lan/reboot_request.txt";
my($dhcpd_path) = "/etc/rc.conf";
my($dhcpd_conf_path) = "/etc/dhcpd.conf";
if($secondary_dns =~ /./){
$write_dns = $primary_dns . ", " . $secondary_dns;
}
else{
$write_dns = $primary_dns;
}
my($id_org) = $<;
$< = 0;
if("error" eq &lock_file("REBOOT_LOCK", $reboot_path)){
$< = $id_org;
exit(1);
}
if("error" eq &open_file("REBOOT_PATH", "$reboot_path", "r")){
$< = $id_org;
close(REBOOT_LOCK);
exit(1);
}
@tmp = <REBOOT_PATH>;
close(REBOOT_PATH);
foreach(@tmp){
if($_ =~ /^\s*(?:reboot_request=)(\S+)/){
if("YES" eq $1){
$reboot_flg = "on";
}
else{
$reboot_flg = "off";
}
last;
}
}
if("on" eq $reboot_flg){
$< = $id_org;
close(REBOOT_LOCK);
exit(0);
}
if("error" eq &lock_file("DHCPD_LOCK", $dhcpd_path)){
$< = $id_org;
close(REBOOT_LOCK);
exit(1);
}
if("error" eq &open_file("DHCPD_PATH", "$dhcpd_path", "r")){
$< = $id_org;
close(REBOOT_LOCK);
close(DHCPD_LOCK);
exit(1);
}
@tmp = <DHCPD_PATH>;
close(DHCPD_PATH);
foreach(@tmp){
if($_ =~ /^\s*(?:dhcpd=)(\S+)\s+dhcpd_flags="(?:-q)\s+(\S*)(?:,?)(\S*)"\s+(\#ibs-soho)/){
if("YES" eq $1){
$dhcpd_flg = "on";
}
else{
$dhcpd_flg = "off";
}
last;
}
}
if("off" eq $dhcpd_flg){
$< = $id_org;
close(REBOOT_LOCK);
close(DHCPD_LOCK);
exit(0);
}
if("error" eq &lock_file("DHCPD_CONF_LOCK", $dhcpd_conf_path)){
$< = $id_org;
close(REBOOT_LOCK);
close(DHCPD_LOCK);
exit(1);
}
if("error" eq &open_file("DHCPD_CONF_PATH", "$dhcpd_conf_path", "r")){
$< = $id_org;
close(REBOOT_LOCK);
close(DHCPD_LOCK);
close(DHCPD_CONF_LOCK);
exit(1);
}
@tmp = <DHCPD_CONF_PATH>;
close(DHCPD_CONF_PATH);
if("error" eq &open_file("TMP", "$dhcpd_conf_path.ibs-soho.tmp", "w")){
$< = $id_org;
close(REBOOT_LOCK);
close(DHCPD_LOCK);
close(DHCPD_CONF_LOCK);
exit(1);
}
my($write_flg) = "off";
foreach(@tmp){
if($_ =~ /^\s*(?:\#?)\s*(?:ibs-soho-domain-name-servers)\s+(?:\#)(\S*)/){
if("auto" eq $1){
$write_flg = "on";
}
else{
$< = $id_org;
close(REBOOT_LOCK);
close(DHCPD_LOCK);
close(DHCPD_CONF_LOCK);
exit(0);
}
}
if($_ =~ /^\s*(?:\#?)\s*(?:option)\s+(?:domain-name-servers)\s*([\d\.\,\s]*);\s+(?:\#ibs-soho-domain-name-servers-auto)\s+(?:\#)(\S+)/){
if("on" eq $write_flg){
$_ = "option domain-name-servers\t$write_dns;\t\#ibs-soho-domain-name-servers-auto\t\#$2\n";
}
}
print TMP;
}
close(TMP);
rename("$dhcpd_conf_path", "$dhcpd_conf_path.ibs-soho.backup");
rename("$dhcpd_conf_path.ibs-soho.tmp", "$dhcpd_conf_path");
system("/etc/rc.d/init.d/dhcpd restart >/dev/null 2>&1");
$< = $id_org;
close(REBOOT_LOCK);
close (DHCPD_LOCK);
close(DHCPD_CONF_LOCK);
exit(0);
