#!/bin/sh
#
# $1: real interface

IPTABLES=/sbin/iptables

filter_del_pppoe() {
 _target=$1
 _ifname=$2

 #INPUT
 _ent=`${IPTABLES} -L INPUT -n --line-numbers -v|grep $_target|grep "^[0-9]" |grep "$_ifname" | awk 'NR==1{printf"%s ",$1}'`
 while [ ! -z $_ent ]; do
   ${IPTABLES} -D INPUT $_ent
   echo "INPUT:$_ent delete"
   _ent=`${IPTABLES} -L INPUT -n --line-numbers -v|grep $_target|grep "^[0-9]" |grep "$_ifname" | awk 'NR==1{printf"%s ",$1}'`
 done

 #OUTPUT
 _ent=`${IPTABLES} -L OUTPUT -n --line-numbers -v|grep $_target|grep "^[0-9]" |grep "$_ifname" | awk 'NR==1{printf"%s ",$1}'`
 while [ ! -z $_ent ]; do
   ${IPTABLES} -D OUTPUT $_ent
   echo "OUTPUT:$_ent delete"
   _ent=`${IPTABLES} -L OUTPUT -n --line-numbers -v|grep $_target|grep "^[0-9]" |grep "$_ifname" | awk 'NR==1{printf"%s ",$1}'`
 done

 #FORWARD
 _ent=`${IPTABLES} -L FORWARD -n --line-numbers -v|grep $_target|grep "^[0-9]" |grep "$_ifname" | awk 'NR==1{printf"%s ",$1}'`
 while [ ! -z $_ent ]; do
   ${IPTABLES} -D FORWARD $_ent
   echo "FORWARD:$_ent delete"
   _ent=`${IPTABLES} -L FORWARD -n --line-numbers -v|grep $_target|grep "^[0-9]" |grep "$_ifname" | awk 'NR==1{printf"%s ",$1}'`
 done
   
# ${IPTABLES} -D FORWARD -m state --state ESTABLISHED,RELATED -j ACCEPT -i $_ifname -o ${LANIF}
# ${IPTABLES} -D FORWARD -m state --state NEW,ESTABLISHED -j ACCEPT -i ${LANIF} -o $_ifname
}


##################################################

#filter_del_pppoe pppoe0 eth0

filter_del_pppoe LOG $1
filter_del_pppoe ACCEPT $1
filter_del_pppoe DROP $1
