#
# 2004.03.11
#
BEGIN{
 ORGFS=FS;
 FTBL="/etc/ibsbat/Router/filtering/filtering_table.txt";
 LANF="/etc/ibsbat/Router/filtering/filtering_set_lan.txt";
 PPPF="/etc/ibsbat/Router/filtering/filtering_set_pppoe.txt";
 WANF="/etc/ibsbat/Router/filtering/filtering_set_lan.txt";
 DHCPF="/etc/ibsbat/Router/filtering/filtering_set_dhcp.txt";
 CONF_BASE="/etc/ibsbat/filter";
# FTBL="/home/ibsuser/work/filter/filtering_table.txt";
# PPPF="/home/ibsuser/work/filter/filtering_set_pppoe.txt";
# LANF="/home/ibsuser/work/filter/filtering_set_lan.txt";
# WANF="/home/ibsuser/work/filter/filtering_set_wan.txt";
# DHCPF="/home/ibsuser/work/filter/filtering_set_dhcp.txt";
# CONF_BASE="/home/ibsuser/work/filter/filter";

 conf_f = CONF_BASE "/iptables_ppp0.sh";
# printf"#/bin/sh\n# %s\n[ -f $1 ] && . $1\n\n",ppp0 > conf_f;
 f_pppoe_header("ppp0", conf_f);

 conf_f = CONF_BASE "/iptables_ppp1.sh";
# printf"#/bin/sh\n# %s\n[ -f $1 ] && . $1\n\n",ppp1 > conf_f;
 f_pppoe_header("ppp1", conf_f);

 conf_f = CONF_BASE "/iptables_ppp2.sh";
# printf"#/bin/sh\n# %s\n[ -f $1 ] && . $1\n\n",ppp2 > conf_f;
 f_pppoe_header("ppp2", conf_f);

 conf_f = CONF_BASE "/iptables_ppp3.sh";
# printf"#/bin/sh\n# %s\n[ -f $1 ] && . $1\n\n",ppp3 > conf_f;
 f_pppoe_header("ppp3", conf_f);

 conf_f = CONF_BASE "/iptables_ppp4.sh";
# printf"#/bin/sh\n# %s\n[ -f $1 ] && . $1\n\n",ppp4 > conf_f;
 f_pppoe_header("ppp4", conf_f);

 printf"#FS:%s:\n",FS;
 FS="=";
 record=1;
}

function f_pppoe_header(ifname, conf)
{
  printf"#/bin/sh\n# $1: filter table entry\n# $2: if name\n#\n# %s\n[ -f $1 ] && . $1\n\n",
    ifname > conf
}

function f_pppoe_index(rn, fn)
{
  printf"# rn:%d fn:%d\n",rn,fn >> conf_f;
  printf"f_no_%03d $2\n",fn >> conf_f;
}

/^pppoe_index/{

  f_array[record, $1]=$2;
  conf_f = CONF_BASE "/iptables_ppp" $2 ".sh";

  while( (getline) > 0  && ( $0  !~ /^pppoe_index/ ) ) {

    if ( $0 ~ /^$/ )  {printf"#*** %s: exit\n",$0;break;}

    if ( $1 ~ /^filtering_index/ )     { f_array[record, $1]=$2; }
    if ( $1 ~ /^filtering_set_pppoe/ ) { f_array[record, $1]=$2; }

  }

  f_pppoe_index(f_array[record, "pppoe_index"], f_array[record, "filtering_index"]);
  record = record + 1;
}

END{
#  for ( num=1; num<record; num++ ) {
#    printf"#record:%d\n",num;
#    
#  }
}
