#!/bin/sh
#
# ӥƵư
# $1: ibsexe/ibsgw/ibsgwip/quick
#

. /etc/ibsbat/ibs.subr

CMDBAT=`basename $0`

IBSEXE_STOP=/etc/rc.d/init.d/ibsexe
IBSEXE_START=/home/ibsuser/app/exe/autostart.bat

GW_RESET_LIST="/proc/ibs/fpga/rst_gw /proc/fpga/rst_gw /proc/rst_gw"
GW_IPINIT_LIST="/proc/ibs/fpga/gw_init /proc/fpga/gw_init /proc/gw_init"

# 2006.03.27 sumi
ibsreboot_syslog()
{
	logger -p kern.info -t $CMDBAT "$1"
}


# S2/S2/S2
# 2005.03.17
# ϥեμ
#  OK    :0
#  顼:1
ibsexe_get_startfile_path()
{
	__slist="/home/ibsuser/app/exe/ibsproc_start"

	if [ ! -f "${__slist}" ]; then
		return 1
	fi

	IBSEXE_STARTFILE_PATH=`cat ${__slist}`
	if [ -z "${IBSEXE_STARTFILE_PATH}" ]; then
		return 1
	fi
	return 0
}


ibsexe_restart()
{
	ibsreboot_syslog "ibsexe_restart start"
	${IBSEXE_STOP} stop
	#2006.05.06
	led_voip_off 0
	
	if [ -f "${IBSEXE_START}" ]; then
		su - ibsuser -c "${IBSEXE_START}"
		# 2006.04.23
		led_info_off

		#ibsmedsw nice is -8
		/bin/sh ${IBSEXE_START} medswrenice

		#/bin/sh ${IBSEXE_START}
		RETVAL=0
		return ${RETVAL}
	fi
	RETVAL=1
	return ${RETVAL}
}

ibsgw_restart()
{
	ibsreboot_syslog "ibsgw_restart start"

	RETVAL=1
	for i in ${GW_RESET_LIST}
	    do
	    if [ -f "${i}" ]; then
		    echo 1 > "${i}"
		    RETVAL=0
		    sleep 1
		    echo 0 > "${i}"
		    return ${RETVAL}
	    fi
	done
	return ${RETVAL}
}

# IPե饰塢GWꥻåȤIPե饰
ibsgw_ipinit()
{
	ibsreboot_syslog "ibsgw_ipinit start"

	RETVAL=1
	for i in ${GW_IPINIT_LIST}; do
		if [ -f "${i}" ]; then
			echo 1 > "${i}"
			RETVAL=0
			#sleep 2
			#echo 0 > "${i}"
			#return ${RETVAL}
			break
		fi
	done

	ibsgw_restart
	sleep 2
	for i in ${GW_IPINIT_LIST}; do
		if [ -f "${i}" ]; then
			echo 0 > "${i}"
			RETVAL=0
			return ${RETVAL}
		fi
	done

	return ${RETVAL}
}

# 2006.03.27 sumi
ibsrestart_quick()
{
	ibsreboot_syslog "ibsrestart_quick start"

	led_alarm_on
	led_info_inter
	init 7
	return 0
}

RETVAL=0
case $1 in
	ibsexe)
		# S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/S2/
		# 2005.02.24
		ibsexe_reboot_lock
		RETVAL=$?
		if [ "$RETVAL" = "0" ]; then
			ibsexe_restart
			ibsgw_restart
			ibsexe_reboot_unlock
		fi
		;;
	ibsgw)
		ibsgw_restart
		RETVAL=$?
		;;
	ibsgwip)
		ibsgw_ipinit
		RETVAL=$?
		;;
	quick)
		# 2006.03.25 sumi
		ibsrestart_quick
		RETVAL=$?
		;;
	*)
		;;
esac

exit $RETVAL