#!/bin/sh
#
# PostgreSQLؤΥСϿ
#
# Сե
#  /etc/ibsbat/ver_to_pgsql
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin

#TOP=/export/release/SRC
TOP=""
VER=${TOP}/etc/ibsbat/ver_to_pgsql

PSQL=/usr/local/pgsql/bin/psql
DBNAME="ibsdatabase"
PSQL_CMD="update tbl400101 set"
PSQL_CMD_B="update tbl400102 set"
PSQL_FILE="file = 'router.up'"

GW_MAIN=/home/ibskt/gw/x7000gw.main
GW_H8=/home/ibskt/gw/x7000gw.h8
S_IPKT_ROM=/home/ibskt/ipkt/s_ipkt_rom.s

PSQL_MAIN_FILE="file = 'x7000gw.main'"
PSQL_H8_FILE="file = 'x7000gw.h8'"
PSQL_IPKT_FILE="file = 's_ipkt_rom.s'"

_GW_TMPVER=""

####################
check_ver()
{
	case $1 in
		S*)
			return 1
			;;
		[0-9]*)
			return 0
			;;
		*)
			return 1
	esac
}

#
# 2004.06.16
# xx.xx.xxxx xx xxѴȤ
#  12礷
#  ѿ̾$_GW_TMPVER˥åȤ
conv_ver()
{
	_GW_TMPVER=""
	if [ -z "$1" -o -z "$2" ]; then
		return 1
	fi
	case $1 in
	[0-9][0-9])
		_first=OK
		;;
	*)
		_first=NG
		;;
	esac

	case $2 in
	[0-9][0-9])
		_second=OK
		;;
	*)
		_second=NG
		;;
	esac

	if [ "X${_first}" = "XOK" -a "X${_second}" = "XOK" ]; then
		_GW_TMPVER=$1$2
	else
		_GW_TMPVER=""
	fi
	return 0
}

# 2006.04.21
regist_ver_null()
{
	_ver0="0000"
	_psql_str=
	_psql_cmd="${PSQL_CMD} version = '$_ver0', "
	_str1="file = 'x7000.up' where kind = 1;"
	_str2="file = 'router.up' where kind = 2;"
	_str3="file = 'x7000gw.main' where kind = 3;"
	_str4="file = 'x7000gw.h8' where kind = 4;"
	_str5="file = 's_ipkt_rom.s' where kind = 5;"

	# 2006.04.21 B
	echo
	_psql_cmd="${PSQL_CMD_B} version = '$_ver0', "
	for i in 1 2 3 4 5; do
		echo "_str${i}"
		_psql_str="${_psql_str} ${_psql_cmd} `eval echo \$\{_str${i}\}`"
	done
	echo "${_psql_str}" |  su - ibsuser -c "${PSQL} ${DBNAME}"
	return 0
}

regist_ver()
{
	__str=$1
	echo "${__str}" | su - ibsuser -c "${PSQL} ${DBNAME}"
	return $?
}

regist_ver_ok()
{
	_psql_A=
	_psql_B=

	_rt_ver=`cat ${VER}`
	_rt_ver=${_rt_ver%%.*}
	_rt_str="version = '$_rt_ver', ${PSQL_FILE} where kind = 2;"

	_psql_A="${_psql_A} ${PSQL_CMD} ${_rt_str}"
	_psql_B="${_psql_B} ${PSQL_CMD_B} ${_rt_str}"

	_gw_ver=`head -1 ${GW_MAIN}`
	check_ver $_gw_ver
	if [ $? = 0 ]; then
		_gw_ver=${_gw_ver//./ }
		conv_ver ${_gw_ver}
		_gw_ver=${_GW_TMPVER}
		if [ "X$_gw_ver" != "X" ]; then
			_gw_str="version = '$_gw_ver', ${PSQL_MAIN_FILE} where kind = 3;"
			_psql_A="${_psql_A} ${PSQL_CMD} ${_gw_str}"
			_psql_B="${_psql_B} ${PSQL_CMD_B} ${_gw_str}"
		else
			return 1
		fi
	else
		return 1
	fi

	_g8_ver=`head -1 ${GW_H8}`
	check_ver $_g8_ver
	if [ $? = 0 ]; then
		_g8_ver=${_g8_ver//./ }
		conv_ver ${_g8_ver}
		_g8_ver=${_GW_TMPVER}
		if [ "X$_g8_ver" != "X" ]; then
			_g8_str="version = '$_g8_ver', ${PSQL_H8_FILE} where kind = 4;"
			_psql_A="${_psql_A} ${PSQL_CMD} ${_g8_str}"
			_psql_B="${_psql_B} ${PSQL_CMD_B} ${_g8_str}"
		else
			return 1
		fi
	else
		return 1
	fi

	_kt_ver=`head -1 ${S_IPKT_ROM}`
	check_ver $_kt_ver
	if [ $? = 0 ]; then
		_kt_ver=${_kt_ver//./ }
		conv_ver ${_kt_ver}
		_kt_ver=${_GW_TMPVER}
		if [ "X$_kt_ver" != "X" ]; then
			_kt_str="version = '$_kt_ver', ${PSQL_IPKT_FILE} where kind = 5;"
			_psql_A="${_psql_A} ${PSQL_CMD} ${_kt_str}"
			_psql_B="${_psql_B} ${PSQL_CMD_B} ${_kt_str}"
		else
			return 1
		fi
	else
		return 1
	fi

	if [ -n "$_psql_A" -a -n "$_psql_B" ]; then
		regist_ver "${_psql_A}"
		regist_ver "${_psql_B}"
	fi
	
	return 0
}

check_file()
{
	if [ ! -f "${S_IPKT_ROM}" -o ! -f "${GW_MAIN}" -o ! -f "${GW_H8}" ]; then
		return 1
	else
		return 0
	fi
}

##############################
#³ƥ
echo "\\q" | su - ibsuser -c "${PSQL} ${DBNAME}"
if [ $? != 0 ]; then
	echo "Not running pgsql"
	exit 1
fi

[ ! -f ${VER} ] && (regist_ver_null; exit 0)

check_file
_rc=$?

if [ $_rc != 0 ]; then
	regist_ver_null
	exit 0
else
	regist_ver_ok
fi
exit 0
