#!/bin/sh
#
# ibsuserLED
#
# $1: type
# $2: val (on/off/inter)

PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
SUDO=/usr/bin/sudo

. /etc/ibsbat/ibs.subr

_spec=$1
_val=$2

[ -z "$_spec" -o -z "$_val" ] && exit 0

ibsuser_info()
{
  case $1 in
  on)    led_info_on ;;
  off)   led_info_off ;;
  inter) led_info_inter ;;
  *) ;;
  esac
}
ibsuser_alarm()
{
  case $1 in
  on)    led_alarm_on ;;
  off)   led_alarm_off ;;
  inter) led_alarm_inter ;;
  *) ;;
  esac
}
ibsuser_voip()
{
  case $1 in
  on)    led_voip_on ;;
  off)   led_voip_off ;;
  inter) led_voip_inter ;;
  *) ;;
  esac
}

case $_spec in
info)
  ibsuser_info $_val
  ;;
alarm)
  ibsuser_alarm $_val
  ;;
voip)
  ibsuser_voip $_val
  ;;
*)
  ;;
esac
exit 0
