#!/bin/sh
#
# INITܥ󲡲
#

CMDBAT=`basename $0`
CP="/bin/cp -f"
INIT_PUSHD_TOP=/etc/ibsbat/init_pushd
WEB_LAN_DIR=/etc/ibsbat/Router/ipaddress_of_lan
PROC_INIT_PUSHD=/proc/ibs/ibs_init_pushd
TARGET_ENV=/etc/ibsbat/target_env1.bat
DB_INIT_TXT=/etc/ibsbat/init_pushd/db_init_sql.txt
PSQL=/usr/local/pgsql/bin/psql
DBNAME=ibsdatabase

[ -f ${PROC_INIT_PUSHD} ] && _pushd=`cat ${PROC_INIT_PUSHD}`

send_init_sql()
{
  echo "update tbl010105 set local_multi_ip = '224.0.0.200', recv_multi_port = '60030';"  > ${DB_INIT_TXT}
  cat ${DB_INIT_TXT} | su - ibsuser -c "${PSQL} ${DBNAME}"
  rm -f ${DB_INIT_TXT}
}


if [ "X$_pushd" = "X1" ]; then

  send_init_sql

fi