#!/bin/sh

_cmdname=`basename $0`


case $_cmdname in
mkram.bat)
  TMP_DEV=/dev/ram6
  TMP_DIR=/tmp2
  ;;
mkram7.bat)
  TMP_DEV=/dev/ram7
  TMP_DIR=/tmp3
  ;;
*)
  exit 1
  ;;
esac

DUMMYF=mount_ready
_spec=$1

if [ "X$_spec" = "Xbefore" ]; then

  if [ ! -d ${TMP_DIR} ]; then
    mkdir ${TMP_DIR}
  fi

  if [ -f ${TMP_DIR}/${DUMMYF} ]; then
    exit 0
  fi

  mke2fs ${TMP_DEV} > /dev/null 2>&1
  mount ${TMP_DEV} ${TMP_DIR}
  chmod 1777 ${TMP_DIR}
  touch ${TMP_DIR}/${DUMMYF}
fi

if [ "X$_spec" = "Xafter" ]; then
  umount ${TMP_DEV}
fi