#
# 2004.03.20
#  NAT
#
BEGIN{
 ORGFS=FS;

 NAT="/etc/ibsbat/Router/nat/nat.txt";
 NATTBL="/etc/ibsbat/Router/nat/nat_table.txt";
 NATPTBL="/etc/ibsbat/Router/nat/natp_table.txt";

# NAT="/home/ibsuser/work/nat/nat.txt";
# NATTBL="/home/ibsuser/work/nat/nat_table.txt";
# NATPTBL="/home/ibsuser/work/nat/natp_table.txt";

 printf"#\n";
 printf"# auto generate from %s\n\n",NAT;
 printf"# FS:%s:\n",FS;
 printf "NAT_CONF_VERSION=%s\n",nat_conf_version;
 
 FS="=";
 record=0;
}

/^name=pppoe/{

  prefix="ENTRY_ppp";
  printf"#*** %s%d: start\n",prefix,record;

  while( (getline) > 0  && ( $0  !~ /^name=pppoe/ ) ) {

    if ( $0 ~ /^$/ )  {printf"#*** %s%d: end\n\n",prefix,record;break;}

    if ( $1 ~ /^nat_type/ )  {
      printf"%s%d_NAT_TYPE=%s\n",prefix, record, $2;
    }
    if ( $1 == "nat_out_ipaddress1" ) {
      printf"%s%d_NAT_OUTIP1=%s\n",prefix, record, $2;
    }
    if ( $1 == "nat_out_ipaddress2" ) {
      printf"%s%d_NAT_OUTIP2=%s\n",prefix, record, $2;
    }
    if ( $1 == "nat_in_ipaddress" )   {
      printf"%s%d_NAT_INIP1=%s\n",prefix, record, $2;
    }
    if ( $1 == "nat_in_ipaddress_ip" ) {
      printf"%s%d_NAT_INIP2=\"%s\"\n",prefix, record, $2;
    }
  }

  record = record + 1;
}

/^name=ip/{

  prefix="ENTRY_IP";
  printf"#*** %s: start\n",prefix;

  while( (getline) > 0  && ( $0  !~ /^name=ip/ ) ) {

    if ( $0 ~ /^$/ )  {printf"#*** %s: end\n\n",prefix;break;}

    if ( $1 == "ip_nat_type" )     {
      printf"%s_NAT_TYPE=%s\n",prefix,$2;
    }
    if ( $1 == "ip_nat_out_ipaddress1" ) {
      printf"%s_NAT_OUTIP1=%s\n",prefix, $2;
    }
    if ( $1 == "ip_nat_out_ipaddress2" ) {
      printf"%s_NAT_OUTIP2=%s\n",prefix, $2;
    }
    if ( $1 == "ip_nat_in_ipaddress" )   {
      printf"%s_NAT_INIP1=%s\n",prefix,  $2;
    }
    if ( $1 == "ip_nat_in_ipaddress_ip" ) {
      printf"%s_NAT_INIP2=\"%s\"\n",prefix, $2;
    }
  }
}

/^name=dhcp/{

  prefix="ENTRY_DHCP";
  printf"#*** %s: start\n",prefix;

  while( (getline) > 0  && ( $0  !~ /^name=dhcp/ ) ) {

    if ( $0 ~ /^$/ )  {printf"#*** %s: end\n\n",prefix;break;}

    if ( $1 ~ /^dhcp_nat_type/ )     {
      printf"%s_NAT_TYPE=%s\n",prefix,$2;
    }
    if ( $1 == "dhcp_nat_in_ipaddress" )   {
      printf"%s_NAT_INIP1=%s\n",prefix, $2;
    }
    if ( $1 == "dhcp_nat_in_ipaddress_ip" ) {
      printf"%s_NAT_INIP2=\"%s\"\n",prefix, $2;
    }
  }
}

END{
}
