#!/bin/sh
#
# $1: allow/deny
# $2: remote ip address

PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
SUDO=/usr/bin/sudo
IBSLED=/etc/ibsbat/ibsuserled.bat

. /etc/ibsbat/ibs.subr

check_proc()
{
#  _ppid=`ps ax|grep ibsserv|grep -v grep | awk '{printf"%d",$1}'`
  _ppid=`ps ax|grep ibsrmt | grep -v grep | awk '{printf"%d",$1}'`
  if [ "X$_ppid" = "X$PPID" ]; then
    return 0
  else
    return 1
  fi
}

_spec=$1
_remoteip=$2

[ -z "$_remoteip" ] && exit 1

case $_spec in
allow)
  check_proc
  if [ $? = 0 ]; then
    ${SUDO} /etc/ibsbat/remoteaccess.bat allow "$_remoteip"
    RETVAL=$?
  else
    RETVAL=1
  fi
  if [ "X$RETVAL" = "X0" ]; then
    ${SUDO} ${IBSLED} info on
  fi
  ;;
deny)
  check_proc
  if [ $? = 0 ]; then
    ${SUDO} /etc/ibsbat/remoteaccess.bat deny "$_remoteip"
    RETVAL=$?
  else
    RETVAL=1
  fi
  ${SUDO} ${IBSLED} info off
  ;;
*)
  ;;
esac
exit $RETVAL
