#
# 2004.03.20
#  policy routing
#
BEGIN{
 ORGFS=FS;

 DEFTBL="/etc/ibsbat/Router/routing/default_route.txt";
 STATTBL="/etc/ibsbat/Router/routing/static_table.txt";
 RIPTBL="/etc/ibsbat/Router/routing/rip.txt";
 POLTBL="/etc/ibsbat/Router/routing/policy_table.txt";

# DEFTBL="/home/ibsuser/work/routing/default_route.txt";
# STATTBL="/home/ibsuser/work/routing/static_table.txt";
# RIPTBL="/home/ibsuser/work/routing/rip.txt";
# POLTBL="/home/ibsuser/work/routing/policy_table.txt";


 printf"#\n";
 printf"# auto generate from %s\n\n",STATTBL;
 printf"# FS:%s:\n",FS;
 printf "ROUTING_POLICY_CONF_VERSION=%s\n",routing_policy_conf_version;
 
 FS="=";
 record=0;
}

/^index=/{

  prefix="ENTRY_POLICY_";
  record=$2;
  printf"#*** %s%d: start\n",prefix,record;
  printf"%s%d_POLICY_INDEX=%s\n",prefix,record, $2;

  while( (getline) > 0  && ( $0  !~ /^index=/ ) ) {

    if ( $0 ~ /^$/ )  {printf"#*** %s%d: end\n\n",prefix,record;break;}

    if ( $1 == "policy_dst_ipaddress" ) {
      printf"%s%d_POLICY_DST_IP=%s\n",prefix, record, $2;
    }
    if ( $1 == "policy_src_ipaddress" ) {
      printf"%s%d_POLICY_SRC_IP=%s\n",prefix, record, $2;
    }
    if ( $1 == "policy_port" )   {
      printf"%s%d_POLICY_PORT=%s\n",prefix, record, $2;
    }
    if ( $1 == "policy_route" ) {
      printf"%s%d_POLICY_ROUTE=%s\n",prefix, record, $2;
    }
    if ( $1 == "policy_route_entry_name" ) {
      printf"%s%d_POLICY_ROUTE_ENTRY_NAME=%s\n",prefix, record, $2;
    }
    if ( $1 == "policy_route_ipaddress" ) {
      printf"%s%d_POLICY_GW_IP=%s\n",prefix, record, $2;
    }
    if ( $1 == "policy_hop" ) {
      printf"%s%d_POLICY_HOP=%s\n",prefix, record, $2;
    }
  }
}

END{
}
