#
# 2004.03.20
#  NAT
#
BEGIN{
 ORGFS=FS;

 DEFTBL="/etc/ibsbat/Router/routing/default_route.txt";
 STATTBL="/etc/ibsbat/Router/routing/static_table.txt";
 RIPTBL="/etc/ibsbat/Router/routing/rip.txt";
 POLTBL="/etc/ibsbat/Router/routing/policy_table.txt";

# DEFTBL="/home/ibsuser/work/routing/default_route.txt";
# STATTBL="/home/ibsuser/work/routing/static_table.txt";
# RIPTBL="/home/ibsuser/work/routing/rip.txt";
# POLTBL="/home/ibsuser/work/routing/policy_table.txt";


 printf"#\n";
 printf"# auto generate from %s\n\n",STATTBL;
 printf"# FS:%s:\n",FS;
 printf "ROUTING_STATIC_CONF_VERSION=%s\n",routing_static_conf_version;
 
 FS="=";
 record=0;
}

/^index=/{

  prefix="ENTRY_";
  record=$2;
  printf"#*** %s%d: start\n",prefix,record;

  while( (getline) > 0  && ( $0  !~ /^index=/ ) ) {

    if ( $0 ~ /^$/ )  {printf"#*** %s%d: end\n\n",prefix,record;break;}

    if ( $1 == "static_ipaddress" ) {
      printf"%s%d_STATIC_IP=%s\n",prefix, record, $2;
    }
    if ( $1 == "static_subnetmask" ) {
      printf"%s%d_STATIC_MASK=%s\n",prefix, record, $2;
    }
    if ( $1 == "static_route" )   {
      printf"%s%d_STATIC_ROUTE=%s\n",prefix, record, $2;
    }
    if ( $1 == "static_route_entry_name" ) {
      printf"%s%d_STATIC_ROUTE_ENTRY_NAME=%s\n",prefix, record, $2;
    }
    if ( $1 == "static_route_ipaddress" ) {
      printf"%s%d_STATIC_GW_IP=%s\n",prefix, record, $2;
    }
    if ( $1 == "static_hop" ) {
      printf"%s%d_STATIC_HOP=%s\n",prefix, record, $2;
    }
  }
}

END{
}
