#
# 2005/02/22
# R}hs
# 2005/02/22 complete


#use strict;


#
#my(%RETURN_CODE);
#


# mF #


# 擾 #


################################################################################
# MODULE	: get_command_record
# ABSTRACT	: uR}hv擾
# FUNCTION	: 
# RETURN	: hash
#			: return			=>	success
#			: commands			=>	R}h(AƂ\#IBS-SOHO\#)
#			:
#			: return			=>	error
#			: error_contents	=>	G[e
#			: alert_message		=>	G[e
# CREATE	: 2004/11/17 NobutakaOguma
# UPDATE	: 2004/11/17 NobutakaOguma
################################################################################
sub get_command_record
{
	my($TOTAL_RECORD) = 10;		# o^
	my(@commands);				# R}h

	my(%return_hash);			# ߂li[p


	# pXݒ
	my($command_record_path) = "./command_record";

	# bNt@CI[v
	if("error" eq &lock_file("COMMAND_RECORD_LOCK", $command_record_path)){

		my($alert_message) = $RETURN_CODE{"200"};
		%return_hash = (
			"return" => "error",
			"error_contents" => "command_record_lock",
			"alert_message" => $alert_message
		);
		return %return_hash;
	}

	# t@C݂Ȃꍇ
	if( !(-e $command_record_path) ){
		%return_hash = (
			"return" => "success"
		);
		close(COMMAND_RECORD_LOCK);
		return %return_hash;
	}

	# t@CI[v
	if("error" eq &open_file("COMMAND_RECORD_PATH", "$command_record_path", "r")){
		my($alert_message) = $RETURN_CODE{"202"};
		%return_hash = (
			"return" => "error",
			"error_contents" => "command_record_open",
			"alert_message" => $alert_message
		);
		close(LOCK);
		return %return_hash;
	}

	# t@Cǂݍ
	my(@tmp) = <COMMAND_RECORD_PATH>;

	@tmp = reverse @tmp;

	# t@CN[Y
	close(COMMAND_RECORD_PATH);

	my($cnt) = 0;

	# ----- R}h擾
	foreach(@tmp){
		chomp;

		s/\s+/ /g;

		if(/./){
			if($cnt == $TOTAL_RECORD){
				last;
			}
			else{
				push(@commands, $_);
				$cnt++;
			}
		}
	}


	%return_hash = (
		"return" => "success",
		"commands" => join("\#IBS-SOHO\#", @commands),
	);

	close(COMMAND_RECORD_LOCK);

	return %return_hash;
}


# ݒ #


################################################################################
# MODULE	: set_command_record
# ABSTRACT	: uR}hvݒ
# FUNCTION	: command
# RETURN	: hash
#			: return			=>	success
#			: 
#			: return			=>	error
#			: error_contents	=>	G[e
#			: alerrt_message	=>	G[e
# CREATE	: 2004/11/17 NobutakaOguma
# UPDATE	: 2004/11/17 NobutakaOguma
################################################################################
sub set_command_record
{
	my($command) = $_[0];			# R}h

	my(%return_hash);				# ߂li[p


	# pX쐬
	my($path) = "./command_record";

	# bNt@CI[v
	if("error" eq &lock_file("COMMAND_RECORD_LOCK", $path)){
		my($alert_message) = $RETURN_CODE{"200"};
		%return_hash = (
			"return" => "error",
			"error_contents" => "command_record_lock",
			"alert_message" => $alert_message
		);
		return %return_hash;
	}

	# t@Cǉ݃[hŊJ
	if("error" eq &open_file("COMMAND_RECORD_PATH", "$path", "w+")){
		my($alert_message) = $RETURN_CODE{"203"};
		%return_hash = (
			"return" => "error",
			"error_contents" => "command_record_path_open",
			"alert_message" => $alert_message
		);
		close(LOCK);
		return %return_hash;
	}

	# t@C
	print COMMAND_RECORD_PATH "$command\n";

	# t@CN[Y
	close(COMMAND_RECORD_PATH);

	%return_hash = (
		"return" => "success"
	);

	close(COMMAND_RECORD_LOCK);

	return %return_hash;
}


# ̑ #


################################################################################
# MODULE	: do_command
# ABSTRACT	: uR}hvs
# FUNCTION	: sR}h
# RETURN	: 
# CREATE	: 2004/01/16 NobutakaOguma
# UPDATE	: 2004/11/02 NobutakaOguma
################################################################################
sub do_command
{
	my($command) = $_[0];	# sR}h

	# Tj^CWO(\p)
	$command = &sanitize($command);

	print "<font size = \"2\">\n";
	print "$command\n";
	print "</font>\n";

	# ATj^CWO(sp)
	$command = &unsanitize($command);

	open COMMAND, "./command.bat $command 2>&1|";

	# ----- \Jn
	print "<pre>\n";

	print "<font size = \"2\">\n";
	while(<COMMAND>){
		print;
	}
	print "</font>\n";

	# ----- \I
	print "</pre>\n";

	close(COMMAND);
}


1;
