#!/bin/sh
# 2005.03.19
FLASHTOP=/mnt/IBS/router
FLASH_ROUTER=${FLASHTOP}/router_flash

. /etc/ibsbat/ibs.subr

TAR_ETCENV_NOSAVE=/home/ibsuser/public_html/Admin/Sys_setup/Router/database_backup/etcenv.tar.gz


CMDBAT=`basename $0`

target_env1_syslog()
{
  logger -p kern.info -t $CMDBAT $1
}

set_hostentry()
{
    _dir=/etc
    _bkfile="${_dir}"/hosts.bak
    _file="${_dir}"/hosts
    _iffile="${_dir}"/ifconfig.tlp1
    _found=0

    mv $_file $_bkfile
    read _dmy1 _newip _dmy2 < $_iffile
    while read _ip _hosts ; do
        if [ "$_hosts" = "ibs-soho" ]; then
        #    echo "old $_ip $_hosts"
        #    echo "new $_newip  $_hosts"
            echo "$_newip  $_hosts" >> $_file
	    _found=1
        else
            echo "$_ip $_hosts" >>$_file
        fi
    done < $_bkfile

    if [ "$_found" = "0" ];then
        echo "$_newip    ibs-soho" >> $_file
    fi
}


if ! check_ppcibs ; then
    exit 0
fi

# for NetBSD
if ostype_is_netbsd ; then
  set_hostentry

  cd /
  ${TAR} ${TAROPT_W} - `cat ${IBSFLASH_ENV1_LIST}` | dd of=${IBSFLASH_ENV1_DEST} ${IBSFLASH_ENV1_DDOPT}
fi

# for Linux
if ostype_is_linux ; then

  cd /

  for _file in `cat ${IBSFLASH_ENV1_LIST_LINUX}`
  do
    if [ -e "$_file" ]; then
      etc_save_list="$etc_save_list  $_file"
    fi
  done
  for _file in `cat ${IBSFLASH_ENV1a_LIST_LINUX}`
  do
    if [ -e "$_file" ]; then
      etcenv_save_list="$etcenv_save_list $_file"
    fi
  done

  tar czf ${TAR_ETCENV_NOSAVE} -C / `echo ${etcenv_save_list}` > /dev/null 2>&1
  if [ $? != 0 ]; then
    target_env1_syslog "Error:write ${TAR_ETCENV}"
  fi

  exit 0
fi
