#! /usr/local/bin/perl -U
# 2005/03/14
do "../common-lib.pl";
do "./mac_addr-lib.pl";
&ReadParse();
my($setup) = "off";
my($result);
my($error_flag) = "off";
my($back_flag) = "off";
my($reload_flag) = "off";
my($alert_message);
my($lock_set_error) = "off";
my($mac_addr);
my($mac_addr_wan);
my($mac_addr_lan);
my($mac_addr_gw);
my($now_mac_wan);
my($now_mac_lan);
my($now_mac_gw);
my($flash_mac_wan);
my($flash_mac_lan);
my($flash_mac_gw);
my(%return_get_mac_addr);
my(%return_set_mac_addr);
my(%return_set_mac_addr_gw);
my(%return_get_now_mac_wan);
my(%return_get_now_mac_lan);
my(%return_get_now_mac_gw);
my($get_mac_addr_error_info);
my($set_mac_addr_error_info);
my($set_mac_addr_gw_error_info);
my($get_now_mac_wan_error_info);
my($get_now_mac_lan_error_info);
my($get_now_mac_gw_error_info);
my($mac_addr_caution);
if($in{"SETUP"}){
$setup = "on";
}
if("on" eq $setup){
if("error" eq &lock_set("SET", $SET_PATH)){
$lock_set_error = "on";
}
else{
$mac_addr = &plastic_string($in{"MAC_ADDR"});
if($mac_addr =~ /./){
if("error" eq &check_mac_mac_addr($mac_addr)){
$error_flag = "on";
$mac_addr_caution = "\#ff0000";
}
}
else{
$error_flag = "on";
$mac_addr_caution = "\#ff0000";
}
if("off" eq $error_flag){
$_ = $mac_addr;
s/([a-f])/\U$1/gi;
$mac_addr = $_;
if("off" eq $reload_flag){
%return_get_mac_addr = &get_mac_addr($mac_addr);
if("error" eq $return_get_mac_addr{"return"}){
$get_mac_addr_error_info = $return_get_mac_addr{"error_contents"};
$alert_message = $return_get_mac_addr{"alert_message"};
$reload_flag = "on";
}
else{
$mac_addr_wan = $return_get_mac_addr{"mac_addr_wan"};
$mac_addr_lan = $return_get_mac_addr{"mac_addr_lan"};
$mac_addr_gw = $return_get_mac_addr{"mac_addr_gw"};
}
}
if("off" eq $reload_flag){
%return_set_mac_addr = &set_mac_addr($mac_addr_wan, $mac_addr_lan);
if("error" eq $return_set_mac_addr{"return"}){
$set_mac_addr_error_info = $return_set_mac_addr{"error_contents"};
$alert_message = "uMACAhXvݒG[\\n" . $return_set_mac_addr{"alert_message"};
$reload_flag = "on";
}
}
if("off" eq $reload_flag){
%return_set_mac_addr_gw = &set_mac_addr_gw($mac_addr_gw);
if("error" eq $return_set_mac_addr_gw{"return"}){
$set_mac_addr_gw_error_info = $return_set_mac_addr_gw{"error_contents"};
$alert_message = "uQ[gEFCMACAhXvݒG[\\n" . $return_set_mac_addr_gw{"alert_message"};
if("on" ne $TEST_MODE){
$reload_flag = "on";
}
}
}
if("off" eq $reload_flag){
$result = "success";
}
else{
$result = "error";
}
}
close(SET);
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
%return_get_now_mac_wan = &get_now_mac_wan();
if("error" eq $return_get_now_mac_wan{"return"}){
$get_now_mac_wan_error_info = $return_get_now_mac_wan{"error_contents"};
$alert_message = "uMACAhXv擾G[\\n" . $return_get_now_mac_wan{"alert_message"};
if("on" eq $setup){
$result = "error";
$reload_flag = "on";
}
else{
$back_flag = "on";
}
}
else{
$now_mac_wan = $return_get_now_mac_wan{"now_mac_wan"};
$flash_mac_wan = $return_get_now_mac_wan{"flash_mac_wan"};
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
%return_get_now_mac_lan = &get_now_mac_lan();
if("error" eq $return_get_now_mac_lan{"return"}){
$get_now_mac_lan_error_info = $return_get_now_mac_lan{"error_contents"};
$alert_message = "uMACAhXv擾G[\\n" . $return_get_now_mac_lan{"alert_message"};
if("on" eq $setup){
$result = "error";
$reload_flag = "on";
}
else{
$back_flag = "on";
}
}
else{
$now_mac_lan = $return_get_now_mac_lan{"now_mac_lan"};
$flash_mac_lan = $return_get_now_mac_lan{"flash_mac_lan"};
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
%return_get_now_mac_gw = &get_now_mac_gw();
if("error" eq $return_get_now_mac_gw{"return"}){
$get_now_mac_gw_error_info = $return_get_now_mac_gw{"error_contents"};
$alert_message = "uQ[gEFCMACAhXv擾G[\\n" . $return_get_now_mac_gw{"alert_message"};
if("on" eq $setup){
if("on" ne $TEST_MODE){
$reload_flag = "on";
$result = "error";
}
}
else{
if("on" ne $TEST_MODE){
$back_flag = "on";
}
}
}
else{
$now_mac_gw = $return_get_now_mac_gw{"now_mac_gw"};
$flash_mac_gw = $return_get_now_mac_gw{"flash_mac_gw"};
}
}
my(%layout_value) = &get_layout_value;
my($body_background) = $layout_value{"body_background"};
my($caption_font) = $layout_value{"caption_font"};
my($explanation_font) = $layout_value{"explanation_font"};
my($note_color) = $layout_value{"note_color"};
my($table_size) = $layout_value{"table_size"};
my($setup_item_color_of_table) = $layout_value{"setup_item_color_of_table"};
my($setup_value_color_of_table) = $layout_value{"setup_value_color_of_table"};
my($note_color_of_table) = $layout_value{"note_color_of_table"};
my($table_border) = $layout_value{"table_border"};
my($table_cellspacing) = $layout_value{"table_cellspacing"};
my($table_cellpadding) = $layout_value{"table_cellpadding"};
my($table_bordercolor) = $layout_value{"table_bordercolor"};
my($table_bordercolorlight) = $layout_value{"table_bordercolorlight"};
my($table_bordercolordark) = $layout_value{"table_bordercolordark"};
my($setup_item_size_of_table) = $layout_value{"setup_item_size_of_table"};
my($setup_value_size_of_table) = $layout_value{"setup_value_size_of_table"};
my($note_size_of_table) = $layout_value{"note_size_of_table"};
my($caution_color) = $layout_value{"caution_color"};
print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Content-type: text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv = \"Content-Type\" content = \"text/html; charset = shift_jis\">\n";
print "<meta http-equiv = \"Content-Script-Type\" content = \"text/javascript\">\n";
print "<title></title>\n";
print "<script language = \"JavaScript\">\n";
print "<!--\n";
print "function result_print(){\n";
print "document.form1.MAC_ADDR.focus();\n";
if("off" eq $lock_set_error){
if("on" eq $error_flag){
print "alert(\"ݒ荀ڂ̐FԂɂȂĂ鍀ڂ\\n͊ԈႢ܂B\");\n";
}
elsif("on" eq $back_flag){
print "alert(\"$alert_message\");\n";
print "x = 0;\n";
print "if(navigator.appName.charAt(0) == \"N\"){\n";
print "x = 1;\n";
print "}\n";
print "if(history.length == x){\n";
print "location.replace(\"./index.cgi\");\n";
print "}\n";
print "else{\n";
print "history.back();\n";
print "}\n";
}
elsif("on" eq $reload_flag){
print "alert(\"$alert_message\");\n";
print "location.replace(\"./index.cgi\");\n";
}
}
print "}\n";
print "var Exec = false;\n";
print "var Action;\n";
print "function disabled_button(request){\n";
print "if(Action == \"\" || Action == null){\n";
print "Action = request;\n";
print "}\n";
print "if(Exec == true){\n";
print "if(Action == \"setup\"){\n";
print "alert(\"ݒ菈łB\\n΂炭҂B\");\n";
print "}\n";
print "else{\n";
print "alert(\"łB\\n΂炭҂B\");\n";
print "}\n";
print "return false;\n";
print "}\n";
print "Exec = true;\n";
print "return true;\n";
print "}\n";
print "//-->\n";
print "</script>\n";
print "</head>\n";
print "<body background = \"$body_background\" onLoad = \"result_print()\">\n";
print "<script language = \"JavaScript\">\n";
print "<!--\n";
if("on" eq $lock_set_error){
print "alert(\"$SET_ALERT_MESSAGE\");\n";
print "location.replace(\"./index.cgi\");\n";
}
else{
if("success" eq $result){
print "alert(\"ɐݒ肳܂B\\nݒ𔽉fɂ͍ċNsĂB\");\n";
}
}
print "//-->\n";
print "</script>\n";
if("on" eq $TEST_MODE){
if($get_mac_addr_error_info =~ /./){
print "get_mac_addr_error_info = $get_mac_addr_error_info<br />\n";
}
if($set_mac_addr_error_info =~ /./){
print "set_mac_addr_error_info = $set_mac_addr_error_info<br />\n";
}
if($set_mac_addr_gw_error_info =~ /./){
print "set_mac_addr_gw_error_info = $set_mac_addr_gw_error_info<br />\n";
}
if($get_now_mac_wan_error_info =~ /./){
print "get_now_mac_wan_error_info = $get_now_mac_wan_error_info<br />\n";
}
if($get_now_mac_lan_error_info =~ /./){
print "get_now_mac_lan_error_info = $get_now_mac_lan_error_info<br />\n";
}
if($get_now_mac_gw_error_info =~ /./){
print "get_now_mac_gw_error_info = $get_now_mac_gw_error_info<br />\n";
}
}
print "<font size = \"$caption_font\">\n";
print "<b>Tv</b>  <b>MACAhX</b>\n";
print "</font>\n";
print "<br />\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
print "<br />\n";
print "<font size = \"2\">\n";
print "u呕uWAN MACAhXvɁA呕uWANɐݒ肷MACAhX͂Auݒv{^NbNĉB<br />\n";
print "͂ꂽMACAhXAAlu呕uLANvAuQ[gEFCv̊eMACAhXƂĐݒ肵܂B<br /><br />\n";
print "</font>\n";
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "ݒe𔽉fɂ́A呕u̍ċNKvłB<br />\n";
print "ݒ芮́AK呕u̍ċNsĂB<p />\n";
print "</font>\n";
print "<form name = \"form1\" method = \"post\" action = \"./index.cgi\">\n";
print "<table>\n";
print "<tr>\n";
print "<td><br /></td>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">\n";
print "tbVe<br />\n";
print "</font>\n";
print "</td>\n";
print "<td><br /></td>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">\n";
print "^pe<br />\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "呕uWAN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$flash_mac_wan\n";
print "</font>\n";
print "</td>\n";
print "<td><br /></td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$now_mac_wan\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "呕uLAN\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$flash_mac_lan\n";
print "</font>\n";
print "</td>\n";
print "<td><br /></td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$now_mac_lan\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "Q[gEFC\n";
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$flash_mac_gw\n";
print "</font>\n";
print "</td>\n";
print "<td><br /></td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
print "$now_mac_gw\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "</table>\n";
print "<p />\n";
print "<table width = \"$table_size\" border = \"$table_border\" cellspacing = \"$table_cellspacing\" cellpadding = \"$table_cellpadding\" bordercolorlight = \"$table_bordercolorlight\" bordercolordark = \"$table_bordercolordark\" bordercolor = \"$table_bordercolor\">\n";
print "<tr>\n";
print "<th bgcolor = \"$setup_item_color_of_table\" width = \"$setup_item_size_of_table\" align = \"center\">\n";
print "<font size = \"2\">ݒ荀</font>\n";
print "</th>\n";
print "<th bgcolor = \"$setup_value_color_of_table\" width = \"$setup_value_size_of_table\" align = \"center\">\n";
print "<font size = \"2\">ݒl</font>\n";
print "</th>\n";
print "<th bgcolor = \"$note_color_of_table\" width = \"$note_size_of_table\" align = \"center\">\n";
print "<font size = \"2\">l</font>\n";
print "</th>\n";
print "</tr>\n";
print "<tr>\n";
print "<td bgcolor = \"$setup_item_color_of_table\">\n";
print "<font size = \"2\" color = \"$mac_addr_caution\">呕uWAN MACAhX</font>\n";
print "</td>\n";
$mac_addr = &sanitize($mac_addr);
print "<td bgcolor = \"$setup_value_color_of_table\" nowrap>\n";
print "<input type = \"text\" maxlength = \"12\" size = \"18\" name = \"MAC_ADDR\" value = \"$mac_addr\">\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\" color = \"$note_color\">\n";
print "sK{t<br />\n";
print "[pp][16i]\n";
print "</font>\n";
print "</td>\n";
print "</tr>\n";
print "</table>\n";
print "<br />\n";
print "<table border = \"0\" cellspacing = \"0\">\n";
print "<tr><td>\n";
print "<input type = \"submit\" value = \"ݒ\" name = \"SETUP\" onClick = \"return disabled_button(\'setup\')\">\n";
print "</td></form></tr>\n";
print "</table>\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
print "</body>\n";
print "</html>\n";
