#! /usr/local/bin/perl -U
# 2005/02/24
do "../common-lib.pl";
do "./ping-lib.pl";
select(STDOUT);
$| = 1;
select(STDOUT);
&ReadParse();
my($ping_host) = $in{"HOST"};
my($ping_count) = $in{"COUNT"};
my(%layout_value) = &get_layout_value;
my($body_background) = $layout_value{"body_background"};
print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Content-type: text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv = \"Content-Type\" content = \"text/html; charset = shift_jis\">\n";
print "<meta http-equiv = \"Content-Script-Type\" content = \"text/javascript\">\n";
print "<title></title>\n";
print "</head>\n";
print "<body background = \"$body_background\">\n";
$ping_host = &sanitize($ping_host);
print "<font size = \"2\">\n";
print "---PINGs---<br />\n";
print "PING $ping_host : 56(84) bytes of data.<br />\n";
print "</font>\n";
$SIG{'TERM'} = 'stop_ping';
$ping_host = &unsanitize($ping_host);
if($ping_count =~ /./){
open PING, "./ping.bat -c $ping_count -n $ping_host 2>&1|";
}
else{
open PING, "./ping.bat -n $ping_host 2>&1|";
}
print "<font size = \"2\">\n";
while(<PING>){
chomp;
my($tmp) = $_;
if($tmp =~ /^----/){
next;
}
elsif($tmp =~ /PING/){
next;
}
elsif($tmp =~ /(?:Warning)/){
next;
}
elsif($tmp =~ /^(\d+)\s+(?:packets)\s+(?:transmitted,)\s+(\d+)\s+(?:packets)\s(?:received,)/){
my($transmit_packet) = $1;
my($receive_packet) = $2;
my($loss_packet) = ($transmit_packet - $receive_packet);
print "MpPbgF$transmit_packet\tMpPbgF$receive_packet\tpPbgF$loss_packet\n";
print "<br />\n";
next;
}
else{
}
if("netbsd" eq $OS){
}
else{
if($tmp =~ /^(?:round-trip)\s(?:min\/avg\/max\/mdev)\s+(?:=)\s+([\d|\.]+)\/([\d|\.]+)\/([\d|\.]+)\/([\d|\.]+)\s+(?:ms)$/){
my($min) = $1;
my($avg) = $2;
my($max) = $3;
print "<table>\n";
print "<tr>\n";
print "<td><font size = \"2\">min</font></td>\n";
print "<td><font size = \"2\">=</font></td>\n";
print "<td><font size = \"2\">$min ms</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td><font size = \"2\">avg</font></td>\n";
print "<td><font size = \"2\">=</font></td>\n";
print "<td><font size = \"2\">$avg ms</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td><font size = \"2\">max</font></td>\n";
print "<td><font size = \"2\">=</font></td>\n";
print "<td><font size = \"2\">$max ms</font></td>\n";
print "</tr>\n";
print "</table>\n";
print "<br />\n";
next;
}
}
$tmp = &sanitize($tmp);
print "$tmp\n";
print "<br />\n";
}
print "</font>\n";
close(PING);
print "</body>\n";
print "</html>\n";
