# 2005/02/21
sub check_ping_host
{
my($ping_host) = $_[0];
if($ping_host =~ /^(\d+)\.(\d+)\.(\d+)\.(\d+)$/){
return &check_ipaddress_ipv4($ping_host);
}
else{
return &check_host_address($ping_host);
}
}
sub check_ping_count
{
my($ping_count) = $_[0];
if( ($MIN_PING_CNT <= $ping_count) && ($MAX_PING_CNT >= $ping_count) ){
return "success";
}
else{
return "error";
}
}
sub get_ping_host
{
my($ping_host);
my(%return_hash);
my($path) = "$ROUTER_DATA/ping/ping_host.txt";
if("error" eq &lock_file("LOCk", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "ping_host_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
if("error" eq &open_file("PATH", "$path", "r")){
my($alert_message) = $RETURN_CODE{"202"};
%return_hash = (
"return" => "error",
"error_contents" => "ping_host_open",
"alert_message" => $alert_message
);
close(LOCK);
return %return_hash;
}
my(@tmp) = <PATH>;
close(PATH);
foreach(@tmp){
if(/^\s*(?:ping_host=)(\S*)/){
$ping_host = $1;
last;
}
}
%return_hash = (
"return" => "success",
"ping_host" => $ping_host
);
close(LOCK);
return %return_hash;
}
sub set_ping_host
{
my($ping_host) = $_[0];
my(%return_hash);
my($path) = "$ROUTER_DATA/ping/ping_host.txt";
if("error" eq &lock_file("LOCK", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "ping_host_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
if("error" eq &open_file("TMP", "$path.ibs-soho.tmp", "w")){
my($alert_message) = $RETURN_CODE{"203"};
%return_hash = (
"return" => "error",
"error_contents" => "ping_host_tmp_open",
"alert_message" => $alert_message
);
close(LOCK);
return %return_hash;
}
print TMP "ping_host=$ping_host\n";
close(TMP);
rename("$path", "$path.ibs-soho.backup");
rename("$path.ibs-soho.tmp", "$path");
%return_hash = (
"return" => "success"
);
close(LOCK);
return %return_hash;
}
sub stop_ping
{
my($ping_pid);
my(%return_hash);
$ping_pid = &get_process_id("ping");
if("null" eq $ping_pid){
%return_hash = (
"return" => "no_process"
);
return %return_hash;
}
else{
return &kill_process($ping_pid, "int");
}
}
1;
