#! /usr/local/bin/perl -U
# 2006/04/24
use Time::Local;
do "../../common-lib.pl";
do "./report_dhcp-lib.pl";
do "../../ipaddress_of_lan/ipaddress_of_lan-lib.pl";
&ReadParse();
my($save) = "off";
my($delete) = "off";
my($sort_u_ip) = "off";
my($sort_d_ip) = "off";
my($sort_u_mac) = "off";
my($sort_d_mac) = "off";
my($sort_u_host) = "off";
my($sort_d_host) = "off";
my($sort_u_state) = "off";
my($sort_d_state) = "off";
my($result);
my($error_flag);
my($back_flag) = "off";
my($reload_flag) = "off";
my($delete_flag) = "off";
my($save_flag) = "off";
my($reboot_request);
my($alert_message);
my($lock_set_error) = "off";
my($loop_cnt);
my(@ipaddress);
my(@mac_address);
my(@host_name);
my(@state);
my(@ends);
my($dhcp_server_state);
my($dhcp_empty) = "on";
my($static_empty) = "on";
my(%return_get_dhcpd_leases);
my(%return_set_dhcpd_leases);
my(%return_get_dhcp_server_state);
my(%return_get_reboot_request);
my($get_dhcpd_leases_error_info);
my($set_dhcpd_leases_error_info);
my($get_dhcp_server_state_error_info);
my($get_reboot_request_error_info);
my(@static_number);
my(@static_ipaddress);
my(@static_mac_address);
my(@static_host_name);
my(%return_get_static_dhcp);
my($get_static_dhcp_error_info);
if($in{"SAVE"}){
$save = "on";
}
if($in{"DELETE"}){
$delete = "on";
}
if("SORT_U_IP" eq $in{"SORT"}){
$sort_u_ip = "on";
}
elsif("SORT_D_IP" eq $in{"SORT"}){
$sort_d_ip = "on";
}
elsif("SORT_U_MAC" eq $in{"SORT"}){
$sort_u_mac = "on";
}
elsif("SORT_D_MAC" eq $in{"SORT"}){
$sort_d_mac = "on";
}
elsif("SORT_U_HOST" eq $in{"SORT"}){
$sort_u_host = "on";
}
elsif("SORT_D_HOST" eq $in{"SORT"}){
$sort_d_host = "on";
}
elsif("SORT_U_STATE" eq $in{"SORT"}){
$sort_u_state = "on";
}
elsif("SORT_D_STATE" eq $in{"SORT"}){
$sort_d_state = "on";
}
else{
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
%return_get_reboot_request = &get_reboot_request();
if("error" eq $return_get_reboot_request{"return"}){
$get_reboot_request_error_info = $return_get_reboot_request{"error_cintents"};
$alert_message = $return_get_reboot_request{"alert_message"};
if( ("off" eq $delete) && ("off" eq $save) && ("off" eq $sort_u_ip) && ("off" eq $sort_d_ip) && ("off" eq $sort_u_mac) && ("off" eq $sort_d_mac) && ("off" eq $sort_u_host) && ("off" eq $sort_d_host) && ("off" eq $sort_u_state) && ("off" eq $sort_d_state) ){
$back_flag = "on";
}
else{
$reload_flag = "on";
}
}
else{
$reboot_request = $return_get_reboot_request{"reboot_request"};
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
%return_get_dhcp_server_state = &get_dhcp_server_state("now");
if("error" eq $return_get_dhcp_server_state{"return"}){
$get_dhcp_server_state_error_info = $return_get_dhcp_server_state{"error_cintents"};
$alert_message = $return_get_dhcp_server_state{"alert_message"};
if( ("off" eq $delete) && ("off" eq $save) && ("off" eq $sort_u_ip) && ("off" eq $sort_d_ip) && ("off" eq $sort_u_mac) && ("off" eq $sort_d_mac) && ("off" eq $sort_u_host) && ("off" eq $sort_d_host) && ("off" eq $sort_u_state) && ("off" eq $sort_d_state) ){
$back_flag = "on";
}
else{
$reload_flag = "on";
}
}
else{
$dhcp_server_state = $return_get_dhcp_server_state{"dhcp_server_state"};
}
}
my(%data_array);
my(@data_array);
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
if( ("start" eq $dhcp_server_state) && ("off" eq $delete) ){
%return_get_dhcpd_leases = &get_dhcpd_leases();
if("error" eq $return_get_dhcpd_leases{"return"}){
$get_dhcpd_leases_error_info = $return_get_dhcpd_leases{"error_info"};
$alert_message = $return_get_dhcpd_leases{"alert_message"};
if( ("off" eq $delete) && ("off" eq $save) && ("off" eq $sort_u_ip) && ("off" eq $sort_d_ip) && ("off" eq $sort_u_mac) && ("off" eq $sort_d_mac) && ("off" eq $sort_u_host) && ("off" eq $sort_d_host) && ("off" eq $sort_u_state) && ("off" eq $sort_d_state) ){
$back_flag = "on";
}
else{
$reload_flag = "on";
}
}
else{
for($loop_cnt = 0; $loop_cnt < $MAX_R_DHCP; $loop_cnt++){
if($return_get_dhcpd_leases{"$loop_cnt"}{"ipaddress"} =~ /./){
$data_array[$loop_cnt] = $loop_cnt;
$data_array{"$loop_cnt"}{"ipaddress"} = $return_get_dhcpd_leases{"$loop_cnt"}{"ipaddress"};
$data_array{"$loop_cnt"}{"mac_address"} = $return_get_dhcpd_leases{"$loop_cnt"}{"mac_address"};
$data_array{"$loop_cnt"}{"host"} = $return_get_dhcpd_leases{"$loop_cnt"}{"host"};
$data_array{"$loop_cnt"}{"state"} = $return_get_dhcpd_leases{"$loop_cnt"}{"state"};
$data_array{"$loop_cnt"}{"time"} = $return_get_dhcpd_leases{"$loop_cnt"}{"time"};
$data_array{"$loop_cnt"}{"starts"} = $return_get_dhcpd_leases{"$loop_cnt"}{"starts"};
$data_array{"$loop_cnt"}{"ends"} = $return_get_dhcpd_leases{"$loop_cnt"}{"ends"};
if( ($data_array{"$loop_cnt"}{"state"} =~ /null/ || !($data_array{"$loop_cnt"}{"state"} =~ /./) ) && $data_array{"$loop_cnt"}{"time"} =~ /ends/){
$data_array{"$loop_cnt"}{"state"} = $data_array{"$loop_cnt"}{"time"};
}
}
}
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
%return_get_static_dhcp = &get_static_dhcp();
if("error" eq $return_get_static_dhcp{"return"}){
$get_static_dhcp_error_info = $return_get_static_dhcp{"error_contents"};
$alert_message = $return_get_static_dhcp{"alert_message"};
if( ("off" eq $delete) && ("off" eq $save) && ("off" eq $sort_u_ip) && ("off" eq $sort_d_ip) && ("off" eq $sort_u_mac) && ("off" eq $sort_d_mac) && ("off" eq $sort_u_host) && ("off" eq $sort_d_host) && ("off" eq $sort_u_state) && ("off" eq $sort_d_state) ){
$back_flag = "on";
}
else{
$reload_flag = "on";
}
}
else{
@static_number = split(/\#IBS-SOHO\#/, $return_get_static_dhcp{"number"});
@static_ipaddress = split(/\#IBS-SOHO\#/, $return_get_static_dhcp{"ipaddress"});
@static_mac_address = split(/\#IBS-SOHO\#/, $return_get_static_dhcp{"mac_address"});
@static_host_name = split(/\#IBS-SOHO\#/, $return_get_static_dhcp{"host_name"});
foreach(@static_mac_address){
s/:/-/g;
}
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
if("on" eq $sort_u_ip){
@data_array = sort { $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_d_ip){
@data_array = sort { $data_array{$b}{"ipaddress"} cmp $data_array{$a}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_u_mac){
@data_array = sort { $data_array{$a}{"mac_address"} cmp $data_array{$b}{"mac_address"} or $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_d_mac){
@data_array = sort { $data_array{$b}{"mac_address"} cmp $data_array{$a}{"mac_address"} or $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_u_host){
@data_array = sort { $data_array{$a}{"host"} cmp $data_array{$b}{"host"} or $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_d_host){
@data_array = sort { $data_array{$b}{"host"} cmp $data_array{$a}{"host"} or $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_u_state){
@data_array = sort { $data_array{$a}{"state"} cmp $data_array{$b}{"state"} or $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
if("on" eq $sort_d_state){
@data_array = sort { $data_array{$b}{"state"} cmp $data_array{$a}{"state"} or $data_array{$a}{"ipaddress"} cmp $data_array{$b}{"ipaddress"} or $a cmp $b } keys %data_array;
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
if("on" eq $delete){
if("error" eq &lock_set("SET", $SET_PATH)){
$lock_set_error = "on";
$reload_flag = "on";
}
else{
if("off" eq $reload_flag){
my($id_org) = $<;
$< = 0;
if(system("/etc/rc.d/init.d/dhcpd stop >/dev/null 2>&1")){
$alert_message = "uDHCPSv" . $RETURN_CODE{"18"};
$reload_flag = "on";
}
$< = $id_org;
}
my(@del_ipaddress);
my(@tmp) = split(" ", $in{"DEL_DATA"});
my($cnt);
for($cnt = 0; $cnt < $MAX_R_DHCP; $cnt++){
if("on" eq $in{"DELETE$cnt"}){
push(@del_ipaddress, $tmp[$cnt]);
}
}
if("off" eq $reload_flag){
my($del_ipaddress) = join("\#IBS-SOHO\#", @del_ipaddress);
%return_set_dhcpd_leases = &set_dhcpd_leases($del_ipaddress);
if("error" eq $return_set_dhcpd_leases{"return"}){
$set_dhcpd_leases_error_info = $return_set_dhcpd_leases{"error_contents"};
$alert_message = "폜G[\\n" . $return_set_dhcpd_leases{"alert_message"};
$reload_flag = "on";
}
}
if("off" eq $reload_flag){
if("on" eq $FLASH){
my($env1_result);
my($system_return);
my($id_org) = $<;
$< = 0;
for($loop_cnt = 0; $loop_cnt < $ENV1_LOOP; $loop_cnt++){
$system_return = system("/bin/sh /etc/ibsbat/target_env1.bat >/dev/null 2>&1");
if(0 != $system_return){
$system_return = $system_return >> 8;
if(10 <= $system_return){
sleep($ENV1_SLEEP);
next;
}
}
$env1_result = "ok";
last;
}
$< = $id_org;
if("ok" ne $env1_result){
$alert_message = "utbVv" . $RETURN_CODE{$system_return};
$reload_flag = "on";
}
}
}
if("off" eq $reload_flag){
my($id_org) = $<;
$< = 0;
if(system("/etc/rc.d/init.d/dhcpd restart >/dev/null 2>&1")){
$alert_message = "uDHCPSv" . $RETURN_CODE{"19"};
$reload_flag = "on";
}
$< = $id_org;
}
if("off" eq $reload_flag){
%return_get_dhcpd_leases = &get_dhcpd_leases();
if("error" eq $return_get_dhcpd_leases{"return"}){
$get_dhcpd_leases_error_info = $return_get_dhcpd_leases{"error_info"};
$alert_message = $return_get_dhcpd_leases{"alert_message"};
$reload_flag = "on";
}
else{
for($loop_cnt = 0; $loop_cnt < $MAX_R_DHCP; $loop_cnt++){
if($return_get_dhcpd_leases{"$loop_cnt"}{"ipaddress"} =~ /./){
$data_array[$loop_cnt] = $loop_cnt;
$data_array{"$loop_cnt"}{"ipaddress"} = $return_get_dhcpd_leases{"$loop_cnt"}{"ipaddress"};
$data_array{"$loop_cnt"}{"mac_address"} = $return_get_dhcpd_leases{"$loop_cnt"}{"mac_address"};
$data_array{"$loop_cnt"}{"host"} = $return_get_dhcpd_leases{"$loop_cnt"}{"host"};
$data_array{"$loop_cnt"}{"state"} = $return_get_dhcpd_leases{"$loop_cnt"}{"state"};
$data_array{"$loop_cnt"}{"time"} = $return_get_dhcpd_leases{"$loop_cnt"}{"time"};
$data_array{"$loop_cnt"}{"starts"} = $return_get_dhcpd_leases{"$loop_cnt"}{"starts"};
$data_array{"$loop_cnt"}{"ends"} = $return_get_dhcpd_leases{"$loop_cnt"}{"ends"};
if($data_array{"$loop_cnt"}{"state"} =~ /null/ && $data_array{"$loop_cnt"}{"time"} =~ /ends/){
$data_array{"$loop_cnt"}{"state"} = $data_array{"$loop_cnt"}{"time"};
}
}
}
}
}
if("off" eq $reload_flag){
$delete_flag = "on";
}
close(SET);
}
}
}
if( ("off" eq $back_flag) && ("off" eq $reload_flag) ){
if("on" eq $save){
if("error" eq &lock_set("SET", $SET_PATH)){
$lock_set_error = "on";
$reload_flag = "on";
}
else{
if("off" eq $reload_flag){
my($env1_result);
my($system_return);
my($id_org) = $<;
$< = 0;
for($loop_cnt = 0; $loop_cnt < $ENV1_LOOP; $loop_cnt++){
$system_return = system("/bin/sh /etc/ibsbat/target_env1.bat >/dev/null 2>&1");
if(0 != $system_return){
$system_return = $system_return >> 8;
if(10 <= $system_return){
sleep($ENV1_SLEEP);
next;
}
}
$env1_result = "ok";
last;
}
$< = $id_org;
if("ok" ne $env1_result){
$alert_message = "utbVv" . $RETURN_CODE{$system_return};
$reload_flag = "on";
}
}
if("off" eq $reload_flag){
$save_flag = "on";
}
close(SET);
}
}
}
}
my(%layout_value) = &get_layout_value();
my($body_background) = $layout_value{"body_background"};
my($caption_font) = $layout_value{"caption_font"};
my($explanation_font) = $layout_value{"explanation_font"};
my($note_color) = $layout_value{"note_color"};
my($table_size) = $layout_value{"table_size"};
my($setup_item_color_of_table) = $layout_value{"setup_item_color_of_table"};
my($setup_value_color_of_table) = $layout_value{"setup_value_color_of_table"};
my($note_color_of_table) = $layout_value{"note_color_of_table"};
my($table_border) = $layout_value{"table_border"};
my($table_cellspacing) = $layout_value{"table_cellspacing"};
my($table_cellpadding) = $layout_value{"table_cellpadding"};
my($table_bordercolor) = $layout_value{"table_bordercolor"};
my($table_bordercolorlight) = $layout_value{"table_bordercolorlight"};
my($table_bordercolordark) = $layout_value{"table_bordercolordark"};
my($setup_item_size_of_table) = $layout_value{"setup_item_size_of_table"};
my($setup_value_size_of_table) = $layout_value{"setup_value_size_of_table"};
my($note_size_of_table) = $layout_value{"note_size_of_table"};
my($caution_color) = $layout_value{"caution_color"};
print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Content-type: text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv = \"Content-Type\" content = \"text/html; charset = shift_jis\">\n";
print "<meta http-equiv = \"Content-Script-Type\" content = \"text/javascript\">\n";
print "<title></title>\n";
print "<script language = \"JavaScript\">\n";
print "<!--\n";
print "function SortJump(jump){\n";
print "var Jump = jump;\n";
print "if(Jump == \"ip\"){\n";
print "var Url = document.form1.SORT_IP.options[document.form1.SORT_IP.selectedIndex].value;\n";
print "}\n";
print "else if(Jump == \"mac\"){\n";
print "var Url = document.form1.SORT_MAC.options[document.form1.SORT_MAC.selectedIndex].value;\n";
print "}\n";
print "else if(Jump == \"host\"){\n";
print "var Url = document.form1.SORT_HOST.options[document.form1.SORT_HOST.selectedIndex].value;\n";
print "}\n";
print "else if(Jump == \"state\"){\n";
print "var Url = document.form1.SORT_STATE.options[document.form1.SORT_STATE.selectedIndex].value;\n";
print "}\n";
print "if(Url == \"\" || Url == null){\n";
print "}\n";
print "else{\n";
print "location.href = Url;\n";
print "}\n";
print "}\n";
print "function result_print(){\n";
if("off" eq $lock_set_error){
if("on" eq $back_flag){
print "alert(\"$alert_message\");\n";
print "x = 0;\n";
print "if(navigator.appName.charAt(0) == \"N\"){\n";
print "x = 1;\n";
print "}\n";
print "if(history.length == x){\n";
print "location.replace(\"./index.cgi\");\n";
print "}\n";
print "else{\n";
print "history.back();\n";
print "}\n";
}
elsif("on" eq $reload_flag){
print "alert(\"$alert_message\");\n";
print "location.replace(\"./index.cgi\");\n";
}
else{
}
}
print "}\n";
print "var Exec = false;\n";
print "var Action;\n";
print "function disabled_button(request){\n";
print "if(Action == \"\" || Action == null){\n";
print "Action = request;\n";
print "}\n";
print "if(Exec == true){\n";
print "alert(\"łB\\n΂炭҂B\");\n";
print "return false;\n";
print "}\n";
print "if(Action == \"back\"){\n";
print "Exec = true;\n";
print "self.location = \"../index.cgi\";\n";
print "return true;\n";
print "}\n";
print "else if(Action == \"reload\"){\n";
print "Exec = true;\n";
print "self.location = \"./index.cgi\";\n";
print "return true;\n";
print "}\n";
print "else if(Action == \"delete\"){\n";
print "var Check;\n";
$loop_cnt = 0;
while($data_array{"$loop_cnt"}{"ipaddress"} =~ /[\d\.]+/){
print "if(document.form1.DELETE$loop_cnt.checked == true){\n";
print "Check = true;\n";
print "}\n";
$loop_cnt++;
if($MAX_R_DHCP == $loop_cnt){
last;
}
}
print "if(Check == true){\n";
print "res = confirm(\"DHCPt񂩂폜܂B\\n낵łH\");\n";
print "if(res == true){\n";
print "Exec = true;\n";
print "return true;\n";
print "}\n";
print "else{\n";
print "Action = null;\n";
print "return false;\n";
print "}\n";
print "}\n";
print "else{\n";
print "alert(\"폜ΏۃGgIĂ܂B\");\n";
print "Action = null;\n";
print "return false;\n";
print "}\n";
print "}\n";
print "Exec = true;\n";
print "return true;\n";
print "}\n";
print "//-->\n";
print "</script>\n";
print "</head>\n";
print "<body background = \"../$body_background\" onLoad = \"result_print()\">\n";
print "<script language = \"JavaScript\">\n";
print "<!--\n";
if("on" eq $lock_set_error){
print "alert(\"$SET_ALERT_MESSAGE\");\n";
print "location.replace(\"./index.cgi\");\n";
}
else{
if("on" eq $delete_flag){
print "alert(\"$H_DEL\");\n";
}
if("on" eq $save_flag){
print "alert(\"ɕۑ܂B\");\n";
}
}
print "//-->\n";
print "</script>\n";
if("on" eq $TEST_MODE){
if($get_dhcpd_leases_error_info =~ /./){
print "get_dhcpd_leases_error_info = $get_dhcpd_leases_error_info<br />\n";
}
if($set_dhcpd_leases_error_info =~ /./){
print "set_dhcpd_leases_error_info = $set_dhcpd_leases_error_info<br />\n";
}
}
print "<font size = \"$caption_font\">\n";
print "<b>eiX</b>  <b>DHCPt</b>\n";
print "</font>\n";
print "<br />\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
print "<br />\n";
print "<form name = \"form1\" method = \"post\" action = \"./index.cgi\">\n";
if("stop" eq $dhcp_server_state){
print "<font size = \"2\" color = \"\#ff0000\"><b>\n";
print "DHCPT[o@\\ggpȂhɐݒ肳Ă܂B<br />\n";
print "DHCPtԂ\\ɂ́AuLANݒvDHCPT[o@\\ggphɐݒ肵ĂB<p />\n";
print "</b></font>\n";
print "<table border = \"0\" cellspacing = \"0\">\n";
print "<tr><td>\n";
print "<input type = \"button\" value = \"|[g\\ʂɖ߂\" onClick = \"return disabled_button(\'back\')\">\n";
print "</td></form></tr>\n";
print "</table>\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
}
else{
my($emp_cnt);
for($emp_cnt = 0; $emp_cnt < $MAX_DHCP_TABLE_ENTRY; $emp_cnt++){
if($data_array{"$emp_cnt"}{"ipaddress"} =~ /[\d\.]+/){
$dhcp_empty = "off";
last;
}
}
if("off" eq $dhcp_empty){
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "Ԃ̗ŏdƕ\\ꂽڂɑ΂郊[XIԂ́AdԂƂȂԂ\\܂B<br />\n";
print "</font>\n";
}
if("yes" eq $reboot_request){
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "<b>uLANݒv̐ݒefĂ܂B<br />\n";
print "ݒLɂɂ́A呕uуp\\R̍ċNsĂB</b><p />\n";
print "</font>\n";
}
else{
if("off" eq $dhcp_empty){
print "<font size = \"2\" color = \"#ff0000\">\n";
print "u폜v{^NbN邱ƂɂAIDHCPt폜܂B<p />\n";
print "</font>\n";
}
}
print "<font size = \"2\">\n";
print "DHCPÓIte[u\n";
print "</font>\n";
foreach(@static_number){
if(/on/){
$static_empty = "off";
}
}
if("on" eq $static_empty){
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "<br />\n";
print "<b>DHCPÓIt́AsĂ܂B</b>\n";
print "</font>\n";
}
else{
print "<br />\n";
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "<b>MACAhXuDHCPtԁvƓ̏ꍇ́AuDHCPÓIte[uvŕ\\lLƂȂ܂B</b>\n";
print "</font>\n";
print "<table width = \"$table_size\" border = \"$table_border\" cellspacing = \"$table_cellspacing\" cellpadding = \"$table_cellpadding\" bordercolorlight = \"$table_bordercolorlight\" bordercolordark = \"$table_bordercolordark\" bordercolor = \"$table_bordercolor\">\n";
print "<tr>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">IPAhX</font>\n";
print "</th>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">MACAhX</font>\n";
print "</th>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">ʒmzXg</font>\n";
print "</th>\n";
print "</tr>\n";
my($loop_cnt);
for($loop_cnt = 0; $loop_cnt < $MAX_DHCP_TABLE_ENTRY; $loop_cnt++){
if("on" eq $static_number[$loop_cnt]){
print "<tr>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($static_ipaddress[$loop_cnt] =~ /./){
print "$static_ipaddress[$loop_cnt]\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($static_mac_address[$loop_cnt] =~ /./){
print "$static_mac_address[$loop_cnt]\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if($static_host_name[$loop_cnt] =~ /./){
$static_host_name[$loop_cnt] = &sanitize($static_host_name[$loop_cnt]);
print "$static_host_name[$loop_cnt]\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "</tr>\n";
}
}
print "<table>\n";
}
print "<br /><br />\n";
print "<font size = \"2\">\n";
print "DHCPtԁ\n";
print "</font>\n";
if("on" eq $dhcp_empty){
print "<font size = \"2\" color = \"\#ff0000\">\n";
print "<br />\n";
print "<b>DHCPt́AsĂ܂B</b>\n";
print "</font>\n";
print "<p />\n";
}
else{
print "<table width = \"$table_size\" border = \"$table_border\" cellspacing = \"$table_cellspacing\" cellpadding = \"$table_cellpadding\" bordercolorlight = \"$table_bordercolorlight\" bordercolordark = \"$table_bordercolordark\" bordercolor = \"$table_bordercolor\">\n";
print "<tr>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">IPAhX</font>\n";
print "<select name = \"SORT_IP\" onChange = \"SortJump(\'ip\')\">\n";
print "<option value = \"\">--\n";
print "<option value = \"./index.cgi?SORT=SORT_U_IP\">\n";
print "<option value = \"./index.cgi?SORT=SORT_D_IP\">\n";
print "</select>\n";
print "</th>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">MACAhX</font>\n";
print "<select name = \"SORT_MAC\" onChange = \"SortJump(\'mac\')\">\n";
print "<option value = \"\">--\n";
print "<option value = \"./index.cgi?SORT=SORT_U_MAC\">\n";
print "<option value = \"./index.cgi?SORT=SORT_D_MAC\">\n";
print "</select>\n";
print "</th>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">zXg</font>\n";
print "<select name = \"SORT_HOST\" onChange = \"SortJump(\'host\')\">\n";
print "<option value = \"\">--\n";
print "<option value = \"./index.cgi?SORT=SORT_U_HOST\">\n";
print "<option value = \"./index.cgi?SORT=SORT_D_HOST\">\n";
print "</select>\n";
print "</th>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\"></font>\n";
print "<select name = \"SORT_STATE\" onChange = \"SortJump(\'state\')\">\n";
print "<option value = \"\">--\n";
print "<option value = \"./index.cgi?SORT=SORT_U_STATE\">\n";
print "<option value = \"./index.cgi?SORT=SORT_D_STATE\">\n";
print "</select>\n";
print "</th>\n";
print "<th align = \"center\">\n";
print "<font size = \"2\">[XI</font>\n";
print "</th>\n";
if("no" eq $reboot_request){
print "<th>\n";
print "<input type = \"submit\" name = \"DELETE\" value = \"폜\" onClick = \"return disabled_button(\'delete\')\">\n";
print "</th>\n";
}
print "</tr>\n";
my($loop_cnt);
# 2005/04/11
my($del_cnt) = 0;
foreach $loop_cnt (@data_array){
print "<tr>\n";
if( ("null" ne $data_array{"$loop_cnt"}{"ipaddress"}) && ($data_array{$loop_cnt}{"ipaddress"} =~ /./) ){
print "<td>\n";
print "<font size = \"2\">\n";
if( ($data_array{"$loop_cnt"}{"ipaddress"} =~ /./) && ("null" ne $data_array{"$loop_cnt"}{"ipaddress"}) ){
my(@ipaddress_tmp) = split(/\./, $data_array{"$loop_cnt"}{"ipaddress"});
$ipaddress_tmp[0] = sprintf("%d", $ipaddress_tmp[0]);
$ipaddress_tmp[1] = sprintf("%d", $ipaddress_tmp[1]);
$ipaddress_tmp[2] = sprintf("%d", $ipaddress_tmp[2]);
$ipaddress_tmp[3] = sprintf("%d", $ipaddress_tmp[3]);
$data_array{"$loop_cnt"}{"ipaddress"} = join(".", @ipaddress_tmp);
my($ipaddress_tmp) = $data_array{"$loop_cnt"}{"ipaddress"};
print "$ipaddress_tmp\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if( ($data_array{"$loop_cnt"}{"mac_address"} =~ /./) && ("null" ne $data_array{"$loop_cnt"}{"mac_address"}) ){
my(@mac_address_tmp) = split(":", $data_array{"$loop_cnt"}{"mac_address"});
foreach(@mac_address_tmp){
s/([a-f])/\U$1/gi;
}
my($mac_address_tmp) = join("-", @mac_address_tmp);
print "$mac_address_tmp\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "<td>\n";
print "<font size = \"2\">\n";
if( ($data_array{"$loop_cnt"}{"host"} =~ /./) && ("null" ne $data_array{"$loop_cnt"}{"host"}) ){
$data_array{"$loop_cnt"}{"host"} = &sanitize($data_array{"$loop_cnt"}{"host"});
my($host_tmp) = $data_array{"$loop_cnt"}{"host"};
print "$host_tmp\n";
}
else{
print "<br />\n";
}
print "</font>\n";
print "</td>\n";
print "<td align = \"center\">\n";
print "<font size = \"2\">\n";
my($state_tmp);
if( ($data_array{"$loop_cnt"}{"state"} =~ /./) && ("null" ne $data_array{"$loop_cnt"}{"state"}) ){
if("abandoned" eq $data_array{"$loop_cnt"}{"state"}){
$state_tmp = "d";
}
elsif("ends" eq $data_array{"$loop_cnt"}{"state"}){
$state_tmp = "[XI";
}
else{
$state_tmp = "<br />";
}
}
else{
$state_tmp = "[X";
}
print "$state_tmp\n";
print "</font>\n";
print "</td>\n";
print "<td align = \"center\">\n";
print "<font size = \"2\">\n";
my($lease_tmp);
if( ($data_array{"$loop_cnt"}{"starts"} =~ /./) && ($data_array{"$loop_cnt"}{"ends"} =~ /./) ){
my($starts);
my($ends);
my($starts_tmp);
my($ends_tmp);
if($data_array{"$loop_cnt"}{"starts"} =~ /(\d+)\/(\d+)\/(\d+)\s+(\d+):(\d+):(\d+)/){
my($s_year) = $1 - 1900;
my($s_mon) = sprintf("%d", $2) - 1;
my($s_mday) = sprintf("%d", $3);
my($s_hour) = sprintf("%d", $4);
my($s_min) = sprintf("%d", $5);
my($s_sec) = sprintf("%d", $6);
my($s_time) = timelocal($s_sec, $s_min, $s_hour, $s_mday, $s_mon, $s_year);
$s_time += (60 * 60 * 9);
my(@s_time) = localtime($s_time);
$s_time[4] += 1;
$s_time[5] += 1900;
$starts_tmp = sprintf("%02d", $s_time[5]) . sprintf("%02d", $s_time[4]) . sprintf("%02d", $s_time[3]) . sprintf("%02d", $s_time[2]) . sprintf("%02d", $s_time[1]) . sprintf("%02d", $s_time[0]);
}
if($data_array{"$loop_cnt"}{"ends"} =~ /(\d+)\/(\d+)\/(\d+)\s+(\d+):(\d+):(\d+)/){
my($e_year) = $1 - 1900;
my($e_mon) = sprintf("%d", $2) - 1;
my($e_mday) = sprintf("%d", $3);
my($e_hour) = sprintf("%d", $4);
my($e_min) = sprintf("%d", $5);
my($e_sec) = sprintf("%d", $6);
my($e_time) = timelocal($e_sec, $e_min, $e_hour, $e_mday, $e_mon, $e_year);
$e_time += (60 * 60 * 9);
my(@e_time) = localtime($e_time);
$e_time[4] += 1;
$e_time[5] += 1900;
$ends = $e_time[5] . "/" . sprintf("%02d", $e_time[4]) . "/" . sprintf("%02d", $e_time[3]) . " " . sprintf("%02d", $e_time[2]) . ":" . sprintf("%02d", $e_time[1]);
$ends_tmp = sprintf("%02d", $e_time[5]) . sprintf("%02d", $e_time[4]) . sprintf("%02d", $e_time[3]) . sprintf("%02d", $e_time[2]) . sprintf("%02d", $e_time[1]) . sprintf("%02d", $e_time[0]);
}
if( !("ends" eq $data_array{"$loop_cnt"}{"state"}) && ($starts_tmp > $ends_tmp) ){
$lease_tmp = "[X";
}
else{
$lease_tmp = $ends;
}
}
else{
$lease_tmp = "<br />";
}
print "$lease_tmp\n";
print "</font>\n";
print "</td>\n";
if("no" eq $reboot_request){
print "<td align = \"center\">\n";
print "<input type = \"checkbox\" name = \"DELETE$del_cnt\">\n";
print "</td>\n";
}
print "</tr>\n";
# 2005/04/11
$del_cnt++;
}
}
print "</table>\n";
print "<br />\n";
}
if("no" eq $reboot_request){
print "<font size = \"2\" color = \"#ff0000\">\n";
print "uۑv{^NbN邱ƂɂADHCP̊ttbV֕ۑ܂B<br />\n";
print "</font>\n";
}
if( ("no" eq $reboot_request) && ("off" eq $dhcp_empty) ){
my(@del_data_tmp);
my($tmp_cnt);
foreach $tmp_cnt (@data_array){
if( ($data_array{"$tmp_cnt"}{"ipaddress"} =~ /./) && ("null" ne $data_array{"$tmp_cnt"}{"ipaddress"}) ){
push(@del_data_tmp, $data_array{"$tmp_cnt"}{"ipaddress"});
}
}
my($del_data) = join(" ", @del_data_tmp);
print "<input type = \"hidden\" name = \"DEL_DATA\" value = \"$del_data\">\n";
}
print "<table border = \"0\" cellspacing = \"0\">\n";
print "<tr><td>\n";
if("no" eq $reboot_request){
print "<input type = \"submit\" value = \"ۑ\" name = \"SAVE\" onClick = \"return disabled_button(\'save\')\">\n";
}
print "<input type = \"button\" value = \"ŐV\\\" onClick = \"return disabled_button(\'reload\')\">\n";
print "</td></form></tr>\n";
print "</table>\n";
print "<hr size = \"1\" width = \"100%\" align = \"left\">\n";
}
print "</body>\n";
print "</html>\n";
