#! /usr/local/bin/perl -U
# 2006/04/26
do "../common-lib.pl";
do "../ipaddress_of_wan/ipaddress_of_wan-lib.pl";
do "../ipaddress_of_wan/ecas-lib.pl";
my($server_port) = shift @ARGV;
my($my_port) = shift @ARGV;
my($start_rtp) = shift @ARGV;
my($end_rtp) = shift @ARGV;
my($bk) = shift @ARGV;
my(@filtering_table_number);
my(@filtering_direction);
my(@filtering_action);
my(@filtering_dst_range);
my(@filtering_dst_port);
my(@filtering_src_range);
my(@filtering_src_port);
my(@filtering_and_or);
my(@filtering_protocol);
my(@filtering_log);
my($clear_flg);
if( (0 == $server_port) && (0 == $my_port) && (0 == $start_rtp) && (0 == $end_rtp) ){
$clear_flg = "on";
}
else{
$clear_flg = "off";
}
my(%return_get_ecas_base) = &get_ecas_base();
if("error" eq $return_get_ecas_base{"return"}){
exit 1;
}
else{
@filtering_table_number = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_table_number"});
@filtering_direction = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_direction"});
@filtering_action = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_action"});
@filtering_dst_range = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_dst_range"});
@filtering_dst_port = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_dst_port"});
@filtering_src_range = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_src_range"});
@filtering_src_port = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_src_port"});
@filtering_and_or = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_and_or"});
@filtering_protocol = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_protocol"});
@filtering_log = split(/\#IBS-SOHO\#/, $return_get_ecas_base{"filtering_log"});
}
if("on" eq $clear_flg){
$filtering_table_number[0] = "";
$filtering_table_number[1] = "";
$filtering_table_number[2] = "";
$filtering_table_number[3] = "";
}
else{
$filtering_table_number[0] = "on";
$filtering_direction[0] = "out";
$filtering_action[0] = "off";
$filtering_dst_range[0] = "equal";
$filtering_dst_port[0] = $server_port;
$filtering_src_range[0] = "equal";
$filtering_src_port[0] = $my_port;
$filtering_and_or[0] = "and";
$filtering_protocol[0] = "udp";
$filtering_log[0] = "off";
$filtering_table_number[1] = "on";
$filtering_direction[1] = "out";
$filtering_action[1] = "off";
$filtering_dst_range[1] = "equal";
$filtering_dst_port[1] = "";
$filtering_src_range[1] = "range";
$filtering_src_port[1] = $start_rtp . " " . $end_rtp;
$filtering_and_or[1] = "and";
$filtering_protocol[1] = "udp";
$filtering_log[1] = "off";
$filtering_table_number[2] = "on";
$filtering_direction[2] = "in";
$filtering_action[2] = "off";
$filtering_dst_range[2] = "equal";
$filtering_dst_port[2] = $my_port;
$filtering_src_range[2] = "equal";
$filtering_src_port[2] = $server_port;
$filtering_and_or[2] = "and";
$filtering_protocol[2] = "udp";
$filtering_log[2] = "off";
$filtering_table_number[3] = "on";
$filtering_direction[3] = "in";
$filtering_action[3] = "off";
$filtering_dst_range[3] = "range";
$filtering_dst_port[3] = $start_rtp . " " . $end_rtp;
$filtering_src_range[3] = "equal";
$filtering_src_port[3] = "";
$filtering_and_or[3] = "and";
$filtering_protocol[3] = "udp";
$filtering_log[3] = "off";
}
my(%return_set_ecas_base) = &set_ecas_base(
join("\#IBS-SOHO\#", @filtering_table_number),
join("\#IBS-SOHO\#", @filtering_direction),
join("\#IBS-SOHO\#", @filtering_action),
$return_get_ecas_base{"filtering_dst_ipaddress"},
$return_get_ecas_base{"filtering_dst_subnetmask"},
join("\#IBS-SOHO\#", @filtering_dst_range),
join("\#IBS-SOHO\#", @filtering_dst_port),
$return_get_ecas_base{"filtering_src_ipaddress"},
$return_get_ecas_base{"filtering_src_subnetmask"},
join("\#IBS-SOHO\#", @filtering_src_range),
join("\#IBS-SOHO\#", @filtering_src_port),
join("\#IBS-SOHO\#", @filtering_and_or),
join("\#IBS-SOHO\#", @filtering_protocol),
$return_get_ecas_base{"filtering_appoint_protocol"},
$return_get_ecas_base{"filtering_tcp_flag_urg"},
$return_get_ecas_base{"filtering_tcp_flag_ack"},
$return_get_ecas_base{"filtering_tcp_flag_psh"},
$return_get_ecas_base{"filtering_tcp_flag_rst"},
$return_get_ecas_base{"filtering_tcp_flag_syn_fin"},
join("\#IBS-SOHO\#", @filtering_log),
$bk
);
if("error" eq $return_set_ecas_base{"return"}){
exit 1;
}
my($wan_state_ip);
my(%return_get_wan_state) = &get_wan_state("now");
if("error" eq $return_get_wan_state{"return"}){
exit 1;
}
else{
$wan_state_ip = $return_get_wan_state{"ip"};
}
if( !("ecas" eq $wan_state_ip) && !("scas_east" eq $wan_state_ip) ){
exit 0;
}
else{
my(%return_set_ecas_filtering) = &set_ecas_filtering("set", $bk);
if("error" eq $return_set_ecas_filtering{"return"}){
exit 1;
}
else{
exit 0;
}
}
