# 2004/11/24
sub get_upnp
{
my($when) = $_[0];
my($backup);
my($upnp_set_number);
my(%return_hash);
my($path) = "$ROUTER_DATA/upnp/upnp.txt";
if("error" eq &lock_file("LOCK", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "upnp_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
if("error" eq &open_file("PATH", "$path$backup", "r")){
my($alert_message) = $RETURN_CODE{"202"};
%return_hash = (
"return" => "error",
"error_contents" => "upnp_open",
"alert_message" => $alert_message
);
close(LOCK);
return %return_hash;
}
my(@tmp) = <PATH>;
close(PATH);
foreach(@tmp){
if(/^\s*(?:upnp_set_number=)(\S*)/){
$upnp_set_number = $1;
}
}
%return_hash = (
"return" => "success",
"upnp_set_number" => $upnp_set_number
);
close(LOCK);
return %return_hash;
}
sub set_upnp
{
my($upnp_set_number) = $_[0];
my(%return_hash);
my($path) = "$ROUTER_DATA/upnp/upnp.txt";
if("error" eq &lock_file("LOCK", $path)){
my($alert_message) = $RETURN_CODE{"200"};
%return_hash = (
"return" => "error",
"error_contents" => "upnp_lock",
"alert_message" => $alert_message
);
return %return_hash;
}
if("error" eq &open_file("TMP", "$path.ibs-soho.tmp", "w")){
my($alert_message) = $RETURN_CODE{"203"};
%return_hash = (
"return" => "error",
"error_contents" => "upnp_tmp_open",
"alert_message" => $alert_message
);
close(LOCK);
return %return_hash;
}
print TMP "upnp_set_number=$upnp_set_number\n";
close(TMP);
rename("$path", "$path.ibs-soho.backup");
rename("$path.ibs-soho.tmp", "$path");
%return_hash = (
"return" => "success"
);
close(LOCK);
return %return_hash;
}
1;
