<?
include "LocalPlotocolMsg.inc";



class Socket_service
{


	var $socket_s = False;
	var $host = MY_IP_ADDRESS;
	var $other_port = OTHER_PORT_NUMBER;
	var $other_ip = OTHER_IP_ADDRESS;
	var $socket_timeout = SOCKET_TIMEOUT;
	var $fr_size = 1000;
	var $startup_result = False;
	var $my_addr = "";
	var $my_port = 0;


	function Socket_service()
	{
		switch( func_num_args() )
		{
			case 3:
				$arg[2] = func_get_arg(2);
			case 2:
				$arg[1] = func_get_arg(1);
			case 1:
				$arg[0] = func_get_arg(0);
			default:
			break;
		}
		
		if( "" != $arg[0] ) $this->other_port = $arg[0];
		if( "" != $arg[1] ) $this->host = $arg[1];
		if( "" != $arg[2] ) $this->other_ip = $arg[2];
		
		if(0 == OFFLINE){
			$result = $this->socket_s_create();
		}else{
			$result = TRUE;
		}
		
		if( True == $result )
		{
			$this->startup_result = True;
		}
		else
		{
			$this->startup_result = False;
		}
	}


	function socket_s_create()
	{
		if( False == $this->socket_s )
		{
			@$this->socket_s = socket_create (AF_INET, SOCK_DGRAM, 0); 
			if (0 > $this->socket_s) 
			{
				err_log("\PbgJ݊֐isocket_s_create):", "\Pbg쐬G[i" . socket_strerror( socket_last_error( $this->socket_s ) ) . ")" );
				return False;
			} 
			
			@$bind_result = socket_bind( $this->socket_s, $this->host, 0 );
			if( 0 >= $bind_result )
			{
				err_log("oCh:", "oChG[i" . socket_strerror( socket_last_error( $this->socket_s ) ) . "j");
				return False;
			}
			
			@$get_result = socket_getsockname( $this->socket_s, $this->my_addr, $this->my_port );
			if( False == $get_result )
			{
				err_log("ڑ󋵎擾F", "IP,|[gԍ擾G[");
				return False;
			}
		}
		return True;
	}


	function socket_s_user_relation( $event_kind, $user_id, $extension_number, $user_passwd )
	{
		$decode_result = False;
		
		switch( $event_kind )
		{
			case EVENT_USER_ADD:
				$event_msg = "[Uǉv";
			break;
			case EVENT_USER_DEL:
				$event_msg = "[U폜v";
			break;
			case EVENT_USER_CHG:
				$event_msg = "[UύXv";
			break;
			default:
				err_log("[U֘A\PbgʐM","CxgʂI܂łB");
				return False;
			break;
		}
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		unset( $send_msg );
		$send_msg = UsersDataLocalProtocolMsgSet( $event_kind, $user_id, $extension_number, $user_passwd, $this->my_addr, $this->my_port );

		if( "" == $send_msg  )
		{
			err_log($event_msg, "ʒmbZ[W쐬Ă܂B");
			return False;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log($event_msg, "vbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
if( 1 == DEBAG ) printf("<font size='1'>M<br>'%s'<br>(MTCYF%d)(%d)<br><br>MJn<BR></font>", $send_msg, $ss_result, $this->other_port );
		}

		
		$read = array( $this->socket_s );
		$select_result = socket_select( $read, $tmp=NULL, $tmp=NULL, $this->socket_timeout );
		if( 0 >= $select_result )
		{
			
			$err_msg = socket_strerror( $select_result );
			err_log($event_msg, "bZ[WM^CAEg(" . $err_msg . ")<br>");
			return False;
			exit;
		}
		else
		{
			
			unset( $sr_result );
			$tmp_port = $this->other_port;
			@$sr_result = socket_recvfrom( $this->socket_s, $recv_msg, $this->fr_size, 0, $this->other_ip, $tmp_port );
			if( 0 >= $sr_result)
			{
				
				$err_msg = socket_strerror( $sr_result );
				err_log($event_msg, "bZ[WMG[(" . $err_msg . ")<br>");
				return False;
				exit;
			}
			else
			{
				$decode_result = LocalProtocolMsgRspDecode( $recv_msg ); 
				if( !is_array( $decode_result ) )
				{
					err_log( $event_msg, "Me̓G[i" . $decode_result . "j@@<br>Mf[^".$recv_msg );
					return False;
				}
				else
				{
					if( 1 == DEBAG )
					{
						print("<br>M<br>Mf[^ˁi" . $recv_msg ."j<br>Mf[^͌ʁ<br>");
						var_dump( $decode_result );
					}
				}
			}
			return $decode_result;
		}
		return False;;
	}

	
	
	
	function socket_s_change( $target_table, $user_id)
	{
		if(0 != OFFLINE) return TRUE;
		
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		for( $loop=0; count($target_table) > $loop; $loop++ )
		{
			if( "" != $target_table[$loop] )
			{
				if( 0 != strncmp( $target_table[$loop], "TBL", 3) || ( 9 != strlen( $target_table[$loop] ) ) )
				
				{
					err_log("f[^x[XύXʒm", "ʒms敪R[hsłB(" . $target_table[$loop] . ")");
					return False;
				}
			}
		}
		
		if( 0 >= $loop ) 
		{
			err_log("f[^x[XύXʒm", "ʒms敪R[hsłB(ʒm敪R[hȂ)");
			return False;
		}
		
		
		
		unset( $send_msg );
		$send_msg = DataChgLocalProtocolMsgSet( $target_table, $user_id, $this->my_addr, $this->my_port);
		if( "" == $send_msg )
		{
			err_log("f[^x[XύX","ʒmbZ[W쐬Ă܂B");
			return False;
		}


		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port );  
		if( 0 >= $ss_result )
		{
			
			err_log("f[^x[XύX", "ύXʒmbZ[WMG[i" . socket_strerror( socket_last_error( $this->socket_s ) ) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
			if( 1 == DEBAG )
			{
				$head_msg = substr( $send_msg, 0, 110);
				$main_msg = substr( $send_msg, 110 );
				echo "<font size='2'>";
				
				echo "M<br>";
				printf("'%s<br><font color=red>%s</font>'<br>(MTCYF%d)( %s )iuser_id:%dj<br><br>", $head_msg, $main_msg, $ss_result, $target_table[0], $user_id  );
				echo "</font>";
			}
			return True;
		}
		
		return False;
	}

	
	
	
	function socket_s_version_up()
	{
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		
		unset( $send_msg );
		$send_msg = VersionUpIndLocalProtocolMsgSet( $this->my_addr, $this->my_port);
		if( "" == $send_msg )
		{
			err_log("o[WAbvʒm","ʒmbZ[W쐬Ă܂B");
			return False;
		}


		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log("o[WAbvʒm", "ʒmbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
			if( 1 == DEBAG )
			{
				$head_msg = substr( $send_msg, 0, 60);
				$main_msg = substr( $send_msg, 60 );
				printf("<font size='2'>M<br>'%s<br>%s'<br>(MTCYF%d)<br><br></font>", $head_msg, $main_msg, $ss_result );
			}
			return True;
		}
		
		return False;
	}

	
	
	
	function socket_s_volume_set( $volume_kind, $volume )
	{
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		unset( $send_msg );
		$send_msg = VolumeSetIndLocalProtocolMsgSet( $volume_kind, $volume, $this->my_addr, $this->my_port);
		if( "" == $send_msg )
		{
			err_log("MʈꊇύXʒm","ʒmbZ[W쐬Ă܂B");
			return False;
		}


		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log("MʈꊇύXʒm", "ʒmbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
			if( 1 == DEBAG )
			{
				$head_msg = substr( $send_msg, 0, 60);
				$main_msg = substr( $send_msg, 60 );
				printf("<font size='2'>M<br>'%s<br>%s'<br>(MTCYF%d)<br><br></font>", $head_msg, $main_msg, $ss_result );
			}
			return True;
		}
		
		return False;
	}

	
	
	
	function socket_s_remo_man_relation( $event_kind )
	{
		$decode_result = False;
		
		
		
		switch( $event_kind )
		{
			case EVENT_REMO_REG_SEND:
				$event_msg = "Z^[o^ʒm";
				break;
			case EVENT_REMO_VER_CHK:
				$event_msg = "o[WmFv";
				break;
			case EVENT_REMO_DOWNLOAD:
				$event_msg = "_E[hJnv";
				break;
			case EVENT_REMO_DOWN_STOP:
				$event_msg = "_E[hI";
				break;
			case EVENT_REMO_SERVICE_START:
				$event_msg = "[geiXJnv";
				break;
			case EVENT_REMO_SERVICE_STOP:
				$event_msg = "[geiXIv";
				break;
			case EVENT_REMO_WRITE_CHK:
				$event_msg = "f[^x[XύXmFv";
				break;
			
			case EVENT_AU_RESTART:	
				$event_msg = "ċNv";
				break;
			case EVENT_AU_CHANGEDATABASE:	
				$event_msg = "t@[EFAXVf[^x[XύXmFv";
				break;
			case EVENT_AU_DATABASE:			
				$event_msg = "t@[EFAXVf[^x[XύXʒm";
				break;
				
			default:
				err_log("[geiX֘A\PbgʐM","CxgʂI܂łB");
				return False;
			break;
		}
		
		
		if( True != $this->startup_result ) return False;
		
		
		unset( $send_msg );
		$send_msg = RemoManLocalProtocolMsgSet( $event_kind, $this->my_addr, $this->my_port );

		if( "" == $send_msg  )
		{
			err_log($event_msg, "ʒmbZ[W쐬Ă܂B");
			return False;
			exit;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log($event_msg, "vbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
if( 1 == DEBAG ) printf("M<br>'%s'<br>(MTCYF%d)<br><br>MJn<BR>", $send_msg, $ss_result );
		}

		
		
		$read = array( $this->socket_s );
		$select_result = socket_select( $read, $tmp=NULL, $tmp=NULL, $this->socket_timeout );
		if( 0 >= $select_result )
		{
			
			$err_msg = socket_strerror( $select_result );
			err_log($event_msg, "bZ[WM^CAEg(" . $err_msg . ")<br>");
			return False;
		}
		else
		{
			
			unset( $sr_result );
			$tmp_port = $this->other_port;
			@$sr_result = socket_recvfrom( $this->socket_s, $recv_msg, $this->fr_size, 0, $this->other_ip, $tmp_port );
			if( 0 >= $sr_result)
			{
				
				$err_msg = socket_strerror( $sr_result );
				err_log($event_msg, "bZ[WMG[(" . $err_msg . ")<br>");
				return False;
			}
			else
			{
				$decode_result = LocalProtocolMsgRspDecode( $recv_msg ); 
				if( !is_array( $decode_result ) )
				{
					err_log( $event_msg, "Me̓G[i" . $decode_result . "j@@<br>Mf[^".$recv_msg );
					return False;
				}
				else
				{
					if( 1 == DEBAG )
					{
						print("<br>M<br>Mf[^ˁi" . $recv_msg ."j<br>Mf[^͌ʁ<br>");
						var_dump( $decode_result );
					}
				}
			}
			return $decode_result;
		}
		return False;;
	}
	
	
	
	function socket_s_remo_man_ind( $event_kind )
	{
		$decode_result = False;
		
		
		switch( $event_kind )
		{
			case EVENT_AU_DATABASE:
				$event_msg = "t@[EFAXVf[^x[XύXʒm";
				break;
			default:
				err_log("[geiX֘A\PbgʐM","CxgʂI܂łB");
				return False;
			break;
		}
		
		
		if( True != $this->startup_result ) return False;
		
		
		unset( $send_msg );
		$send_msg = RemoManLocalProtocolMsgSet( $event_kind, $this->my_addr, $this->my_port );

		if( "" == $send_msg  )
		{
			err_log($event_msg, "ʒmbZ[W쐬Ă܂B");
			return False;
			exit;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log($event_msg, "vbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
if( 1 == DEBAG ) printf("M<br>'%s'<br>(MTCYF%d)<br><br>MJn<BR>", $send_msg, $ss_result );
			return True;
		}
		
		return False;
	}

	
	
	
	function socket_s_data_chg_end_relation(  )
	{
		$decode_result = False;
		
		
		
				$event_msg = "f[^ύXImF";
		
		
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		unset( $send_msg );
		$send_msg = DataChgEndCfmLocalProtocolMsgSet( $this->my_addr, $this->my_port );

		if( "" == $send_msg  )
		{
			err_log($event_msg, "ʒmbZ[W쐬Ă܂B");
			return False;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log($event_msg, "vbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
if( 1 == DEBAG ) printf("M<br>'%s'<br>(MTCYF%d)<br><br>MJn<BR>", $send_msg, $ss_result );
		}

		
		
		$read = array( $this->socket_s );
		$select_result = socket_select( $read, $tmp=NULL, $tmp=NULL, $this->socket_timeout );
		if( 0 >= $select_result )
		{
			
			$err_msg = socket_strerror( $select_result );
			err_log($event_msg, "bZ[WM^CAEg(" . $err_msg . ")<br>");
			return False;
		}
		else
		{
			
			unset( $sr_result );
			$tmp_port = $this->other_port;
			@$sr_result = socket_recvfrom( $this->socket_s, $recv_msg, $this->fr_size, 0, $this->other_ip, $tmp_port );
			if( 0 >= $sr_result)
			{
				
				$err_msg = socket_strerror( $sr_result );
				err_log($event_msg, "bZ[WMG[(" . $err_msg . ")<br>");
				return False;
				exit;
			}
			else
			{
				$decode_result = LocalProtocolMsgRspDecode( $recv_msg ); 
				if( !is_array( $decode_result ) )
				{
					err_log( $event_msg, "Me̓G[i" . $decode_result . "j@@<br>Mf[^".$recv_msg );
					return False;
				}
				else
				{
					if( 1 == DEBAG )
					{
						print("<br>M<br>Mf[^ˁi" . $recv_msg ."j<br>Mf[^͌ʁ<br>");
						var_dump( $decode_result );
					}
				}
			}
			return $decode_result;
		}
		return False;;
	}

	
	
	
	function socket_s_ipcs_relation( $ctl_code, $data_array )
	{
		$decode_result = False;
		
		
		
		switch( $ctl_code )
		{
			case IPCS_READ_REQ:
				$event_msg = "CSIDǍv";
				break;
			case IPCS_CHG_REQ:
				$event_msg = "CSIDv";
				break;
			case IPCS_REGIST_FST_REQ:
				$event_msg = "SOo^v()";
				break;
			case IPCS_REGIST_DEL_REQ:
				$event_msg = "SOo^v()";
				break;
			case IPCS_REGIST_READ_REQ:
				$event_msg = "SOo^v(Ǎ)";
				break;
			case IPCS_REGIST_REWRITE_REQ:
				$event_msg = "SOo^v(ď)";
				break;
			case IPCS_REGIST_ALLDEL_REQ:
				$event_msg = "SOo^v(S)";
			break;
			default:
				err_log("IPCS֘A\PbgʐM","CxgʂI܂łB");
				return False;
			break;
		}
		
		
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		unset( $send_msg );
		$send_msg = IPCSLocalProtocolMsgSet( $ctl_code, $data_array, $this->my_addr, $this->my_port );

		if( "" == $send_msg  )
		{
			err_log($event_msg, "ʒmbZ[W쐬Ă܂B");
			return False;
			exit;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log($event_msg, "vbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
if( 1 == DEBAG ) printf("M<br>'%s'<br>(MTCYF%d)(%d)<br><br>MJn<BR>", $send_msg, $ss_result, $this->other_port );
		}

		
		
		$read = array( $this->socket_s );
		$select_result = socket_select( $read, $tmp=NULL, $tmp=NULL, IPCS_SOCKET_TIMEOUT ); 
		if( 0 >= $select_result )
		{
			
			$err_msg = socket_strerror( $select_result );
			err_log($event_msg, "bZ[WM^CAEg(" . $err_msg . ")<br>");
			return False;
			exit;
		}
		else
		{
			
			unset( $sr_result );
			$tmp_port = $this->other_port;
			@$sr_result = socket_recvfrom( $this->socket_s, $recv_msg, $this->fr_size, 0, $this->other_ip, $tmp_port );
			if( 0 >= $sr_result)
			{
				
				$err_msg = socket_strerror( $sr_result );
				err_log($event_msg, "bZ[WMG[(" . $err_msg . ")<br>");
				return False;
				exit;
			}
			else
			{
				$decode_result = LocalProtocolMsgRspDecode( $recv_msg ); 
				if( !is_array( $decode_result ) )
				{
					err_log( $event_msg, "Me̓G[i" . $decode_result . "j@@<br>Mf[^".$recv_msg );
					return False;
				}
				else
				{
					if( 1 == DEBAG )
					{
						print("<br>M<br>Mf[^ˁi" . $recv_msg ."j<br>Mf[^͌ʁ<br>");
						var_dump( $decode_result );
					}
				}
			}
			return $decode_result;
		}
		return False;;
	}

	
	
	
	function socket_s_remo_man_regist_send()
	{
		
		if( True != $this->startup_result )
		{
			return False;
			exit;
		}
		
		
		unset( $send_msg );
		$send_msg = RemoRegSendIndLocalProtocolMsgSet( $this->my_addr, $this->my_port);
		if( "" == $send_msg )
		{
			err_log("[o^ʒm","ʒmbZ[W쐬Ă܂B");
			return False;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log("[o^ʒm", "ʒmbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
			if( 1 == DEBAG )
			{
				$head_msg = substr( $send_msg, 0, 60);
				$main_msg = substr( $send_msg, 60 );
				printf("<font size='2'>M<br>'%s<br>%s'<br>(MTCYF%d)<br><br></font>", $head_msg, $main_msg, $ss_result );
			}
			return True;
		}
		
		return False;
	}

	
	
	
	function socket_s_voip_relation( $event )
	{
		
		switch( $event )
		{
			case VOIP_CONNECT:
				$event_msg = "IPdbڑ";
				break;
			case VOIP_CLOSE:
				$envent_msg = "IPdbؒf";
				break;
			default:
				err_log($event_msg,"CxgʂI܂łB");
				return False;
		}
		
		
		if( True != $this->startup_result ) return False;
		
		
		unset( $send_msg );
		$send_msg = VoipLocalProtocolMsgSet( $event, $this->my_addr, $this->my_port);
		if( "" == $send_msg )
		{
			err_log($event_msg,"ʒmbZ[W쐬Ă܂B");
			return False;
		}

		
		@$ss_result = socket_sendto( $this->socket_s, $send_msg, strlen( $send_msg ), 0x0, $this->other_ip, $this->other_port);  
		if( 0 >= $ss_result )
		{
			
			err_log($event_msg, "ʒmbZ[WMG[i" . socket_strerror($ss_result) . "jMlrf(" . $send_msg .")");
			return False;
		}
		else
		{
			if( 1 == DEBAG )
			{
				$head_msg = substr( $send_msg, 0, 60);
				$main_msg = substr( $send_msg, 60 );
				printf("<font size='2'>M<br>'%s<br>%s'<br>(MTCYF%d)<br><br></font>", $head_msg, $main_msg, $ss_result );
			}
		}
		return TRUE;
	}

}
?>