<?

define("IPCS_RESON_NO_OK",10);
define("IPCS_RESON_NO_ACTIVE", 50);
define("IPCS_RESON_NO_GET_ELM", 100);
define("IPCS_RESON_BAD_ELM", 101);
define("IPCS_RESON_NUMBER_NOT_SAME", 110);
define("IPCS_RESON_TIMEOUT", 120);

define("REMO_AUTH_ERROR", "01");
define("REMO_REQ_ERROR", "02");
define("REMO_PARAM_ERROR", "03");
define("REMO_OTHER_ERROR", "ff");
define("REMO_UNPROVAIDING", "81");
define("REMO_SERVICEBUSY", "82");
define("REMO_SERVICEIDLE", "83");
define("REMO_SYSDATAUPDATING", "84");
define("REMO_TRMINALREGIST", "85");
define("REMO_MSGSENDERR", "86");
define("REMO_INOTHERS", "87");
define("RESTART_NG_CALLING", "88");		



define("RM_STATUS_REASON_HTTP_RECVERRAUTH",		"0000000B");
define("RM_STATUS_REASON_HTTP_RECVERRAUTH_S",		"0000000b");
define("RM_STATUS_REASON_HTTP_RECVERR",		"0000000C");
define("RM_STATUS_REASON_HTTP_RECVERR_S",		"0000000c");
define("RM_STATUS_REASON_TIMEOUT",		"10000001");
define("RM_STATUS_REASON_SENDERROR",	"10000002");
define("RM_STATUS_REASON_ERRRECV",		"10000003");
define("RM_STATUS_REASON_ERRPARAM",		"10000004");
define("RM_STATUS_REASON_STATUSERR",	"10000005");
define("RM_STATUS_REASON_PROCESSERR",	"10000006");
define("RM_STATUS_REASON_FORCEEND",		"10000007");



function reason_msg_get( $ctl_kind, $reason_code )
{
	$result_msg = "";
	
	if( "" != $reason_code )
	{
		switch( $ctl_kind )
		{
		case "IPCS":
			switch( $reason_code )
			{
			case IPCS_RESON_NO_OK:
				$result_msg = "̑";
				break;
			case IPCS_RESON_NO_ACTIVE:
				$result_msg = "}X^CS񊈐";
				break;
			case IPCS_RESON_NO_GET_ELM:
				$result_msg = "vf";
				break;
			case IPCS_RESON_BAD_ELM:
				$result_msg = "svf";
				break;
			case IPCS_RESON_NUMBER_NOT_SAME:
				$result_msg = "ԍs";
				break;
			case IPCS_RESON_TIMEOUT:
				$result_msg = "^CAEg";
				break;
			default:
				break;
			}
			break;
		case "REMO_LOCALPROTOCOL_REASON":
			switch( $reason_code )
			{
			case "REMO_AUTH_ERROR":
				$result_msg = "[F؃G[]";
				break;
			case "REMO_REQ_ERROR":
				$result_msg = "[vs]";
				break;
			case "REMO_PARAM_ERROR":
				$result_msg = "[p[^s]";
				break;
			case "REMO_OTHER_ERROR":
				$result_msg = "[̑G[]";
				break;
			case "REMO_UNPROVAIDING":
				$result_msg = "[T[rX]";
				break;
			case "REMO_SERVICEBUSY":
				$result_msg = "[T[rX]";
				break;
			case "REMO_SERVICEIDLE":
				$result_msg = "[T[rX]";
				break;
			case "REMO_SYSDATAUPDATING":
				$result_msg = "[ݒuf[^XV]";
				break;
			case "REMO_TRMINALREGIST":
				$result_msg = "[[o^]";
				break;
			case "REMO_MSGSENDERR":
				$result_msg = "[bZ[WMG[]";
				break;
			case "REMO_INOTHERS":
				$result_msg = "[̑G[]";
				break;
			default:
			 break;
			}
		default:
		break;
		case "REMO_STATUS_FILE_REASON":
			switch( $reason_code )
			{
			case RM_STATUS_REASON_HTTP_RECVERRAUTH:
			case RM_STATUS_REASON_HTTP_RECVERRAUTH_S:
				$result_msg = "[F؃G[]";
				break;
			case RM_STATUS_REASON_HTTP_RECVERR:
			case RM_STATUS_REASON_HTTP_RECVERR_S:
				$result_msg = "[MG[]";
				break;
			case RM_STATUS_REASON_TIMEOUT:
				$result_msg = "[^CAEg]";
				break;
			case RM_STATUS_REASON_SENDERROR:
				$result_msg = "[MG[]";
				break;
			case RM_STATUS_REASON_ERRRECV:
				$result_msg = "[G[M]";
				break;
			case RM_STATUS_REASON_ERRPARAM:
				$result_msg = "[p[^s]";
				break;
			case RM_STATUS_REASON_STATUSERR:
				$result_msg = "[Xe[^Xs]";
				break;
			case RM_STATUS_REASON_PROCESSERR:
				$result_msg = "[G[]";
				break;
			case RM_STATUS_REASON_FORCEEND:
				$result_msg = "[I]";
				break;
			default:
				break;
			}
		default:
		break;
		}
	}
	return $result_msg;
}
?>