#!/bin/sh
#
# ưåץɡ
# 롼
# args:
#   $1: filename
#

#debug flag
_DBGON=
_DBGON_LVL=0
FTPUPDEBUG=
if [ -f /tmp/dbgecho ]; then
  _DBGON=1
  _DBGON_LVL=`cat /tmp/dbgecho`
  [ -z "$_DBGON_LVL" ] && _DBGON_LVL=0
fi
if [ -f /tmp/dbgnoexec ]; then
  FTPUPDEBUG=1
fi

#Υ⥸塼ΥС
THISVER=5

# ߤαѥѥѿ
# ʲΥե˽񤭹
# /mnt/IBS/current_exec_path
#  ƤϡʲΤɤ餫
#    /mnt/IBS
#    /mnt/usr
FW_UPDATE_LOG=/mnt/IBS/fw_update_log
CUR_EXEC_PATH_FILE=/mnt/IBS/current_exec_path
CUR_EXEC_PATH=
NEXT_EXEC_PATH=

# Υơ
FWU_STAT_FILE=/mnt/IBS/fwu_stat_file
FWU_STAT_START=100
FWU_STAT_PATH=200
FWU_STAT_PATH_1STV3=210
FWU_STAT_PATH_CUR=220
FWU_STAT_LOOP_START=300
FWU_STAT_LOOP_END=310
FWU_STAT_CHK=400
#FWU_STAT_CHK_OK=401
FWU_STAT_CHK_NG=409
FWU_STAT_CHK_FROM_V2=410
FWU_STAT_CHK_V2_ETC_CHK=420
FWU_STAT_CHK_V3_ETC=421
FWU_STAT_CHK_V2_ETC_CHK_NG=429
FWU_STAT_CHK_V2_BK=430
FWU_STAT_CHK_V2_BK_OK=431
FWU_STAT_CHK_V2_BK_NG=439
FWU_STAT_CHK_V3_COPY=440
FWU_STAT_CHK_V3_COPY_OK=441
FWU_STAT_CHK_V3_COPY_NG=449
FWU_STAT_COMP_OK_PATHSAVE=500
FWU_STAT_COMP_NG=590
FWU_STAT_COMP_OK_DONE=600



PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
LIST_ALL="KERN IPL PGBK IPKT GATEWAY PGDATA RAMDISK ETC WEB IBSEXE VAR USR"
LIST_FAC="KERN IPL PGBK IPKT GATEWAY PGDATA RAMDISK ETC WEB IBSEXE VAR USR"
LIST_JFFS2MASTER="KERN IPL PGBK IPKT GATEWAY PGDATA RAMDISK ETC WEB IBSEXE VAR USR"
LIST_PGDATA="KERN IPL PGBK  IPKT GATEWAY PGDATA RAMDISK ETC WEB IBSEXE VAR USR"
LIST_JFFS2="KERN IPL PGBK   IPKT GATEWAY      RAMDISK ETC WEB IBSEXE VAR USR"
LIST="      KERN IPL PGBK   IPKT GATEWAY      RAMDISK ETC WEB IBSEXE VAR USR"

FAC_FILES="fac"
PG_FILES="pgdata_inc"
JFFS2_MASTER_FILES="jffs2_master"
JFFS2_FILES="jffs2"

# 2005.11.03 ˰ư
#FTPUPDEBUG=

IBSSYSUPDATE_REBOOT=0

. /etc/ibsbat/ibs.subr
. /etc/ibsbat/ibsflash.conf

LISTF="updatelist.txt"
MTD_LIST="usr data kernel ramdisk ipl"
_devusr=
_devdata=
_devkernel=
_devramdisk=
_devipl=

_usr_file=usr.dat
_data_file=data.dat
_kernel_file=kernel.dat
_ramdisk_file=ramdisk.dat
_ipl_file=ipl.dat
_etc_file=etc.dat
_home_file=home.dat

_serverip=$1
_user=$2
_passwd=$3


#####
# 2006.04.05 S4
_kern_md5=/mnt/usr/md5.kern
_ramd_md5=/mnt/usr/md5.ramd

####################
# 2006.01.17 GWСϿ
PSQL=/usr/local/pgsql/bin/psql
DBNAME="ibsdatabase"
# 2006.04.20 ꥢѹ
#PSQL_CMD="update tbl400101 set"
PSQL_CMD="update tbl400102 set"

PSQL_MAIN_FILE="file = 'x7000gw.main'"
PSQL_H8_FILE="file = 'x7000gw.h8'"
PSQL_IPKT_FILE="file = 's_ipkt_rom.s'"
PSQL_RT_FILE="file = 'router.up'"
PSQL_SV_FILE="file = 'x7000.up'"

# $1: OK/NG
regist_gw_ver()
{
  _gwver_arg1=$1

  if [ "X$_gwver_arg1" = "XOK" ]; then
    _gw_ver="xxxx"
  else
    _gw_ver="0000"
  fi

  _psql_str="${PSQL_CMD} version = '$_gw_ver', ${PSQL_MAIN_FILE} where kind = 3;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_gw_ver', ${PSQL_H8_FILE} where kind = 4;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  # 2006.04.20
  _psql_str="${PSQL_CMD} version = '$_gw_ver', ${PSQL_IPKT_FILE} where kind = 5;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_gw_ver', ${PSQL_RT_FILE} where kind = 2;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_gw_ver', ${PSQL_SV_FILE} where kind = 1;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  return 0
}

# 2006.04.20
regist_ver_yyyy()
{
  _ver_str="yyyy"

  _psql_str="${PSQL_CMD} version = '$_ver_str', ${PSQL_SV_FILE} where kind = 1;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_ver_str', ${PSQL_RT_FILE} where kind = 2;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_ver_str', ${PSQL_MAIN_FILE} where kind = 3;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_ver_str', ${PSQL_H8_FILE} where kind = 4;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"

  _psql_str="${PSQL_CMD} version = '$_ver_str', ${PSQL_IPKT_FILE} where kind = 5;"
  echo ${_psql_str} | su - ibsuser -c "${PSQL} ${DBNAME}"
}

##############################
ibssysupdate_info()
{
  case $1 in
  0)
    logger -p local2.info -t $CMDBAT "autoupdate $2"
    [ ! -z $_DBGON ] && echo "$2"
    ;;
  1)
    logger -p local2.info -t $CMDBAT "$2"
    [ ! -z $_DBGON ] && echo "$2"
    ;;
  *)
    if [ "$1" -le "$_DBGON_LVL" ]; then
      logger -p kern.info -t $CMDBAT "$2"
      [ ! -z $_DBGON ] && echo "$2"
    fi
    ;;
  esac
}

fw_update_check()
{
  ibssysupdate_info 9 "${FW_UPDATE_CHECK_LIST}"
  fwup_done=ok
  for i in ${FW_UPDATE_CHECK_LIST}
  do
    grep "${i}:START" ${FW_UPDATE_LOG} > /dev/null 2>&1
    _start=$?
    grep "${i}:COMPLETE" ${FW_UPDATE_LOG} > /dev/null 2>&1
    _comp=$?
    [ "$_start" != 0 -o "$_comp" != 0 ] && fwup_done=ng
  done

  if [ "X$fwup_done" != "Xok" ]; then
    return 1
  else
    return 0
  fi
}

##############################

#
# $1: start/stop
upload_ftpd()
{
  # 2006.01.12
  _ftpd_loop_count=0
 
  case $1 in
  stop)
    mv /etc/inetd.conf /etc/inetd.conf.upload
    cp /etc/ibsbat/upload/inetd.conf.noftp /etc/inetd.conf
    /etc/rc.d/init.d/inet restart > /dev/null 2>&1
    _psline=`ps ax|grep ftpd |grep -v grep | awk '{printf"%s ",$1}'`
    if [ "X$_psline" != "X" ]; then
      for _pid in $_psline
      do
        kill -9 $_pid

        #2006.01.12
	_ftpd_loop_count=$(( $_ftpd_loop_count + 1 ))
	if [ $_ftpd_loop_count -ge 100 ]; then
	  break
	fi
      done
      sleep 1
    fi
    echo "ftp stopped"
    ;;
  start)
    mv /etc/inetd.conf.upload /etc/inetd.conf
    _ftpent=`grep "^ftp" /etc/inetd.conf`
    if [ "X$_ftpent" = "X" ]; then
      echo "ftp	stream	tcp	nowait	root	/usr/sbin/tcpd	ftpd" >> /etc/inetd.conf
    fi
    /etc/rc.d/init.d/inet restart > /dev/null 2>&1
    echo "ftp started"
    ;;
  *)
    ;;
  esac
}

#
# md5 file copy
copy_md5()
{
  _md5_file=$1
  if [ -z "${TAR_MD5}" ]; then
     TAR_MD5=/mnt/IBS/MD5
  fi
  if [ -f "$_md5_file" ]; then
    if [ -f "${TAR_MD5}" ]; then
      ibssysupdate_info 1 "copy_md5: mv ${TAR_MD5} ${TAR_MD5}.old"
      if [ -z "$FTPUPDEBUG" ]; then
        mv ${TAR_MD5} ${TAR_MD5}.old
      fi
      ibssysupdate_info 1 "copy_md5: mv ${TAR_MD5} ${TAR_MD5}.old done"
    fi
    ibssysupdate_info 1 "copy_md5: cp $_md5_file ${TAR_MD5}"
    if [ -z "$FTPUPDEBUG" ]; then
      cp -f $_md5_file ${TAR_MD5}
    fi
    ibssysupdate_info 1 "copy_md5: cp $_md5_file ${TAR_MD5} done; return 0"
    return 0
  else
    ibssysupdate_info 1 "copy_md5: Not found $_md5_file; return 1"
    return 1
  fi
}

#
# md5 check
check_file()
{
  _chk_key=$1
  _dst_file=$2
  ibssysupdate_info 9 "check_file: start"
  if [ ! -f MD5 ]; then
    ibssysupdate_info 1 "check_file: MD5 not found; return 1"
    return 1
  fi

  grep "${_chk_key}" MD5 | md5sum -c
  if [ $? = 0 ]; then
    ibssysupdate_info 9 "check_file: MD5 OK"
    return 0
  else
    ibssysupdate_info 9 "check_file: MD5 NG"
    return 1
  fi
}

#
# VerUP check
#  return
#    0 : new and old is equal
#    1 : new and old is different
#
check_verup()
{
  _chk_key=$1
  _chk_file=$2

  ibssysupdate_info 9 "check_verup: start $1 $2"

    RETVAL=0
    case $_chk_key in
    vmlinux8241_ram.image)
      #2006.04.05
      _oldmd5=0
      _newmd5=1
      #[ -f $_kern_md5 ] && _oldmd5=`cat $_kern_md5 | awk '{printf"%s",$1}'` || _oldmd5=0
      #[ -f $_chk_key ]  && _newmd5=`md5sum $_chk_key | awk '{printf"%s",$1}'` || _newmd5=1
      ;;
    ipl.bin)
      _oldmd5=0
      _newmd5=1
      ;;
    ramdisk8241.image)
      #2006.04.05
      _oldmd5=0
      _newmd5=1
      #[ -f $_ramd_md5 ] && _oldmd5=`cat $_ramd_md5 | awk '{printf"%s",$1}'`   || _oldmd5=0
      #[ -f $_chk_key ]  && _newmd5=`md5sum $_chk_key | awk '{printf"%s",$1}'` || _newmd5=1
      ;;
    etc.tar.gz)
#      _oldmd5=`md5sum /mnt/IBS/etc.tar.gz | awk '{printf"%s",$1}'`
      _oldmd5=`md5sum $_chk_file | awk '{printf"%s",$1}'`
      _newmd5=`md5sum etc.tar.gz | awk '{printf"%s",$1}'`
      ;;
    var.tar.gz)
      _oldmd5=`md5sum $_chk_file | awk '{printf"%s",$1}'`
      _newmd5=`md5sum var.tar.gz | awk '{printf"%s",$1}'`
      ;;
    home.tar.gz)
#      _oldmd5=`md5sum /mnt/IBS/home.tar.gz | awk '{printf"%s",$1}'`
      _oldmd5=`md5sum $_chk_file  | awk '{printf"%s",$1}'`
      _newmd5=`md5sum home.tar.gz | awk '{printf"%s",$1}'`
      ;;
    exe.cramfs)
#      _oldmd5=`md5sum /mnt/IBS/exe.cramfs | awk '{printf"%s",$1}'`
      _oldmd5=`md5sum $_chk_file | awk '{printf"%s",$1}'`
      _newmd5=`md5sum exe.cramfs | awk '{printf"%s",$1}'`
      ;;
    pgsql_data.tar.gz)
      _oldmd5=`md5sum /mnt/IBS/pgsql_data.tar.gz | awk '{printf"%s",$1}'`
      _newmd5=`md5sum pgsql_data.tar.gz | awk '{printf"%s",$1}'`
      ;;
    ipkt.cramfs)
      _oldmd5=`md5sum $_chk_file   | awk '{printf"%s",$1}'`
      _newmd5=`md5sum ipkt.cramfs | awk '{printf"%s",$1}'`
      ;;
    gw.cramfs)
      _oldmd5=`md5sum $_chk_file | awk '{printf"%s",$1}'`
      _newmd5=`md5sum gw.cramfs | awk '{printf"%s",$1}'`
      ;;
    usr.cramfs)
      _oldmd5=`md5sum /mnt/usr/usr.cramfs | awk '{printf"%s",$1}'`
      _newmd5=`md5sum usr.cramfs | awk '{printf"%s",$1}'`
      ;;
    *)
      ;;
    esac

    ibssysupdate_info 9 "check_verup: old=$_oldmd5 new=$_newmd5"
    if [ "X$_oldmd5" = "X$_newmd5" ]; then
      ibssysupdate_info 1 "Don't need to VerUP."
      RETVAL=0
    else
      ibssysupdate_info 1 "You need to VerUP."
      RETVAL=1
    fi
    ibssysupdate_info 9 "check_verup: return $RETVAL"
    return $RETVAL
}

#
# $1 : remote file name
# $2 : local  file name
get_ftp()
{
  _getfile=$1
  _locfile=$2

  if [ -x /usr/bin/wget ]; then
    if [ -z "$_locfile" ]; then
      WGETOPT=
    else
      WGETOPT="-O $_locfile"
    fi
    wget -nv $WGETOPT ftp://$_user:$_passwd@$_serverip/$_getfile
    RETVAL=$?
  else

    _dir=${_getfile%/*}
    echo "1:_getfile:${_getfile} _dir:${_dir}"
    if [ "X${_getfile}" = "X${_dir}" ]; then
      _dir="."
    else
      _getfile=${_getfile##*/}
    fi
    echo "2:_getfile:${_getfile} _dir:${_dir}"

cat <<EOF  | ftp -n
open $_serverip
user $_user $_passwd
bin
cd $_dir
get $_getfile $_locfile
close
EOF

    if [ -f "$_locfile" ]; then
      RETVAL=0
    else
      RETVAL=1
    fi
  fi

  return $RETVAL
}

oscheck()
{
  _kernver=`uname -r`
  if [ "X${_kernver%%-*}" = "X2.4.24" ]; then
    OSVER=2.4.24
  else
    OSVER=2.4.2
  fi
  return 0
}

check_mtdblock()
{
  ibssysupdate_info 9 "check_mtdblock: start"
    for i in ${MTD_LIST}
    do 
      _devname=`cat /proc/mtd|grep ${i} |sed -e 's/mtd\([0-9]\):.*$/mtdblock\1/'`

      eval _dev${i}=/dev/${_devname}
    done
    return 0
  ibssysupdate_info 9 "check_mtdblock: return 0"
}


##########
#ƥϢ
up_system_kernel()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "kern: start"

  check_verup ${_infile}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "ͥ빹λ"
    echo "${FLWOUT_START_KERN}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_KERN}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "kern:rm -f $_infile; return 0"
    return 0
  fi

  ibssysupdate_info 1 "dd if=$_infile of=$_devkernel"
  if [ -z "$_devkernel" ]; then
    ibssysupdate_info 1 "Not found _devkernel: $_devkernel"
    RETVAL=1
  else
    ibssysupdate_info 1 "ͥ빹"
    echo "${FLWOUT_START_KERN}" >> ${FW_UPDATE_LOG}
    if [ -z "$FTPUPDEBUG" ]; then
      #write
      dd if=$_infile of=$_devkernel >/dev/null 2>&1
      # 2006.04.05
      grep "$_infile" MD5 > $_kern_md5
    fi
    echo "${FLWOUT_STOP_KERN}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "ͥ빹λ"
    RETVAL=0
  fi
  rm -f $_infile
  ibssysupdate_info 9 "kern:rm -f $_infile; end $RETVAL"
  return $RETVAL
}
up_system_ramdisk()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "ramdisk: start"

  check_verup ${_infile}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "ramd:${_infile} is equal existing file."
    ibssysupdate_info 0 "롼ramdiskλ"
    echo "${FLWOUT_START_RAMD}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_RAMD}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "ramd:rm -f $_infile; return 0"
    return 0
  fi

  ibssysupdate_info 1 "dd if=$_infile of=$_devramdisk"
  if [ -z "$_devramdisk" ]; then
    ibssysupdate_info 1 "Not found _devramdisk: $_devramdisk"
    RETVAL=1
  else
    ibssysupdate_info 1 "롼ramdisk"
    echo "${FLWOUT_START_RAMD}" >> ${FW_UPDATE_LOG}
    if [ -z "$FTPUPDEBUG" ]; then
      #write
      dd if=$_infile of=$_devramdisk >/dev/null 2>&1
      # 2006.04.05
      grep "$_infile" MD5 > $_ramd_md5
    fi
    echo "${FLWOUT_STOP_RAMD}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "롼ramdiskλ"
    RETVAL=0
  fi
  rm -f $_infile
  ibssysupdate_info 9 "ramd:rm -f $_infile; end $RETVAL"
  return $RETVAL
}
up_system_ipl()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "ipl: start"

  check_verup ${_infile}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "IPLλ"
    rm -f $_infile
    ibssysupdate_info 9 "ipl:rm -f $_infile; return 0"
    return 0
  fi

  ibssysupdate_info 1 "dd if=$_infile of=$_devipl"
  if [ -z "$_devipl" ]; then
    ibssysupdate_info 1 "Not found _devipl: $_devipl"
    RETVAL=1
  else
    ibssysupdate_info 1 "IPL"
    echo "${FLWOUT_START_IPL}" >> ${FW_UPDATE_LOG}
    if [ -z "$FTPUPDEBUG" ]; then
      #write
      dd if=$_infile of=$_devipl >/dev/null 2>&1
    fi
    echo "${FLWOUT_STOP_IPL}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "IPLλ"
    RETVAL=0
  fi
  rm -f $_infile
  ibssysupdate_info 9 "ipl:rm -f $_infile; end $RETVAL"
  return $RETVAL
}
up_system_etc()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "etc: start"

  check_verup ${_infile} ${TAR_ETC}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "롼λ"
    echo "${FLWOUT_START_ETC}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_ETC}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "etc:rm -f $_infile; return 0"
    return 0
  fi

  ibssysupdate_info 1 "cp $_infile ${TAR_ETC}"
  cat $_infile | tar tzpf - | grep "etc/ibsbat" >/dev/null 2>&1
  if [ "$?" != "0" ]; then
     ibssysupdate_info 1 "Not router file"
     RETVAL=1
  else
    ibssysupdate_info 1 "롼"
    echo "${FLWOUT_START_ETC}" >> ${FW_UPDATE_LOG}
    if [ -z "$FTPUPDEBUG" ]; then
      #write
      cp -f $_infile ${TAR_ETC}
      sync
    fi
    echo "${FLWOUT_STOP_ETC}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "롼λ"
    RETVAL=0
  fi
  rm -f $_infile
  ibssysupdate_info 9 "etc:rm -f $_infile; end $RETVAL"

  # MASTERǤϡetcenv.tar.gzϺ
  if [ "X$_mode_fac" = "X1" ]; then
    echo "Delet etcenv.tar.gz"
    [ -f ${TAR_ETCENV} ] && rm -f ${TAR_ETCENV}
    [ -f ${TAR_ETCENV_BAK} ] && rm -f ${TAR_ETCENV_BAK}
  fi

  return $RETVAL
}
up_system_var()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "var: start"

  check_verup ${_infile} ${TAR_VAR}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "VARλ"
    echo "${FLWOUT_START_VER}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_VER}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "var:rm -f $_infile; return 0"
    return 0
  fi

  ibssysupdate_info 1 "cp $_infile ${TAR_VAR}"
  cat $_infile | tar tzpf - | grep "var/spool" >/dev/null 2>&1
  if [ "$?" != "0" ]; then
     ibssysupdate_info 0 "Not var file"
     RETVAL=1
  else
    ibssysupdate_info 1 "VAR"
    echo "${FLWOUT_START_VER}" >> ${FW_UPDATE_LOG}
    if [ -z "$FTPUPDEBUG" ]; then
      #write
      cp -f $_infile ${TAR_VAR}
      sync
    fi
    echo "${FLWOUT_STOP_VER}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "VARλ"
    RETVAL=0
  fi
  rm -f $_infile
  ibssysupdate_info 9 "var:rm -f $_infile; end $RETVAL"
  return $RETVAL
}
up_system_home()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "web: start"

  check_verup ${_infile} ${TAR_HOME}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "WEBλ"
    echo "${FLWOUT_START_HOME}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_HOME}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "web:rm -f $_infile; return 0"
    return 0
  fi

  ibssysupdate_info 1 "cp $_infile ${TAR_HOME}"
  cat $_infile | tar tzpf - | grep "Sys_setup/Router" >/dev/null 2>&1
  if [ "$?" != "0" ]; then
     ibssysupdate_info 0 "Not browser file"
     RETVAL=1
  else
    ibssysupdate_info 1 "WEB"
    echo "${FLWOUT_START_HOME}" >> ${FW_UPDATE_LOG}
    if [ -z "$FTPUPDEBUG" ]; then
      #write
      cp -f $_infile ${TAR_HOME}
      ibssysupdate_info 1 "web: home.tar.gz MD5 create"
      grep "$_infile" MD5 > ${MD5_HOME}

#      [ -z "${TAR_HOME_BAK}" ] && TAR_HOME_BAK=/mnt/usr/home.tar.gz
#      [ -z "${MD5_HOME_BAK}" ] && MD5_HOME_BAK=/mnt/usr/md5.home
#      cp -f $_infile ${TAR_HOME_BAK}
#      echo "home.tar.gz MD5 create"
#      grep "$_infile" MD5 > ${MD5_HOME_BAK}

      sync
    fi
    echo "${FLWOUT_STOP_HOME}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "WEBλ"
    RETVAL=0
  fi
  rm -f $_infile
  ibssysupdate_info 9 "web:rm -f $_infile; end $RETVAL"
  return $RETVAL
}
up_system_ibsexe()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "ibsexe: start"

  check_verup ${_infile} ${TAR_IBSEXE}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "ӥλ"
    echo "${FLWOUT_START_IBSEXE}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_IBSEXE}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "ibsexe:rm -f $_infile; return 0"
    return 0
  fi

#  echo "umount /mnt/IBS/exe.cramfs"
#  umount /mnt/IBS/exe.cramfs
  ibssysupdate_info 1 "cp $_infile ${TAR_IBSEXE}"
  ibssysupdate_info 1 "ӥ"
  echo "${FLWOUT_START_IBSEXE}" >> ${FW_UPDATE_LOG}
  RETVAL=0
  if [ -z "$FTPUPDEBUG" ]; then
    #write
#    cp -f $_infile ${TAR_IBSEXE_UP}
    cp -f $_infile ${TAR_IBSEXE}
    RETVAL=$?
  fi
  # 2006.01.18 Ƚɲ
  if [ "$RETVAL" = "0" ]; then
    echo "${FLWOUT_STOP_IBSEXE}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "ӥλ"
    RETVAL=0
  else
    ibssysupdate_info 1 "${TAR_IBSEXE} cp error"
    RETVAL=1
  fi
  rm -f $_infile
  ibssysupdate_info 9 "ibsexe:rm -f $_infile; end $RETVAL"
  return $RETVAL
}

up_system_pgbk()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "flashd: start"

  if [ ! -d /mnt/usr/BACKUP ]; then
    mkdir /mnt/usr/BACKUP
    chown ibsuser:ibsuser /mnt/usr/BACKUP
  fi

  ibssysupdate_info 1 "tar $_infile /mnt/usr/BACKUP"
  ibssysupdate_info 1 "FLASH"
  echo "${FLWOUT_START_PGBK}" >> ${FW_UPDATE_LOG}
  if [ -z "$FTPUPDEBUG" ]; then
    #write
    tar xzpf $_infile -C /mnt/usr/BACKUP > /dev/null 2>&1
#    cp $_infile /mnt/usr/BACKUP
    sync
  fi
  echo "${FLWOUT_STOP_PGBK}" >> ${FW_UPDATE_LOG}
  ibssysupdate_info 1 "FLASHλ"
  RETVAL=0
  rm -f $_infile
  ibssysupdate_info 9 "flashd:rm -f $_infile; end $RETVAL"
  return $RETVAL
}

up_system_pgdata()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "pgdata: start"

  if [ "X$_mode_pg" != "X1" ]; then
    check_verup ${_infile} ${TAR_PGSQL}
    if [ "$?" = "0" ]; then
      ibssysupdate_info 1 "${_infile} is equal existing file."
      ibssysupdate_info 0 "DBλ"
      rm -f $_infile
      ibssysupdate_info 9 "pgdata:rm -f $_infile; return 0"
      return 0
    fi
  else
    ibssysupdate_info 1 "PG data is update."
  fi

  ibssysupdate_info 1 "cp $_infile ${TAR_PGSQL}"
  ibssysupdate_info 1 "DB"
  echo "${FLWOUT_START_PGDATA}" >> ${FW_UPDATE_LOG}
  if [ -z "$FTPUPDEBUG" ]; then
    [ -z "${TAR_PGSQL}" ] && TAR_PGSQL=/mnt/IBS/pgsql_data.tar.gz
    [ -z "${MD5_PGSQL}" ] && MD5_PGSQL=/mnt/IBS/md5.pgsql
    #write
    cp -f $_infile ${TAR_PGSQL}
    grep "$_infile" MD5 > ${MD5_PGSQL}

#    [ -z "${TAR_PGSQL_BAK}" ] && TAR_PGSQL_BAK=/mnt/usr/pgsql_data.tar.gz
#    [ -z "${MD5_PGSQL_BAK}" ] && MD5_PGSQL_BAK=/mnt/usr/md5.pgsql
#    cp $_infile ${TAR_PGSQL_BAK}
#    grep "$_infile" MD5 > ${MD5_HOME_BAK}

    touch /tmp/pgsql_nosave
    sync
  fi
  echo "${FLWOUT_STOP_PGDATA}" >> ${FW_UPDATE_LOG}
  ibssysupdate_info 0 "DBλ"
  RETVAL=0
  rm -f $_infile
  ibssysupdate_info 9 "pgdata:rm -f $_infile; end $RETVAL"
  return $RETVAL
}
up_system_pgtemp()
{
  RETVAL=0
  _infile=$1

  if [ "X$_mode_pg" != "X1" ]; then
    check_verup ${_infile} ${TAR_PGSQL_TEMP}
    if [ "$?" = "0" ]; then
      echo "${_infile} is equal existing file."
      rm -f $_infile
      return 0
    fi
  else
    echo "PG data template is update."
  fi

  echo "cp $_infile ${TAR_PGSQL_TEMP}"
  if [ -z "$FTPUPDEBUG" ]; then
    [ -z "${TAR_PGSQL_TEMP}" ] && TAR_PGSQL_TEMP=/mnt/usr/pgsql_temp.cramfs
    cp -f $_infile ${TAR_PGSQL_TEMP}

    sync
  fi
  RETVAL=0
  rm -f $_infile
  return $RETVAL
}

up_system_ipkt_comp_umount()
{
  # umount
  _count=0
  # 2006.01.17 ޥȥ顼Ǥ³
  _umount_ipkt=ok
  until ipkt_umount 2>&- ; do
    if [ "$_count" -gt 10 ]; then
      ibssysupdate_info 1 "Unmount error ${TAR_IPKT_COMP} timeout.;return 1"
      # 2006.01.17
      #return 1
      _umount_ipkt=ng
      break
    fi
    ibssysupdate_info 1 "Unmount error ${TAR_IPKT_COMP} retry.($_count)"
    _count=$(( $_count + 1 ))
    sleep 1 
  done

  # 2006.01.17
  if [ "$_umount_ipkt" = "ng" ]; then
    _mount_ipkt=`mount | grep ipkt.cramfs`
    if [ "X$_mount_ipkt" != "X0" ]; then
      ipkt_umount
    else
      ibssysupdate_info 1 "already umount ipkt"
    fi
  fi

}

up_system_ipkt_comp()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "ipktcomp: start"

  if [ -z "${TAR_IPKT_COMP}" ];then
    TAR_IPKT_COMP=/mnt/usr/ipkt.cramfs
  fi

  check_verup ${_infile} ${TAR_IPKT_COMP}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "IPKTλ"
    echo "${FLWOUT_START_IPKTCOMP}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_IPKTCOMP}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "ipktcomp:rm -f $_infile; return 0"
    # 2006.01.18 ե򸫤ʤ
    up_system_ipkt_comp_umount
    return 0
  fi

  if [ -f "${TAR_IPKT}" ]; then
    ibssysupdate_info 9 "ipktcomp:exist ${TAR_IPKT}!! remove"
    rm -f ${TAR_IPKT}
  fi

  # 2006.01.18 ؿ
  up_system_ipkt_comp_umount

  ibssysupdate_info 1 "cp $_infile ${TAR_IPKT_COMP}"
  ibssysupdate_info 1 "IPKT"
  echo "${FLWOUT_START_IPKTCOMP}" >> ${FW_UPDATE_LOG}
  RETVAL=0
  if [ -z "$FTPUPDEBUG" ]; then
    #write
    cp -f $_infile ${TAR_IPKT_COMP}
    RETVAL=$?
  fi
  # 2006.01.18 Ƚɲ
  if [ "$RETVAL" = "0" ]; then
    echo "${FLWOUT_STOP_IPKTCOMP}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "IPKTλ"
    RETVAL=0
  else
    ibssysupdate_info 1 "IPKT cp error"
    RETVAL=1
  fi

  # mount again
  # 2006.01.17 ƥޥȤϤʤ
  #ibssysupdate_info 9 "ipkt_mount call"
  #ipkt_mount

  rm -f $_infile
  ibssysupdate_info 9 "ipktcomp:rm -f $_infile; end $RETVAL"
  return $RETVAL
}

#2006.01.18 ؿ
up_system_gw_comp_umount()
{
# 2006.01.12 ϻߤѹ
#  # ftp stop
#  ibssysupdate_info 9 "gwcomp:ftp stop"
#  upload_ftpd stop

  # umount
  _count=0
  # 2006.01.17 ޥȥ顼Ǥ³
  _umount_gw=ok
  until gw_umount 2>&- ; do
    if [ "$_count" -gt 10 ]; then
      ibssysupdate_info 1 "Unmount error ${TAR_GW_COMP} timeout.;return 1"
      # 2006.01.17
      #return 1
      _umount_gw=ng
      break
    fi
    ibssysupdate_info 1 "Unmount error ${TAR_GW_COMP} retry.($_count)"
    _count=$(( $_count + 1 ))
    sleep 1 
  done

  # 2006.01.17
  if [ "$_umount_gw" = "ng" ]; then
    _mount_gw=`mount | grep gw.cramfs`
    if [ "X$_mount_gw" != "X0" ]; then
      gw_umount
    else
      ibssysupdate_info 1 "already umount gw"
    fi
  fi
}

up_system_gw_comp()
{
  RETVAL=0
  _infile=$1

  ibssysupdate_info 1 "gwcomp: start"

  if [ -z "${TAR_GW_COMP}" ];then
    TAR_GW_COMP=/mnt/usr/gw.cramfs
  fi

  check_verup ${_infile} ${TAR_GW_COMP}
  if [ "$?" = "0" ]; then
    ibssysupdate_info 1 "${_infile} is equal existing file."
    ibssysupdate_info 0 "GWλ"
    echo "${FLWOUT_START_GWCOMP}" >> ${FW_UPDATE_LOG}
    echo "${FLWOUT_STOP_GWCOMP}" >> ${FW_UPDATE_LOG}
    rm -f $_infile
    ibssysupdate_info 9 "gwcomp:rm -f $_infile; return 0"
    # 2006.01.18 ե򸫤ʤ
    up_system_gw_comp_umount
    return 0
  fi

  if [ -f "${TAR_GW}" ]; then
    ibssysupdate_info 9 "gwcomp:exist ${TAR_GW}!! remove"
    rm -f ${TAR_GW}
  fi

  # 2006.01.18 ؿ
  up_system_gw_comp_umount

  ibssysupdate_info 1 "mv $_infile ${TAR_GW_COMP}"
  ibssysupdate_info 1 "GW"
  echo "${FLWOUT_START_GWCOMP}" >> ${FW_UPDATE_LOG}
  RETVAL=0
  if [ -z "$FTPUPDEBUG" ]; then
    #write
    cp -f $_infile ${TAR_GW_COMP}
    RETVAL=$?
  fi
  # 2006.01.18 Ƚɲ
  if [ "$RETVAL" = "0" ]; then
    echo "${FLWOUT_STOP_GWCOMP}" >> ${FW_UPDATE_LOG}
    ibssysupdate_info 0 "GWλ"
    RETVAL=0
  else
    ibssysupdate_info 1 "GW cp error"
    RETVAL=1
  fi

  # mount again
  # 2006.01.17 ƥޥȤϤʤ
  #ibssysupdate_info 9 "gw_mount call"
  #gw_mount

  ibssysupdate_info 9 "gwcomp:rm -f $_infile"
  rm -f $_infile

# 2006.01.12 ϻߤѹ
#  # ftp start
#  ibssysupdate_info 9 "gwcomp:ftp start"
#  upload_ftpd start

  return $RETVAL
}

up_system_usr()
{
  RETVAL=0
  _infile=$1

  check_verup ${_infile} 
  if [ "$?" = "0" ]; then
    echo "${_infile} is equal existing file."
    return 0
  fi

  if [ -f /etc/ibsbat/update.txt ]; then
    cat /etc/ibsbat/update.txt
  else
    echo "System area updating..."
    echo "In this update, it writes in FLASH area and a System is rebooted automatically."
    echo "From several minutes, it takes about a maximum of 30 minutes."
    echo "For a while, please wait."
  fi
  touch /tmp/autoupdate
  if [ -f /etc/rc.d/rc1.d/S01ibsupdate ]; then
    echo "rm -f /etc/rc.d/rc1.d/S01ibsupdate"
    rm -f /etc/rc.d/rc1.d/S01ibsupdate
  fi
  set_rc1
  if [ -z "$FTPUPDEBUG" ]; then
    init 1
  else
    init 1
#    sh -x /etc/rc.d/rc1.d/S01ibsupdate
  fi
  return 1
}


set_rc1()
{
RC_UPDATE=/etc/rc.d/rc1.d/S01ibsupdate
cat <<EOF > $RC_UPDATE
#!/bin/bash

# Set the path.
PATH=/sbin:/bin:/usr/sbin:/usr/bin

. /etc/rc.d/init.d/functions
. /etc/ibsbat/ibs.subr

echo "$0 start..."

#if [ "$1" != "start" ] ; then
#   echo "argument not start"
#   exit 0
#fi

FTPUPDEBUG=
_autoupdate=/tmp/autoupdate
_updatelist=/tmp2/updatelist.txt

if [ -f \$_autoupdate ]; then
  echo "autoupdate start"

  if [ ! -z "\$FTPUPDEBUG" ]; then
    touch /tmp/pgsql_nosave
  fi

  /etc/rc.d/init.d/adsl stop
  /etc/rc.d/init.d/named stop
  /etc/rc.d/init.d/pgsql stop
  /etc/rc.d/init.d/httpd stop
  /etc/rc.d/init.d/crond stop
  sleep 5
  while ps ax|grep ppp |grep -v grep 2>&-; do
    sleep 1
  done
  /etc/rc.d/init.d/proftpd stop
  /etc/rc.d/init.d/dhcpd stop
  /etc/rc.d/init.d/syslog stop
  /etc/rc.d/init.d/inet stop

  echo "wait...."
  sleep 2
  echo "umount /mnt/usr/ipkt.cramfs"
  umount -f /mnt/usr/ipkt.cramfs
  echo "umount /mnt/IBS/exe.cramfs"
  umount -f /mnt/IBS/exe.cramfs
  echo "umount /mnt/IBS"
  umount -f /mnt/IBS
  echo "umount /mnt/usr/usr.cramfs"
  umount -f /mnt/usr/usr.cramfs

  ls /tmp2
  ls /tmp3

  if [ ! -d /tmp4 ]; then
    echo "mkdir /tmp4"
    mkdir /tmp4
  fi
  echo "/sbin/mke2fs /dev/ram8"
  /sbin/mke2fs /dev/ram8 > /dev/null 2>&1
  echo "mount /dev/ram8 /tmp4"
  mount /dev/ram8 /tmp4
  echo "cp -p /mnt/usr/usr.cramfs /tmp4"
  cp -f /tmp2/usr.cramfs /tmp4/usr.cramfs
  echo "mount -t cramfs -o loop=/dev/loop0 /tmp4/usr.cramfs /usr"
  mount -t cramfs -o loop=/dev/loop0 /tmp4/usr.cramfs /usr

  if [ ! -f /etc/jffs2 ]; then
    if [ ! -d /ramfs ]; then
      echo "mkdir /ramfs"
      mkdir /ramfs
    fi
    mount -t ramfs dummy /ramfs
    mkdir /ramfs/data
    mount -o ro /dev/mtdblockdata /mnt/IBS
    (cd /mnt/IBS;tar cf - . ) |(cd /ramfs/data;tar xf -)
    rm -fr /ramfs/data/lost+found
    echo "unmount /mnt/IBS"
    umount /mnt/IBS
  
    echo "/tmp2/mkfs.jffs2 -r /ramfs/data --pad=0x800000 --eraseblock=0x10000  -o /ramfs/data.jffs2"
    /tmp2/mkfs.jffs2 -r /ramfs/data --pad=0x800000 --eraseblock=0x10000  -o /ramfs/data.jffs2
    echo "dd if=/ramfs/data.jffs2 of=/dev/mtdblockdata"
    dd if=/ramfs/data.jffs2 of=/dev/mtdblockdata
    rm -fr /ramfs/data
    rm -f  /ramfs/data.jffs2
  
    echo "Start /mnt/usr copy"
    mkdir /ramfs/usr
    (cd /mnt/usr; tar cf - . ) |(cd /ramfs/usr;tar xf -)
    cp -f /tmp2/usr.cramfs /ramfs/usr/usr.cramfs
    rm -fr /ramfs/usr/lost+found
  
    echo "unmount /mnt/usr"
    umount -f /mnt/usr
    
    echo "/tmp2/mkfs.jffs2 -r /ramfs/usr --pad=0x1800000 --eraseblock=0x10000  -o /ramfs/usr.jffs2"
    /tmp2/mkfs.jffs2 -r /ramfs/usr --pad=0x1800000 --eraseblock=0x10000  -o /ramfs/usr.jffs2
    echo "dd if=/ramfs/usr.jffs2 of=/dev/mtdblockusr"
    dd if=/ramfs/usr.jffs2 of=/dev/mtdblockusr
  else
    if [ -f "\$_updatelist" -a -f "/tmp2/usr.cramfs" ]; then
      echo "cp /tmp2/usr.cramfs /mnt/usr"
      if [ -z "\$FTPUPDEBUG" ]; then
        cp -f /tmp2/usr.cramfs /mnt/usr/usr.cramfs
      fi
    fi
  fi

  ps ax

  if [ -z "\$FTPUPDEBUG" ]; then
    sync;sync

    echo "reboot..."
    init 6
    echo "sleep 10"
    sleep 10

    echo "Oooops!!! fpga rst"
    RST_LIST="/proc/ibs/fpga/rst /proc/fpga/rst /proc/rst"
    for rst in \${RST_LIST}
    do
      if [ -f "\${rst}" ]; then
        echo "fpga rst \$rst"
        echo "00" > "\${rst}"
        sleep 1
        echo "81" > "\${rst}"
	echo "fpga rst \$rst  wait...."
	sleep 18
      fi
    done
  fi
else
  echo "\$_autoupdate not found."
fi
EOF

  chmod 755 $RC_UPDATE
}

up_system_jffs2ff80()
{
  RETVAL=0
  _infile=$1


  check_verup ${_infile} 
  if [ "$?" = "0" ]; then
    echo "${_infile} is equal existing file."
    return 0
  fi


  if [ -f /etc/ibsbat/update.txt ]; then
    cat /etc/ibsbat/update.txt
  else
    echo "System area updating..."
    echo "In this update, it writes in FLASH area and a System is rebooted automatically."
    echo "From several minutes, it takes about a maximum of 30 minutes."
    echo "For a while, please wait."
  fi
  touch /tmp/autoupdate
  if [ -f /etc/rc.d/rc1.d/S01ibsupdate ]; then
    echo "rm -f /etc/rc.d/rc1.d/S01ibsupdate"
    rm -f /etc/rc.d/rc1.d/S01ibsupdate
  fi
  set_rc1_jffs2
  if [ -z "$FTPUPDEBUG" ]; then
    init 1
  else
    init 1
#    sh -x /etc/rc.d/rc1.d/S01ibsupdate
  fi
  return 1
}


set_rc1_jffs2()
{
RC_UPDATE=/etc/rc.d/rc1.d/S01ibsupdate
cat <<EOF > $RC_UPDATE
#!/bin/bash

# Set the path.
PATH=/sbin:/bin:/usr/sbin:/usr/bin

. /etc/rc.d/init.d/functions
. /etc/ibsbat/ibs.subr

echo "$0 start..."

#if [ "$1" != "start" ] ; then
#   echo "argument not start"
#   exit 0
#fi

FTPUPDEBUG=
_autoupdate=/tmp/autoupdate
_updatelist=/tmp2/updatelist.txt

if [ -f \$_autoupdate ]; then
  echo "autoupdate start"

  /etc/rc.d/init.d/adsl stop
  /etc/rc.d/init.d/named stop
  touch /tmp/pgsql_nosave
  /etc/rc.d/init.d/pgsql stop
  /etc/rc.d/init.d/httpd stop
  /etc/rc.d/init.d/dhcpd stop
  /etc/rc.d/init.d/crond stop
  /etc/rc.d/init.d/proftpd stop
  sleep 5
  while ps ax|grep ppp |grep -v grep 2>&-; do
    sleep 1
  done
  /etc/rc.d/init.d/syslog stop
  /etc/rc.d/init.d/inet stop

  echo "wait...."
  sleep 2
  echo "umount /mnt/usr/ipkt.cramfs"
  umount -f /mnt/usr/ipkt.cramfs
  echo "umount /mnt/IBS/exe.cramfs"
  umount -f /mnt/IBS/exe.cramfs
  echo "umount /mnt/IBS"
  umount -f /mnt/IBS
  echo "umount /mnt/usr/usr.cramfs"
  umount -f /mnt/usr/usr.cramfs

  ls /tmp2
  ls /tmp3

  if [ ! -d /tmp4 ]; then
    echo "mkdir /tmp4"
    mkdir /tmp4
  fi
  echo "/sbin/mke2fs /dev/ram8"
  /sbin/mke2fs /dev/ram8 > /dev/null 2>&1
  echo "mount /dev/ram8 /tmp4"
  mount /dev/ram8 /tmp4
  echo "cp -p /mnt/usr/usr.cramfs /tmp4"
  cp -p /mnt/usr/usr.cramfs /tmp4
  echo "mount -t cramfs -o loop=/dev/loop0 /tmp4/usr.cramfs /usr"
  mount -t cramfs -o loop=/dev/loop0 /tmp4/usr.cramfs /usr

  echo "/tmp2/erase /dev/mtdblockdata"
  /tmp2/eraseall -j /dev/mtd2
  echo "dd if=/tmp2/ramdisk8m.jffs2 of=/dev/mtdblockdata"
  dd if=/tmp2/ramdisk8m.jffs2 of=/dev/mtdblockdata


  echo "umount /mnt/usr"
  umount -f /mnt/usr

  echo "/tmp2/erase /dev/mtdblockusr"
  /tmp2/eraseall -j  /dev/mtd1
  echo "dd if=/tmp5/ramdisk24mc.jffs2 of=/dev/mtdblockusr"
  dd if=/tmp5/ramdisk24mc.jffs2 of=/dev/mtdblockusr


  echo "reboot..."
  init 6
  echo "sleep 10"
  sleep 10

  echo "Oooops!!! fpga rst"
  RST_LIST="/proc/ibs/fpga/rst /proc/fpga/rst /proc/rst"
  for rst in \${RST_LIST}
  do
    if [ -f "\${rst}" ]; then
      echo "fpga rst \$rst"
      echo "00" > "\${rst}"
      sleep 1
      echo "81" > "\${rst}"
      echo "fpga rst \$rst  wait...."
      sleep 18
      fi
  done

else
  echo "\$_autoupdate not found."
fi
EOF

  chmod 755 $RC_UPDATE
}

# եå
module_check()
{
  _check_val=ok
  _list=${LIST_ALL}
  for i in ${_list}
  do
    ibssysupdate_info 9 "module_check: for loop: $i"
    case $i in
    ETC)
      grep ETC "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: ETC entry not found. continue"
        continue
      fi
      _dummy=`grep ETC "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
      _etc_file=etc.tar.gz

      ibssysupdate_info 9 "module_check: Extract $_etc_file"
      tar xzf $_upfile $_etc_file > /dev/null 2>&1

      if [ ! -f "$_etc_file" ]; then
        ibssysupdate_info 0 "롼⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${_etc_file}"
      check_file ${_lfile##*/} ${_etc_file}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "롼⥸塼뤬۾Ǥ"
        rm -f ${_etc_file}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "롼⥸塼Ǥ"
      rm -f ${_etc_file}
      ;;
    WEB)
      grep WEB "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: WEB entry not found. continue"
        continue
      fi
      _dummy=`grep WEB "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
      _home_file=home.tar.gz

      ibssysupdate_info 1 "module_check: Extract $_home_file"
      tar xzf $_upfile $_home_file > /dev/null 2>&1

      if [ ! -f "$_home_file" ]; then
        ibssysupdate_info 0 "WEB⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${_home_file}"
      check_file ${_lfile##*/} ${_home_file}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "WEB⥸塼뤬۾Ǥ"
        rm -f ${_home_file}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "WEB⥸塼Ǥ"
      rm -f ${_home_file}
      ;;
    IBSEXE)
      grep IBSEXE "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: IBSEXE entry not found. continue"
        continue
      fi
      _dummy=`grep IBSEXE "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
      _ibsexe_file=exe.cramfs

      ibssysupdate_info 1 "module_check: Extract $_ibsexe_file"
      tar xzf $_upfile $_ibsexe_file > /dev/null 2>&1

      if [ ! -f "$_ibsexe_file" ]; then
        ibssysupdate_info 0 "ӥ⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${_ibsexe_file}"
      check_file ${_lfile##*/} ${_ibsexe_file}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "ӥ⥸塼뤬۾Ǥ"
        rm -f ${_ibsexe_file}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "ӥ⥸塼Ǥ"
      rm -f ${_ibsexe_file}
      ;;
   IPKT)
      grep IPKT "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: IPKT entry not found. continue"
        continue
      fi
      _dummy=`grep IPKT "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
      _ipkt_file=ipkt.cramfs

      ibssysupdate_info 1 "module_check: Extract $_ipkt_file"
      tar xzf $_upfile $_ipkt_file > /dev/null 2>&1

      if [ ! -f "$_ipkt_file" ]; then
        ibssysupdate_info 0 "IPKT⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${_ipkt_file}"
      check_file ${_lfile##*/} ${_ipkt_file}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "IPKT⥸塼뤬۾Ǥ"
	rm -f ${_ipkt_file}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "IPKT⥸塼Ǥ"
      rm -f ${_ipkt_file}
      ;;
   GATEWAY)
      grep GATEWAY "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: GATEWAY entry not found. continue"
        continue
      fi
      _dummy=`grep GATEWAY "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
      _gw_file=gw.cramfs

      ibssysupdate_info 1 "module_check: Extract $_gw_file"
      tar xzf $_upfile $_gw_file > /dev/null 2>&1

      if [ ! -f "$_gw_file" ]; then
        ibssysupdate_info 0 "GATEWAY⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${_gw_file}"
      check_file ${_lfile##*/} ${_gw_file}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "GATEWAY⥸塼뤬۾Ǥ"
        rm -f ${_gw_file}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "GATEWAY⥸塼Ǥ"
      rm -f ${_gw_file}
      ;;
    KERN)
      grep KERN "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: KERN entry not found. continue"
        continue
      fi
      _dummy=`grep KERN "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
      _kernel_file=vmlinux8241_ram.image

      ibssysupdate_info 1 "module_check: Extract $_kernel_file"
      tar xzf $_upfile $_kernel_file > /dev/null 2>&1

      if [ ! -f "$_kernel_file" ]; then
        ibssysupdate_info 0 "ͥ⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${_kernel_file}"
      check_file ${_lfile##*/} ${_kernel_file}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "ͥ⥸塼뤬۾Ǥ"
        rm -f ${_kernel_file}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "ͥ⥸塼Ǥ"
      rm -f ${_kernel_file}
      ;;
    RAMDISK)
      __wfile=ramdisk8241.image
      grep RAMDISK "${LISTF}" > /dev/null 2>&1
      if [ $? != 0 ]; then
        ibssysupdate_info 9 "module_check: RAMDISK entry not found. continue"
        continue
      fi
      _dummy=`grep RAMDISK "${LISTF}"` > /dev/null 2>&1
      _lfile=${_dummy##*:}
#      _kernel_file=vmlinux8241_ram.image

      ibssysupdate_info 1 "module_check: Extract $__wfile"
      tar xzf $_upfile $__wfile > /dev/null 2>&1

      if [ ! -f "$__wfile" ]; then
        ibssysupdate_info 0 "RAMDISK⥸塼뤬ĤʤṹǤޤ"
	_check_val=ng
        continue
      fi
      ibssysupdate_info 9 "module_check: md5 check ${_lfile##*/} ${__wfile}"
      check_file ${_lfile##*/} ${__wfile}
      if [ "$?" != "0" ]; then
        ibssysupdate_info 0 "RAMDISK⥸塼뤬۾Ǥ"
        rm -f ${__wfile}
	_check_val=ng
        continue
      fi
      ibssysupdate_info 0 "RAMDISK⥸塼Ǥ"
      rm -f ${__wfile}
      ;;
    IPL|VAR|PGBK)
      ;;
    *)
      ;;
    esac
  done

  if [ "$_check_val" != "ok" ]; then
    ibssysupdate_info 0 "Υե˰۾郎ޤ"
    return 1
  else
    ibssysupdate_info 0 "ͽΥ⥸塼Ϥ٤Ǥ"
    return 0
  fi
}

#FLASHζ̥å
flash_check()
{
  if [ "X$NEXT_EXEC_PATH" = "X/mnt/usr" ]; then
    _space=`df -k /mnt/usr | grep -v Filesystem | awk '{printf"%s\n",$4}'`
    if [ $? != 0 ]; then
      return 1
    fi

    if [ ! -f /mnt/usr/exe.cramfs ]; then
      if [ "$_space" -ge 6000 ]; then
        return 0
      else
        return 1
      fi
    else
      return 0
    fi
  else
    _space=`df -k /mnt/IBS | grep -v Filesystem | awk '{printf"%s\n",$4}'`
    if [ $? != 0 ]; then
      return 1
    fi

    if [ ! -f /mnt/IBS/exe.cramfs ]; then
      if [ "$_space" -ge 6000 ]; then
        return 0
      else
        return 1
      fi
    else
      return 0
    fi
  fi
}

# ̼
get_cur_exec_path()
{
  _now_mount_point=`mount |grep exe.cramfs | awk '{printf"%s\n",$1}'`
  if [ "X$_now_mount_point" = "X/mnt/IBS/exe.cramfs" ]; then
    CUR_EXEC_PATH=/mnt/IBS
    RETVAL=0
  elif [ "X$_now_mount_point" = "X/mnt/usr/exe.cramfs" ]; then
    CUR_EXEC_PATH=/mnt/usr
    RETVAL=0
  else
    CUR_EXEC_PATH=/mnt/IBS
    RETVAL=0
  fi
  return $RETVAL
}

########################################
#
CMDBAT=`basename $0`
LOCKFILE=/var/lock/${CMDBAT}.lock

unalias -a

ln -s $0 ${LOCKFILE}
if [ $? != 0 ]; then
#  ibssysupdate_info 0 "Already executing $CMDBAT; exit 1"
  ibssysupdate_info 0 "˵ưƤޤ"
  exit 1
fi
trap "rm -f ${LOCKFILE}" EXIT


_upfile=$1
ibssysupdate_info 9 "main: _upfile:$1"
if [ ! -f $_upfile ]; then
  ibssysupdate_info 9 "main: $_upfile not found; exit 1"
  exit 1
fi

####################
# ⥸塼verå(module.ver)
# major3Ǥ뤳
ibssysupdate_info 9 "main: module version check"
tar xzf $_upfile module.ver > /dev/null 2>&1
if [ -f module.ver ]; then
  cat module.ver | while read major minor
  do
    [ -z "$major" -o -z "$minor" ] && continue
    _chk=$(expr $major : '#*')
    [ "$_chk" != 0 ] && continue

    if [ "$major" -ne ${THISVER} ]; then
      ibssysupdate_info 0 "⥸塼ΥС󤬰ۤʤޤ"
      exit 1
    fi
  done
  ibssysupdate_info 0 "⥸塼ΥСǤ"
else
  ibssysupdate_info 0 "⥸塼ΥС󤬰ۤʤޤ"
  exit 1
fi

#echo "serverip:$_serverip user:$_user passwd:$_passwd"
ibssysupdate_info 9 "main:call check_mtdblock"
check_mtdblock

#tar xzf $_upfile > /dev/null 2>&1
# ޤϥꥹȤMD5Τ
ibssysupdate_info 9 "main: tar xzf $_upfile ${LISTF} MD5 etc0.tar.gz"
tar xzf $_upfile ${LISTF} MD5 etc0.tar.gz > /dev/null 2>&1

if [ ! -f ${LISTF} ]; then
  ibssysupdate_info 1 "${LISTF} not found; exit 1"
  ibssysupdate_info 0 "ե뤬۾Ǥ"
  exit 1
fi

####################
# եå
 
module_check
if [ $? != 0 ]; then
  ibssysupdate_info 0 "ե뤬۾Ǥ"
  exit 1
fi

####################
# ĳ
[ -f /mnt/usr/etc.tar.gz.update ] && rm -f /mnt/usr/etc.tar.gz.update
[ -f /mnt/usr/etc.tar.gz ] && rm -f /mnt/usr/etc.tar.gz
[ -f /mnt/usr/exe.cramfs.update ] && rm -f /mnt/usr/exe.cramfs.update
[ -f /mnt/usr/ipkt.cramfs.update ] && rm -f /mnt/usr/ipkt.cramfs.update
[ -f /mnt/usr/gw.cramfs.update ] && rm -f /mnt/usr/gw.cramfs.update

##############################
# 
echo "${FWU_STAT_START}" > ${FWU_STAT_FILE}
# 2006.04.20
regist_ver_yyyy

####################
# ߤαѥѥå
echo "${FWU_STAT_PATH}" > ${FWU_STAT_FILE}
get_cur_exec_path
if [ $? = 0 ]; then
  case ${CUR_EXEC_PATH} in
  /mnt/IBS)
    NEXT_EXEC_PATH=/mnt/usr
    ;;
  /mnt/usr)
    NEXT_EXEC_PATH=/mnt/IBS
    ;;
  esac
    
  if [ ! -f ${CUR_EXEC_PATH_FILE} ]; then
    # Now V2
    #CUR_EXEC_PATH=none
    #NEXT_EXEC_PATH=/mnt/usr

    FWU_1ST_V3=1

    echo "${FWU_STAT_PATH_1STV3}" > ${FWU_STAT_FILE}
  else
#    CUR_EXEC_PATH=`cat ${CUR_EXEC_PATH_FILE}`
#      case ${CUR_EXEC_PATH} in
#      /mnt/IBS)
#	NEXT_EXEC_PATH=/mnt/usr
#	;;
#      /mnt/usr)
#	NEXT_EXEC_PATH=/mnt/IBS
#	;;
#      *)
#	CUR_EXEC_PATH=none
#	NEXT_EXEC_PATH=/mnt/IBS
#	;;
#      esac
    echo "${FWU_STAT_PATH_CUR}" > ${FWU_STAT_FILE}
  fi
fi

TAR_ETC=${NEXT_EXEC_PATH}/etc3.tar.gz
TAR_HOME=${NEXT_EXEC_PATH}/home.tar.gz
MD5_HOME=${NEXT_EXEC_PATH}/md5.home
TAR_IBSEXE=${NEXT_EXEC_PATH}/exe.cramfs
ibssysupdate_info 9 "main: CUR_EXEC_PATH=$CUR_EXEC_PATH  NEXT_EXEC_PATH=${NEXT_EXEC_PATH}"


####################
# FLASH̤Υå
#  NETXT_EXEC_PATH򻲾Ȥ
flash_check
if [ $? != 0 ]; then
  ibssysupdate_info 0 "FLASH-ROMζΰ褬ޤ"
  exit 1
fi



# 
echo "" > ${FW_UPDATE_LOG}

FW_UPDATE_CHECK_LIST=

####################
# ʸ
FLWOUT_START_KERN="KERN:START"
FLWOUT_STOP_KERN="KERN:COMPLETE"
FLWOUT_START_RAMD="RAMDISK:START"
FLWOUT_STOP_RAMD="RAMDISK:COMPLETE"
FLWOUT_START_IPL="IPL:START"
FLWOUT_STOP_IPL="IPL:COMPLETE"
FLWOUT_START_ETC="ETC:START ${TAR_ETC}"
FLWOUT_STOP_ETC="ETC:COMPLETE ${TAR_ETC}"
FLWOUT_START_VAR="VAR:START"
FLWOUT_STOP_VAR="VAR:COMPLETE"
FLWOUT_START_HOME="WEB:START ${TAR_HOME}"
FLWOUT_STOP_HOME="WEB:COMPLETE ${TAR_HOME}"
FLWOUT_START_IBSEXE="IBSEXE:START ${TAR_IBSEXE}"
FLWOUT_STOP_IBSEXE="IBSEXE:COMPLETE ${TAR_IBSEXE}"
FLWOUT_START_PGBK="PGBK:START"
FLWOUT_STOP_PGBK="PGBK:COMPLETE"
FLWOUT_START_PGDATA="PGDATA:START"
FLWOUT_STOP_PGDATA="PGDATA:COMPLETE"
FLWOUT_START_IPKT="IPKT:START"
FLWOUT_STOP_IPKT="IPKT:COMPLETE"
FLWOUT_START_IPKTCOMP="IPKT:START ${TAR_IPKT_COMP}"
FLWOUT_STOP_IPKTCOMP="IPKT:COMPLETE ${TAR_IPKT_COMP}"
FLWOUT_START_GWCOMP="GATEWAY:START ${TAR_GW_COMP}"
FLWOUT_STOP_GWCOMP="GATEWAY:COMPLETE ${TAR_GW_COMP}"

####################
####################
echo "${FWU_STAT_LOOP_START}" > ${FWU_STAT_FILE}

# 2006.01.12
ibssysupdate_info 9 "ftpd stop"
upload_ftpd stop


#RTOP=`cat ${LISTF} |grep RTOP | awk -F":" '{printf"%s",$2}'`
#echo "RTOP:${RTOP}"
_list=${LIST_ALL}

for i in ${_list}
do
  ibssysupdate_info 9 "for loop: $i"
  case $i in
  KERN)
     #ꥹ(updatelist.txt)
     grep KERN "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: KERN entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: Kernel update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} KERN"
     _dummy=`grep KERN "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
     _kernel_file=vmlinux8241_ram.image
#     get_ftp ${_lfile} ${_kernel_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     echo "Extract $_kernel_file"
     tar xzf $_upfile $_kernel_file > /dev/null 2>&1

     if [ ! -f "$_kernel_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     # MD5å
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_kernel_file}"
     check_file ${_lfile##*/} ${_kernel_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_kernel_file} not Kernel file.; continue"
       rm -f ${_kernel_file}
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_kernel $_lfile $_kernel_file"
     up_system_kernel $_kernel_file
     ibssysupdate_info 1 "main: return from up_system_kernel"
     ;;

  IPL)
     grep IPL "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: IPL entry not found. continue"
       continue
     fi
     echo "IPL update start"
     _dummy=`grep IPL "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=ipl.bin
     _ipl_file=ipl.bin
#     get_ftp ${_lfile} ${_ipl_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     echo "Extract $_ipl_file"
     tar xzf $_upfile $_ipl_file > /dev/null 2>&1

     if [ ! -f "$_ipl_file" ]; then
       echo "$_ipl_file not found."
       continue
     fi
     check_file ${_lfile##*/} ${_ipl_file}
     if [ "$?" != "0" ]; then
       echo "${_ipl_file} not IPL file."
       rm -f ${_ipl_file}
       continue
     fi
     echo "IPL: $_lfile $_ipl_file"
     up_system_ipl $_ipl_file

     # ֡Ȥʤ(perlǥ֡Ȥ뤿Υƥ)
     IBSSYSUPDATE_REBOOT=1
     ;;

  RAMDISK)
     grep RAMDISK "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: RAMDISK entry not found. continue"
       continue
     fi
     echo "RAMdisk update start"
     _dummy=`grep RAMDISK "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=ramdisk8241.image
     _ramdisk_file=ramdisk8241.image
#     get_ftp ${_lfile} ${_ramdisk_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     echo "Extract $_ramdisk_file"
     tar xzf $_upfile $_ramdisk_file > /dev/null 2>&1

     if [ ! -f "$_ramdisk_file" ]; then
       echo "$_lfile not found."
       continue
     fi
     check_file ${_lfile##*/} ${_ramdisk_file}
     if [ "$?" != "0" ]; then
       echo "${_ramdisk_file} not ramdisk file."
       rm -f ${_ramdisk_file}
       continue
     fi
     echo "RAMDISK: $_lfile $_ramdisk_file"
     up_system_ramdisk $_ramdisk_file

     # ֡Ȥʤ(perlǥ֡Ȥ뤿Υƥ)
     IBSSYSUPDATE_REBOOT=1
     ;;

  ETC)
     grep ETC "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: ETC entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: Router update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} ETC"
     _dummy=`grep ETC "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=etc.tar.gz
     _etc_file=etc.tar.gz
#     get_ftp ${_lfile} ${_etc_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     ibssysupdate_info 9 "main: Extract $_etc_file"
     tar xzf $_upfile $_etc_file > /dev/null 2>&1

     if [ ! -f "$_etc_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_etc_file}"
     check_file ${_lfile##*/} ${_etc_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_etc_file} not Router file.; continue"
       rm -f ${_etc_file}
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_etc $_lfile $_etc_file"
     up_system_etc $_etc_file
     ibssysupdate_info 1 "main: return from up_system_etc"

     # ֡Ȥʤ(perlǥ֡Ȥ뤿Υƥ)
     IBSSYSUPDATE_REBOOT=1
     ;;

  VAR)
     grep VAR "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: VAR entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: Router var update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} VAR"
     _dummy=`grep VAR "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=var.tar.gz
     _var_file=var.tar.gz
#     get_ftp ${_lfile} ${_var_file}
#     if [ "X$RETVAL" != "X0" ]; then
     if [ ! -f "$_var_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_var_file}"
     check_file ${_lfile##*/} ${_var_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_var_file} not Router var file.; continue"
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_var $_lfile $_var_file"
     up_system_var $_var_file
     ibssysupdate_info 1 "main: return from up_system_var"
     ;;

  WEB)
     grep WEB "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: WEB entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: Browser update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} WEB"
     _dummy=`grep WEB "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=home.tar.gz
     _home_file=home.tar.gz
#     get_ftp ${_lfile} ${_home_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     ibssysupdate_info 1 "main: Extract $_home_file"
     tar xzf $_upfile $_home_file > /dev/null 2>&1

     if [ ! -f "$_home_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_home_file}"
     check_file ${_lfile##*/} ${_home_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 9 "${_home_file} not Browser file.; continue"
       rm -f ${_home_file}
       continue
     fi
     ibssysupdate_info  1 "main: call up_system_home $_lfile $_home_file"
     up_system_home $_home_file
     ibssysupdate_info  1 "main: return from up_system_home"

     # ֡Ȥʤ(perlǥ֡Ȥ뤿Υƥ)
     IBSSYSUPDATE_REBOOT=1
     ;;

  IBSEXE)
     grep IBSEXE "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: IBSEXE entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: IBSEXE update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} IBSEXE"
     _dummy=`grep IBSEXE "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=exe.cramfs
     _ibsexe_file=exe.cramfs
#     get_ftp ${_lfile} ${_ibsexe_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     ibssysupdate_info 1 "main: Extract $_ibsexe_file"
     tar xzf $_upfile $_ibsexe_file > /dev/null 2>&1

     if [ ! -f "$_ibsexe_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_ibsexe_file}"
     check_file ${_lfile##*/} ${_ibsexe_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_ibsexe_file} not IBS APP file.; continue"
       rm -f ${_ibsexe_file}
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_ibsexe $_lfile $_ibsexe_file"
     up_system_ibsexe $_ibsexe_file
     ibssysupdate_info 1 "main: return from up_system_ibsexe"

     # ֡Ȥʤ(perlǥ֡Ȥ뤿Υƥ)
     IBSSYSUPDATE_REBOOT=1
     ;;

  PGBK)
     grep PGBK "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: PGBK entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: IBS PGBK update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} PGBK"
     _dummy=`grep PGBK "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _pgbk_file=backup_tbl
     _pgbk_file=flashsave.tar.gz
#     get_ftp ${_lfile} ${_pgbk_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2005.02.22
     ibssysupdate_info 1 "main: Extract $_pgbk_file"
     tar xzf $_upfile $_pgbk_file > /dev/null 2>&1
     
     if [ ! -f "$_pgbk_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_pgbk $_lfile $_pgbk_file"
     up_system_pgbk $_pgbk_file
     ibssysupdate_info 1 "main: return from up_system_pgbk"
     ;;

  PGDATA)
     grep PGDATA "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: PGDATA entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: IBS DB update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} PGDATA"
     _dummy=`grep PGDATA "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=pgsql_data.tar.gz
     _pgdata_file=pgsql_data.tar.gz
#     get_ftp ${_lfile} ${_pgdata_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2005.02.22
     ibssysupdate_info 1 "main: Extract $_pgdata_file"
     tar xzf $_upfile $_pgdata_file > /dev/null 2>&1
     
     if [ ! -f "$_pgdata_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_pgdata_file}"
     check_file ${_lfile##*/} ${_pgdata_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_pgdata_file} not Postgre DB file.; continue"
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_pgdata $_lfile $_pgdata_file"
     up_system_pgdata $_pgdata_file
     ibssysupdate_info 1 "main: return from up_system_pgdata"
     ;;

  PGTEMP)
     grep PGTEMP "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: PGTEMP entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: IBS DB template update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} PGTEMP"
     _dummy=`grep PGTEMP "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
     _pgdata_file=pgsql_temp.cramfs
#     get_ftp ${_lfile} ${_pgdata_file}
#     if [ "X$RETVAL" != "X0" ]; then
     if [ ! -f "$_pgdata_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_pgdata_file}"
     check_file ${_lfile##*/} ${_pgdata_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_pgdata_file} not Postgre DB file.; continue"
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_pgtemp $_lfile $_pgdata_file"
     up_system_pgtemp $_pgdata_file
     ibssysupdate_info 1 "main: return from up_system_pgtemp"
     ;;

  IPKT)
     grep IPKT "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: IPKT entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: IBS IPKT update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} IPKT"
     _dummy=`grep IPKT "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=ipkt.cramfs
     _ipkt_file=ipkt.cramfs
#     get_ftp ${_lfile} ${_ipkt_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2005.02.22
     ibssysupdate_info 1 "main: Extract $_ipkt_file"
     tar xzf $_upfile $_ipkt_file > /dev/null 2>&1
     
     if [ ! -f "$_ipkt_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_ipkt_file}"
     check_file ${_lfile##*/} ${_ipkt_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_ipkt_file} not IPKT file.; continue"
       rm -f ${_ipkt_file}
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_ipkt_comp $_lfile $_ipkt_file"
     up_system_ipkt_comp $_ipkt_file
     ibssysupdate_info 1 "main: return from up_system_ipkt_comp"
     ;;

  GATEWAY)
     grep GATEWAY "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: GATEWAY entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "main: IBS GW update start"
     FW_UPDATE_CHECK_LIST="${FW_UPDATE_CHECK_LIST} GATEWAY"
     _dummy=`grep GATEWAY "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
     _gw_file=gw.cramfs
#     get_ftp ${_lfile} ${_gw_file}
#     if [ "X$RETVAL" != "X0" ]; then

     # 2004.09.05
     ibssysupdate_info 1 "main: Extract $_gw_file"
     tar xzf $_upfile $_gw_file > /dev/null 2>&1

     if [ ! -f "$_gw_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     ibssysupdate_info 9 "main: md5 check ${_lfile##*/} ${_gw_file}"
     check_file ${_lfile##*/} ${_gw_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_gw_file} not GW file.; continue"
       rm -f ${_gw_file}
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_gw_comp $_lfile $_gw_file"
     up_system_gw_comp $_gw_file
     ibssysupdate_info 1 "main: return from up_system_gw_comp"

     # ֡Ȥʤ(perlǥ֡Ȥ뤿Υƥ)
     IBSSYSUPDATE_REBOOT=1
     ;;

  USR)
     grep USR "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       ibssysupdate_info 9 "main: USR entry not found. continue"
       continue
     fi
     ibssysupdate_info 1 "Usr update start"
     _dummy=`grep USR "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
#     _lfile=usr.cramfs
     _usr_file=usr.cramfs
#     get_ftp ${_lfile} ${_usr_file}
#     if [ "X$RETVAL" != "X0" ]; then
     if [ ! -f "$_usr_file" ]; then
       ibssysupdate_info 1 "$_lfile not found.; continue"
       continue
     fi
     check_file ${_lfile##*/} ${_usr_file}
     if [ "$?" != "0" ]; then
       ibssysupdate_info 1 "${_usr_file} not USR file.; continue"
       continue
     fi
     ibssysupdate_info 1 "main: call up_system_usr $_lfile $_usr_file"
     up_system_usr $_usr_file
     ibssysupdate_info 1 "main: return from up_system_usr"
     if [ "X$?" = "X1" ]; then
       IBSSYSUPDATE_REBOOT=1
     fi
     ;;
  JFFS2FF80)

     if [ -f /etc/jffs2 ]; then
       echo "System is already JFFS2"
       echo "This update file cannot use."
       continue
     fi

     if [ ! -e /dev/mtd1 ]; then
       mknod /dev/mtd1 c 90 2
     fi
     if [ ! -e /dev/mtd2 ]; then
       mknod /dev/mtd2 c 90 4
     fi
     if [ ! -d /tmp5 ]; then
       echo "mkdir /tmp5"
       mkdir /tmp5
     fi
     echo "mount -t ramfs dummy /tmp5"
     mount -t ramfs dummy /tmp5
     if [ $? != 0 ]; then
       echo "mount error"
       return 0
     fi

     grep JFFS2FF80 "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       continue
     fi
     echo "ramdisk8m(JFFS2) update start"
     echo "Copy MD5 to /tmp5"
     cp -f MD5 /tmp5
     _dummy=`grep JFFS2FF80 "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
     _usr_file=ramdisk8m.jffs2
     echo "JFFS2: _lfile:$_lfile  _usr_file:$_usr_file"
     echo "directory change /tmp5"
     (cd /tmp5; get_ftp ${_lfile} ${_usr_file})
     if [ "X$RETVAL" != "X0" ]; then
       echo "$_lfile not found."
#       continue
     fi
     (cd /tmp5; check_file ${_lfile##*/} ${_usr_file} )
     if [ "$?" != "0" ]; then
       echo "${_usr_file} not JFFS2 file."
#       continue
     fi

     grep JFFS27000 "${LISTF}" > /dev/null 2>&1
     if [ $? != 0 ]; then
       continue
     fi
     echo "ramdisk24m(JFFS2) update start"
     _dummy=`grep JFFS27000 "${LISTF}"` > /dev/null 2>&1
     _lfile=${_dummy##*:}
     _usr_file=ramdisk24mc.jffs2
     echo "JFFS2: _lfile:$_lfile  _usr_file:$_usr_file"
     (cd /tmp5; get_ftp ${_lfile} ${_usr_file} )
     if [ "X$RETVAL" != "X0" ]; then
       echo "$_lfile not found."
#       continue
     fi
#     (cd /tmp5;check_file ${_lfile##*/} ${_usr_file})
#     if [ "$?" != "0" ]; then
#       echo "${_usr_file} not JFFS2 file."
#       continue
#     fi


     echo "JFFS2: $_lfile $_usr_file"
     up_system_jffs2ff80 $_usr_file

     if [ "X$?" = "X1" ]; then
       IBSSYSUPDATE_REBOOT=1
     fi
     ;;
  *)
     ibssysupdate_info 1 "Not found"
     ;;
  esac
done
echo "${FWU_STAT_LOOP_END}" > ${FWU_STAT_FILE}


#⥸塼å
echo "${FWU_STAT_CHK}" > ${FWU_STAT_FILE}
_fw_update_check_flag=ok
fw_update_check
if [ "$?" = 0 ]; then
#  echo "${FWU_STAT_CHK_OK}" > ${FWU_STAT_FILE}

  echo "${FWU_STAT_CHK_FROM_V2}" > ${FWU_STAT_FILE}
  if [ "X${FWU_1ST_V3}" = "X1" ]; then
    #V2κǽΥåץǡ
    # V2եХåå
    echo "${FWU_STAT_CHK_V2_ETC_CHK}" > ${FWU_STAT_FILE}
    if [ -f /mnt/IBS/etc.tar.gz -a -f /tmp/etc0.tar.gz ]; then
      echo "${FWU_STAT_CHK_V2_BK}" > ${FWU_STAT_FILE}
      ibssysupdate_info 1 "main: /mnt/IBS/etc.tar.gz copy to etc2.tar.gz"
      if [ -z "$FTPUPDEBUG" ]; then
        #write
        cp -f /mnt/IBS/etc.tar.gz /mnt/IBS/etc2.tar.gz
	if [ $? != 0 ];then
	  #顼ե饰å
          _fw_update_check_flag=ng
          echo "${FWU_STAT_CHK_V2_BK_NG}" > ${FWU_STAT_FILE}
	else
          echo "${FWU_STAT_CHK_V2_BK_OK}" > ${FWU_STAT_FILE}
	fi
      fi
      ibssysupdate_info 1 "main: etc0.tar.gz copy to /mnt/IBS/etc.tar.gz"
      echo "${FWU_STAT_CHK_V3_COPY}" > ${FWU_STAT_FILE}
      if [ -z "$FTPUPDEBUG" ]; then
        #write
        cp -f /tmp/etc0.tar.gz /mnt/IBS/etc.tar.gz
	if [ $? != 0 ];then
	  #顼ե饰å
          _fw_update_check_flag=ng
          echo "${FWU_STAT_CHK_V3_COPY_NG}" > ${FWU_STAT_FILE}
	else
          echo "${FWU_STAT_CHK_V3_COPY_OK}" > ${FWU_STAT_FILE}
	fi
      fi
    else
      ibssysupdate_info 1 "main: Not found /mnt/IBS/etc.tar.gz or etc0.tar.gz"
      _fw_update_check_flag=ng
      echo "${FWU_STAT_CHK_V2_ETC_CHK_NG}" > ${FWU_STAT_FILE}
    fi
  else
    #V3
    echo "${FWU_STAT_CHK_V3_ETC}" > ${FWU_STAT_FILE}
    #ǥХåΤ
    cp -f /tmp/etc0.tar.gz /mnt/IBS/etc.tar.gz
  fi

else
  #⥸塼åǥ顼
  _fw_update_check_flag=ng
  echo "${FWU_STAT_CHK_NG}" > ${FWU_STAT_FILE}
fi

if [ "$_fw_update_check_flag" != "ok" ]; then
  # NG
  [ "${CUR_EXEC_PATH}" = "none" ] && CUR_EXEC_PATH=/mnt/IBS
  ibssysupdate_info 9 "main: Error occure. NextBoot ${CUR_EXEC_PATH}"
  # 2006.01.17
  regist_gw_ver "NG"
  RETVAL=1
else
  # OK
  ibssysupdate_info 9 "main: NextBoot ${NEXT_EXEC_PATH}"
  #write
  echo "${FWU_STAT_COMP_OK_PATHSAVE}" > ${FWU_STAT_FILE}
  echo "${NEXT_EXEC_PATH}" > ${CUR_EXEC_PATH_FILE}
  if [ $? = 0 ]; then
    echo "${FWU_STAT_COMP_OK_DONE}" > ${FWU_STAT_FILE}
    ibssysupdate_info 0 "ե०λ"
  fi

  # 2006.01.17
  regist_gw_ver "OK"
  RETVAL=0
fi

if [ "X${IBSSYSUPDATE_REBOOT}" = "X0" ]; then
  ibssysupdate_info 1 "Update done."
  ibssysupdate_info 1 "Rebooting system."
  /sbin/init 6
fi

exit $RETVAL
